1995-06-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.29 released.

	* startup.el (precompute-menubar-bindings): While dumping,
	garbage-collect after each menu.

1995-06-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gud-make-debug-menu): Cope if no local map yet.

	* loaddefs.el (help-event-list): Initialize it.

	* dired-aux.el (dired-do-redisplay): Call dired-uncache.

	* simple.el (universal-argument-num-events): New variable.
	(universal-argument, universal-argument-more, negative-argument)
	(digit-argument): Set that variable.
	(universal-argument-other-key): Use that variable when unreading.

	* vc-hooks.el (vc-handle-cvs): New variable.
	(vc-find-cvs-master): Check that variable.

1995-06-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc-hooks.el (vc-fetch-properties): Add save-excursion.

	* cc-mode.el: Version 4.222 installed.  Changes too much to list.
	Kept these changes previously installed here:
	(c-version): Mention that this may be modified version.
	(c-common-init, c-fill-paragraph): Remove "^" used as anchor from
	paragraph-start and paragraph-separate values, so that they will
	work with non-0 left-margin settings.

	* vc-hooks.el (vc-fetch-master-properties): Be more careful
	about killing the *vc-info* buffer.

1995-06-19  Karl Heuer  <kwzh@hill.gnu.ai.mit.edu>

	* shell.el (shell-directory-tracker): Check for terminator after
	cd, pushd, or popd, so that we don't try to do directory tracking
	on things like "cdump".
	Don't use \\s patterns inside brackets.

1995-06-19  David Kågedal  <davidk@lysator.liu.se>

	* tempo.el: Documented the `l' tag.
	(tempo-insert-template): Check for zmacs-regions.
	Wrapped it in unwind-protect.
	(tempo-save-named): New function.
	(tempo-insert-prompt): Added NO-INSERT parameter.
	Handles previous values better.  Cleaned up interface.
	Check for already saved value.
	(tempo-remember-insertion): Function deleted.
	(tempo-insert-named): Use tempo-insert if data is not a string.
	Use tempo-lookup-named.
	(tempo-insert-prompt-compat): New function.
	(tempo-lookup-named): New function.

1995-06-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (universal-argument-other-key):
	Call reset-this-command-lengths.

1995-06-19  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* solar.el (calendar-location-name, sunrise-sunset): Fix bug in
	determination of output string.

1995-06-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (negative-argument, digit-argument):
	Set overriding-terminal-local-map like C-u.
	(universal-argument-map): Add binding for \e t.

	* texinfo.el (texinfo-environment-regexp): Add @ifhtml, @html.

1995-06-18  Morten Welinder  <terra+@cs.cmu.edu>

	* arc-mode.el (archive-zip-summarize): Handle per-file
	comments in central directory.

1995-06-18  Johan Vromans  <jvromans@hill.gnu.ai.mit.edu>

	* forms.el: Remove references to mouse-major-mode-menu.

1995-06-18  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el (vc-fetch-master-properties): Use path-separator
	for path to "cvs status" command.

1995-06-17  Karl Fogel  <kfogel@floss.cyclic.com>

	* bookmark.el: Make doc strings and argument names consistent
	where necessary.
	Moved user variables to own section.
	(bookmark-alist): Better doc string.
	(bookmark-insert-current-bookmark): Doc string.
	(bookmark-insert-buffer-name): Doc string.
	(bookmark-set): Take optional NAME argument.
	(bookmark-bmenu-select): Use member to test for string's presence.
	Use a more efficent test at end, as suggested by Mikio Nakajima.

1995-06-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (normal-top-level, command-line-1):
	Call precompute-menubar-bindings only if using x.
	(precompute-menubar-bindings): Don't check for x here.
	Set define-key-rebound-commands to t.

	* loadup.el: Call precompute-menubar-bindings.
	Then set define-key-rebound-commands to nil.

	* subr.el (add-hook): Use local local-variable-if-set-p.

	* info.el (Info-directory-list): If path-separator isn't available,
	bind it here.

	* vc.el (vc-do-command): Use path-separator.

1995-06-17  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc.el (vc-directory): Use expand-file-name on default-directory.
	(vc-directory-exclusion-list): Add "CVS" to this list.

1995-06-17  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* ediff.el: Fixed bogus references to menu-bar-file-menu in
	define-key forms.

1995-06-16  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* isearch.el (isearch-mode-map): Bind frame events to nil.

1995-06-16  Andre Spiegel  <spiegel@berlin.informatik.uni-stuttgart.de>

	* vc-hooks.el (vc-fetch-properties): Don't use
	vc-backend-dispatch, as that is in vc.el.

	* vc.el (vc-register): Inhibit backups for the file's buffer

	* vc.el (vc-add-triple, vc-lookup-triple, vc-record-rename):
	Use absolute file names to access the SCCS named configuration files
	("VC-names").

	* vc-hooks.el (vc-consult-rcs-headers): Fix typo in prev change.

	* vc-hooks.el (vc-find-cvs-master): Exit gracefully when not
	finding CVS/Repository.

	* vc.el (vc-lookup-triple): Call vc-parse-buffer instead of
	vc-master-info.

	* vc.el (vc-retrieve-snapshot): Use vc-checkout instead of
	vc-backend-checkout, as the former also updates the current buffer.
	(vc-file-tree-walk, vc-file-tree-walk-internal): Use
	expand-file-name, so that FUNC gets called with an unabbreviated name.

1995-06-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ispell.el: Reinstalled autoloads from ispell-dictionary-alist,
	ispell-menu-map, ispell-menu-lucid, and ispell-menu-map-needed.

	* vc.el (vc-backend-dispatch): Move definition before first use.

1995-06-16  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* c-mode.el (c-mode-map): Put mark-active for menu-enable property on
	comment-region, c-macro-expand and c-backslash-region symbols.

	* facemenu.el (facemenu-menu): Change name to Special Properties.

	* font-lock.el (font-lock-make-faces): Optional arg OVERRIDE.
	Make faces, and their face variables, only if they don't exist already.
	(font-lock-make-faces-done): Removed.
	(font-lock-set-defaults): Don't set it.

1995-06-16  Karl Heuer  <kwzh@hill.gnu.ai.mit.edu>

	* simple.el (universal-argument-map): New var.
	(universal-argument, negative-argument, digit-argument):
	Use overriding-terminal-local-map.
	(prefix-arg-internal, describe-arg): Functions deleted.
	(universal-argument-more, universal-argument-minus): New functions.
	(universal-argument-other-key): New function.

	* isearch.el (isearch-mode): Use overriding-terminal-local-map.
	(isearch-done): Likewise.

1995-06-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ispell.el: Removed autoload from ispell-dictionary-alist,
	ispell-menu-map, ispell-menu-lucid, and ispell-menu-map-needed
	so users can more easily modify and upgrade entries.
	(ispell-dictionary-alist): Once more a single variable.
	(ispell-required-version): Documentation changes
	(ispell-skip-sgml): Documentation changes
	(ispell-command-loop): `mode-line-format' now shows misspelled word.
	(ispell-message-text-end): Can now process postscript version 1.
	(ispell-message-start-skip): New variable for block skips, set up for
	pgp and forward blocks.
	(ispell-message-end-skip): New variable for block skips, set up for
	pgp and forward blocks.
	(ispell-message): Added	block message skipping.
	(ispell-buffer-local-parsing): Added html-mode.

	* mouse.el (mouse-set-region): Bind last-command with this-command.

	* winnt.el (grep-null-device): Set this instead of null-device.

	* dos-fns.el (path-separator, grep-null-device, grep-regexp-alist):
	Set them, as in winnt.el.

	* compile.el (grep-null-device): Renamed from null-device.

	* vc-hooks.el (vc-fetch-master-properties): For RCS file,
	don't look for vc-latest-version and vc-your-latest-version here.
	Read only through ^locks unless we need to find the tip of a branch.
	(vc-consult-rcs-headers): Use non-regexp search to find the headers.
	(vc-latest-version, vc-your-latest-version): Use vc-fetch-properties.
	(vc-fetch-properties): New function.

	* buff-menu.el (list-buffers-noselect): Don't let space after buf name
	inherit the text props from it.

	* subr.el (make-local-hook): Doc fix.

1995-06-15  Andre Spiegel  <spiegel@bruessel.informatik.uni-stuttgart.de>

	* vc-hooks.el: The RCS status is now found by reading the
	master file directly, instead of using rlog.  The properties
	retrieved from the master file are kept separately.  The two
	main properties, `vc-workfile-version' and `vc-locking-user',
	are inferred from those master file properties if the
	information cannot be found elsehow.  All properties are
	consistently cached now.

	Reordered some defuns so they are grouped in a logical way.

	(vc-master-info, vc-log-info, vc-fetch-properties): Functions removed.
	Their job is now done by `vc-fetch-master-properties'
	and `vc-insert-file'.

	(vc-fetch-master-properties): New function.
	(vc-insert-file): New function.
	(vc-parse-locks): New function.
	(vc-locked-version): Property no longer set.
	(vc-head-version, vc-default-branch, vc-master-locks): New properties.
	(vc-top-version): New name for the old property `vc-branch-version'.

	(vc-master-locking-user): Replaces `vc-true-locking-user'.

	(vc-locking-user): Slightly changed to use the new properties.
	Changed the actual property value for an unlocked file to
	'none.  This is to distinguish it from an unknown locking
	state, which is represented by nil.  The function vc-locking-user
	returns nil if the property is 'none, to make it compatible with
	the rest of VC.

	(vc-consult-rcs-headers, vc-master-locking-user): Adapted to
	the new 'none-value of vc-locking-user.

	(vc-consult-rcs-headers): Fixed bug that prevented
	(not vc-consult-headers) from working

	(vc-file-not-found-hook): Set the default-directory of the new
	buffer before check-out.

	* vc.el: Adapt to the changes in vc-hooks.el, namely, the new
	'none-value of vc-locking-user, and the consistent caching
	of all properties.  Especially, make the properties survive
	check-ins and check-outs.  Various minor bug fixes.

	(vc-file-clear-masterprops): New function.

	(vc-backend-checkin, vc-backend-revert): Set vc-locking-user
	to 'none if the file is unlocked.

	(vc-backend-checkin, vc-backend-revert, vc-backend-checkout):
	Use vc-file-clear-masterprops, and adjust those properties
	that are not cleared.

	(vc-resynch-window):  Temporarily remove vc-find-file-hook, so
	that we don't lose the file properties during check-in/out.

	(vc-resynch-window): Do not try to delete the current window if
	`vc-keep-workfiles' is nil (doesn't make sense; killing the
	buffer is enough.)

	(vc-backend-checkin): Rewrote the code that adjusts the default
	branch and removes any locks that might remain after check-in.

	(vc-cancel-version): Abort with error message in the CVS case.
	(The error used to be signalled in vc-backend-uncheck, which is
	a little too late.)

	(vc-minor-revision): Function removed.

1995-06-14  Geoff Voelker  <voelker@cs.washington.edu>

	* subr.el (shell-quote-argument) [WINDOWSNT]: Wrap in quotes only.

	* compile.el (null-device): Defined.
	(grep): Use null-device.

	* winnt.el (null-device): Set to "NUL".
	(grep-regexp-alist): Match entries with drive letters.
	(save-to-unix-hook,revert-from-unix-hook): Defined.
	(using-unix-filesystems): Defined.
	(window-frame): Unaliased.

1995-06-14  Karl Heuer  <kwzh@churchy.gnu.ai.mit.edu>

	* simple.el (universal-argument, describe-arg): Restore Lisp code,
	undoing Feb 28 change.
	(prefix-arg-internal, digit-argument, negative-argument): Likewise.

1995-06-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* frame.el (frame-notice-user-settings): When making a minibufferless
	frame, don't copy `name' parm explicitly unless it was explicit before.

1995-06-14  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-find-file): If FILENAME is absolute,
	apply abbreviate-file-name to it and then use its directory part
	as the first search path element, searching for its nondirectory
	part.  Fix prompting code not to use a free variable.
	(compilation-parse-errors, compile-abbreviate-directory):
	Use abbreviate-file-name on directories.

1995-06-14  Johan Vromans  <jv@NL.net>

	* forms.el (forms--mode-menu-edit,forms--mode-menu-ro):
	Set `mouse-major-mode-menu'.

1995-06-14  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* lisp-mode.el (emacs-lisp-mode-map): Put mark-active for menu-enable
	property on eval-region, comment-region and indent-region symbols.
	(save-selected-window): Define indentation.

1995-06-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* viper-util.el: Delete the Emacs version error check.

	* ediff-init.el: Delete the Emacs version error check.

	* dired.el (dired-change-marks): If OLD is a space,
	don't act on non-file lines.

	* vc.el (vc-backend-checkin): Provide an explicit string saying
	the log message is empty instead of providing it as empty.
	Always use -m option for ci.

	* shell.el (shell-mode): Make shell-directory-tracker a hook
	function locally only.

1995-06-13  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el:  Various optimizations.  The main one is to optimize for
	simple output at the end of the buffer, with no paging, and in that
	case to defer scrolling while we can.
	(term-emulate-terminal):  Don't call term-handle-scroll in
	simple cases unless we are either paging or term-scroll-with-delete.
	(term-down):  Likewise.
	(term-handle-scroll):  Modify accordingly.
	(term-emulate-terminal):  Avoid deleting old text in common case.
	Optimize the simple case of CRLF when we're at buffer end.
	Handle deferred scroll when done processing output.
	(term-handle-deferred-scroll):  New function.
	(term-down):  Simplify - no longer take RIGHT argument.  Tune.
	(term-goto):  Use term-move-columns to compensate for the above.

	* term.el (term-escape-char, term-set-escape-char):  Add doc-string.
	(term-mouse-paste):  Add xemacs support.

	* term.el:  Various speed enhencements:
	(term-handle-scroll):  Don't clear term-current-row; maybe adjust it.
	(term-down):  Don't call term-adjust-current-row-cache if we've
	done term-handle-scroll.
	(term-emulate-terminal):  Don't call term-adjust-current-row-cache.
	(term-emulate-terminal):  For TAB, don't nil term-start-line-column.
	(term-goto):  Possible optimization.

1995-06-13  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* comint.el (comint-mode): Use make-local-hook.
	(comint-send-input, comint-output-filter): Use run-hook-with-args.
	(comint-dynamic-complete): Use run-hook-with-args-until-success.

1995-06-13  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper.el (vip-change-state-to-vi): Bug fix.
	* viper-util.el (vip-over-whitespace-line): New function.

1995-06-13  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* files.el (file-truename): Use expand-file-name if filename is "".

	* shell.el (shell-mode): Set comint-input-ring-file-name to nil if "".

1995-06-12  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* menu-bar.el (help-menu): Symbol renamed from `help'.

	* rmail.el (rmail-search-backwards): Default count is 1, not -1.

1995-06-10  Richard Stallman  <rms@gnu.ai.mit.edu>

	* window.el (save-selected-window): New macro.

1995-06-09  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* faces.el (x-create-frame-with-faces): Don't use initial-frame-alist
	when looking for the X resource name.
	Copy parameters from default-frame-alist, before the geometry
	specs from the X resource database.

1995-06-09  Richard Stallman  <rms@gnu.ai.mit.edu>

	* faces.el (x-create-frame-with-faces): Don't look for geometry
	resource if name is nil.

1995-06-09  Erik Naggum  <erik@naggum.no>

	* gnuspost.el (gnus-cancel-news): Use `buffer-disable-undo'.
	(gnus-inews-article): Ditto.
	(gnus-inews-insert-signature): Use the recommended
	hyphen-hyphen-space as the signature delimiter.

1995-06-08  Richard Stallman  <rms@gnu.ai.mit.edu>

	* info.el (Info-mode): Doc fix.
	(Info-next-preorder): Renamed from Info-next-preorder-1.
	Old definition deleted.
	After moving up, go to end of node.
	(Info-last-preorder): If no menu, try the previous node.
	After going down thru menu or to previous, position at end
	of node and recenter.
	After moving up, position at start of menu.
	(Info-follow-nearest-node, Info-mouse-follow-nearest-node):
	Use Info-next-preorder.
	(Info-scroll-up, Info-scroll-down): Doc fix.

	* emacsbug.el (report-emacs-bug-info): New command.
	(report-emacs-bug): Put it in local map.  Display a message
	in another window.

	* format.el (format-find-file, format-insert-file): New functions.

1995-06-08  Morten Welinder  <terra+@cs.cmu.edu>

	* add-log.el (prompt-for-change-log-name): Handle the case where
	a directory name is specified gracefully.

1995-06-08  Andre Spiegel  <spiegel@bruessel.informatik.uni-stuttgart.de>

	* vc.el (vc-backend-checkin): Handle RCS `ci'-output in the event
	that a check-in only results in reverting to the previous version.
	Also be more robust if the new version number cannot be told from
	what `ci' says.

1995-06-08  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* vc.el (vc-register): Check for a visited file first thing.

	* files.el (file-precious-flag): Doc clarification.

1995-06-08  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper.el (vip-envelop-ESC-key): If an ESC-sequence translates
	into a function key, pretend that this key was the last command event.

	* viper.el (vip-put-back,vip-Put-back): Now emulate Vi's behavior
	more closely.

	* viper.el (vip-line): No longer not bombs out.
	(vip-exec-shift) now preserves the point.

	* viper.el: Fixed the behavior of the Vi commands M, L, G, yw, dg, etc.

	* viper-util.el (vip-event-key): Now handles keys 128--255 as
	meta-chars.
	* viper-ex.el: Fixed problems with yanking/deleting buffers.

	* viper.el, viper-mous.el, viper-util.el, viper-ex.el:
	Changed vip-*-frame-* to *-frame-*, incorporated overlay strings,
	unread-command-events, removed support for emacs versions 19.28 and
	xemacs 19.11 and earlier.
	* viper-macs.el, viper-keym.el: Likewise.

1995-06-08  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* map-ynp.el (map-y-or-n-p): Don't eval return value of prompter
	function.

1995-06-08  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* texinfo.el (texinfo-font-lock-keywords): Do comments first.

1995-06-08  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* rlogin.el (rlogin): If optional second arg is buffer or string,
	use that as name.

1995-06-07  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* gud.el (gud-common-init): Call the MASSAGE-ARGS function even if
	FILE is nil.

1995-06-07  Morten Welinder  <terra+@cs.cmu.edu>

	* s-region.el: Delete version number.
	(s-region-bind): Doc fix.
	(s-region-move): Split into s-region-move and s-region-move-p1.
	(s-region-move-p2): New function.
	(s-region-move): Bind this-command.  Bind keys to s-region-move-p1
	or s-region-move-p2 as appropriate.

1995-06-07  Richard Stallman  <rms@gnu.ai.mit.edu>

	* replace.el (query-replace-map): Bind f1 and help.

	* subr.el (read-quoted-char): Turn on help-form and turn off help-char.

	* isearch.el (isearch-other-meta-char): Try downshifting
	shifted control characters.

	* files.el (file-precious-flag): Doc fix.

	* vc.el (vc-register): Clean error message if no visited file.

	* vc-hooks.el (vc-menu-map): Disable Register when no visited file.

1995-06-07  Paul Eggert  <eggert@twinsun.com>

	* time.el (display-time-filter):
	Use same instant for both time and time-zone.

1995-06-05  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-merg.el (ediff-set-state-of-diff-in-all-buffers): Bug fix.
	(ediff-set-merge-mode): New function.
	(ediff-do-merge): Now sets correct major mode in the merge buffer.
	(ediff-combine-diffs): Handles correctly non-interactive calls.

	* ediff.el: Added ediff-cleanup-hooks and ediff-janitor.

	* ediff-wind.el (ediff-setup-control-frame, ediff-keep-window-config):
	bug fix.

	* ediff-init.el (ediff-frame-has-menubar): Function deleted.
	(ediff-device-type, ediff-color-display-p): New functions.

	* ediff-wind.el (ediff-make-control-frame): Optimized for display.
	Commented out (redraw-display), to improve speed.

	* ediff.el: Don't make the patch buffer RO.

	* ediff.el (ediff-load-version-control): Now checks if
	ediff-revision-key is non-nil.

	* ediff.el (ediff-revision-key): Now defaults to nil.

	* ediff.el (ediff-revision): Now takes prefix argument; can compare
	two versions of the same file.

	* ediff.el: The merge buffer now assumes the major mode of the
	default variant.

	* ediff.el (ediff-documentation: New function.

	* ediff-wind.el: Got rid of toolbars in control frame in xemacs

	* ediff-wind.el: Changed window-min-height from 1 to 2

	* ediff-wind.el (ediff-diff-at-point, ediff-toggle-multiframe):
	Bug fixes.
	(ediff-destroy-control-frame, ediff-window-display-p): New functions.
	* ediff.el, ediff-wind.el, ediff-util.el, ediff-init.el:
	Converted xemacs *screen* nomenclature to *frame*.
	Incorporated overlay strings. Ediff no longer runs under emacs
	19.28 and earlier and XEmacs 19.11 and earlier.
	* ediff.el (ediff-patch-buffer): Now handles buffers that don't
	visit any file.
	(ediff-windows): Renamed to ediff-windows-wordwise, added
	(ediff-windows-linewise): New function.
	Changed ediff-small/large-regions to ediff-regions-wordwise/linewise

	* ediff.el, ediff-wind.el:
	Changed window-system to ediff-window-display.

	* ediff-wind.el (ediff-toggle-multiframe): Fixed.
	(ediff-destroy-control-frame): New function.

1995-06-05  Boris Goldowsky  <boris@spiff.gnu.ai.mit.edu>

	* avoid.el, enriched.el, facemenu.el, format.el, shadowfile.el:
	Change email address for Boris.

1995-06-03  Richard Stallman  <rms@gnu.ai.mit.edu>

	* mouse.el (mouse-set-region): Don't bounce the cursor on X.
	mouse-drag-region takes care of showing it, sufficiently.

1995-06-02  Richard Stallman  <rms@gnu.ai.mit.edu>

	* version.el (emacs-version): If using Motif, mention it.

	* files.el (hack-local-variables-prop-line): Don't downcase var name.

1995-06-02  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* calendar.el (calendar-string-spread): Fix to allow 0 or 1 string.
	(calendar-set-mode-line): Use this ability.
	(generate-calendar-month): Ditto.

	* cal-x.el (calendar-two-frame-setup): Create fancy buffer if needed.
	(calendar-one-frame-setup): Ditto.

	* diary-lib.el (make-fancy-diary-buffer): New function.
	(fancy-diary-display): Use it.

1995-06-02  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* comint.el (comint-word): Set match-data to match the word.

1995-06-01  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* term/x-win.el (vendor-specific-keysyms): Recognize "X Consortium".

1995-06-01  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* files.el (multiple-recover-finish): Renamed to
	recover-session-finish.
	(recover-session): Changed binding.
	(recover-session-finish): Doc fix; rewritten using map-y-or-n-p.

1995-06-01  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* cal-x.el (calendar-setup): Autoload it.

1995-06-01  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* fast-lock.el: New version 3.06 from author.
	(fast-lock-save-cache): Use verify-visited-file-modtime to check
	timestamp of file against buffer, and visited-file-modtime to check
	timestamp of file against cache.  Check buffer with buffer-modified-p.
	Do set-buffer before all of these.
	(fast-lock-save-events): Events for which a cache may be saved.
	(fast-lock-after-save-hook, fast-lock-kill-buffer-hook)
	(fast-lock-kill-emacs-hook): Funs for those events; added to hooks.
	(fast-lock-save-faces): List of faces to save.
	(fast-lock-get-face-properties): Use it.
	(fast-lock-cache-filename): Variable to store buffer's cache file name.
	(fast-lock-cache-data): Set it.  Use buffer-modified-p to check buffer.
	Compile keywords before comparison.  Revert timestamp from
	verify-visited-file-modtime format if necessary.

	* font-lock.el (font-lock-compile-keywords): Optional KEYWORDS to use.
	Don't compile them if it looks like they already have been.

1995-05-31  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* time-stamp.el: Move defconsts to avoid byte-compiler warnings.

	* menu-bar.el (menu-bar-help-menu): Add "..."

1995-05-31  Richard Stallman  <rms@gnu.ai.mit.edu>

	* dired.el (dired-find-buffer-nocreate): Ignore dead buffers.

	* scroll-bar.el (scroll-bar-drag): Call scroll-bar-drag-1
	inside the let.

1995-05-30  Morten Welinder  <terra+@cs.cmu.edu>

	* lisp-mode.el (emacs-lisp-mode-map): Add a menu.
	(emacs-lisp-byte-compile): New function.

	* arc-mode.el (archive-lemacs): New variable.
	(archive-mode-map, archive-summarize-files): Make it sort-of
	work with Lucid Emacs.
	(archive-mouse-extract): Use Lucid compatible code.
	(archive-summarize-files, archive-lzh-chmod-entry):
	Guard lambda with function.

1995-05-30  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* time-stamp.el (time-stamp): Only warn about time-stamping
	being disabled if found a time-stamp that won't get updated.

1995-05-30  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist): In "Cray C" regexp,
	don't allow newlines.

1995-05-30  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-wind.el (ediff-setup-control-frame):
	Make Ediff delete the old control frame before creating a new one.

1995-05-30  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* bookmark.el: Fix capitalization in menu bar.
	* rmailsum.el: Likewise.
	* makefile.el: Likewise.
	* hideshow.el: Likewise.
	* cal-menu.el: Likewise.
	* sh-script.el (sh-mode-map): Likewise.
	* compile.el (compilation-mode-map): Likewise.
	* bibtex.el (bibtex-mode-map): Likewise.
	* tar-mode.el (tar-mode-map): Likewise.
	* forms.el (forms--mode-menu-ro, forms--mode-menu-edit): Likewise.
	* gud.el: Likewise.
	(gud-xdb-find-file): Delete duplicate menu-bar entry.
	* f90.el: Fix capitalization and punctuation in menu bar.

	* frame.el (frame-configuration-p): Moved to subr.el.
	* subr.el (frame-configuration-p): Moved here from frame.el.

1995-05-30  Richard Stallman  <rms@gnu.ai.mit.edu>

	* facemenu.el (facemenu-special-menu): Use characters, not symbols.
	Add Remove Special menu item.
	(facemenu-remove-special): New function.
	(facemenu-set-face-from-menu): If prefix arg, treat region as inactive.
	(facemenu-set-face): Likewise.
	(facemenu-keymap, facemenu-foreground-menu, facemenu-background-menu):
	Add ... after Other.
	(facemenu-menu): Change name to Text Properties.

	* facemenu.el (facemenu-remove-really-all): New function.
	(facemenu-special-menu): Add Remove All menu item.
	(facemenu-indentation-menu): Make item names clearer.
	Pick new key names too.

	* facemenu.el (facemenu-menu): Split up definition.
	Move `Remove All' item here.
	(facemenu-special-menu): Delete `Remove All' item.
	(facemenu-remove-all): Renamed from facemenu-remove-really-all.
	(facemenu-remove-props): Renamed from facemenu-remove-all.

1995-05-29  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* frame.el (make-initial-minibuffer-frame): New function.
	(frame-notice-user-settings): Call it.

	* man.el (Man-default-man-entry): Return result.

	* gud.el (gud-perldb-find-file): Use gud-make-debug-menu.

1995-05-29  Richard Stallman  <rms@gnu.ai.mit.edu>

	* gud.el (gud-make-debug-menu): New function.
	(gud-mode, gud-gdb-find-file, gud-dbx-find-file, gud-sdb-find-file)
	(gud-xdb-find-file): Use gud-make-debug-menu.

	* find-dired.el (find-dired): If dired-simple-subdir-alist is not
	defined, set dired-subdir-alist a different way.
	(find-dired-version): Variable deleted.

	* files.el (after-revert-hook, before-revert-hook): Add defvars.

1995-05-29  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* gud.el (gud-perldb-massage-args): Pass `-emacs' after the file name.

	* dired.el (dired-mode-map): Rename menubar bindings and use the
	new function names `dired-do-query-replace' and `dired-do-search'.

1995-05-29  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-init-defvars): Don't remove lines containing
	"No such file or directory".

1995-05-29  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* cc-mode.el (c-mode-help-address): New hostname.

1995-05-28  Erik Naggum  <erik@naggum.no>

	* mail-extr.el (mail-extr-all-letters-but-separators):
	Reinstate \377, the bug in search.c is apparently gone.
	(mail-extr-first-letters): Add 8-bit characters
	(mail-extr-last-letters): Ditto.

	* simple.el (indent-for-comment): Move to beginning of line only
	if there is a comment syntax.

1995-05-28  Michael Ernst  <mernst@research.microsoft.com>

	* dired.el (dired-find-buffer-nocreate): Check only buffers in
	dired-buffers instead of all buffers in (buffer-list).

1995-05-28  Richard Stallman  <rms@gnu.ai.mit.edu>

	* vc.el (vc-revert-buffer1): Delete the special code for font-lock.

	* font-lock.el (font-lock-revert-cleanup): Always turn font lock on.
	(font-lock-mode): When turning mode off, always take out
	the revert hooks.

	* files.el (revert-buffer): Save after-revert-hook (both local and
	global values) before reverting, and run the saved values at the end.

	* files.el (find-file-noselect): In "file changed" messages,
	mention buffer name if different from file name.

	* ediff-wind.el (ediff-setup-control-frame):
	Use designated-minibuffer-frame while making the new frame.
	And delete the old frame if its minibuffer is not in that frame.
	(ediff-setup-windows-multiframe-compare)
	(ediff-setup-windows-multiframe-merge): Don't mess with
	default-minibuffer-frame here and don't kill the old control frame.

	* ediff-util.el (ediff-setup): Don't make default-minibuffer-frame
	a buffer-local variable.

	* dabbrev.el (dabbrev--abbrev-at-point): If point is after
	a separator, move back to previous abbreviation.
	(dabbrev-expand): New feature--if you insert a space and
	call this command again, it always fetches consecutive words
	after the expansion that was found for the actual abbrev.

	* isearch.el (isearch-edit-string): Don't bind isearch-other-end.

1995-05-26  Richard Stallman  <rms@gnu.ai.mit.edu>

	* sendmail.el (send-mail-function, mail): Doc fixes.

	* simple.el (previous-matching-history-element):
	No longer remove empty string from history.
	Better error message if history is empty.

1995-05-26  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* vc-hooks.el (vc-log-info): Use path-separator.
	* info.el (Info-directory-list): Use path-separator.
	* gud.el (gud-gdb-marker-regexp): New var.  Use path-separator.

1995-05-26  Michael Ernst  <mernst@research.microsoft.com>

	* ispell.el (ispell-message-text-end): Match start of forwarded msg.

1995-05-26  Geoff Voelker  <voelker@cs.washington.edu>

	* startup.el (command-line): Handle nil command-line-args.

1995-05-26  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist): In "IBM C/C++
	Tools" regexp, disallow leading spaces and disallow whitespace
	chars within the file name.

1995-05-26  Michael Ernst  <mernst@research.microsoft.com>

	* dired-x.el (dired-find-buffer-nocreate): Don't try to find a
	wildcard as a subdirectory.

	* gud.el (gud-common-init): Don't die if filename not supplied.
	Omit trailing hyphen when no filename follows.

	* texnfo-upd.el (texinfo-sequentially-find-pointer): Don't modify
	the kill ring.

1995-05-25  Richard Stallman  <rms@gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-insert-header):
	When using dynamic docstrings, refuse to load in 19.28 and older.
	In that error message, don't mention the directory names.

	* faces.el (x-create-frame-with-faces): Read geometry resource
	and use that while creating the frame.

1995-05-24  Rolf Ebert  <re@waporo.muc.de>

	* ada-mode.el (initial comments): Copyright 1995; don't speak
	about setup; correct history for a file that actually IS in
	Emacs 19.29; update list of known bugs.
	(all functions): Inititialize all local variables explicitely to 'nil'.
	(ada-font-lock-keywords): Initialized according to new user option
	`font-lock-maximum-decoration'.

	* ada-mode.el (ada-ident-re): New regexp for Ada identifiers.
	(ada-block-start-re): "record" may be preceded by one or more
	occurencies of "limited", "abstract", or "tagged".
	(ada-end-stmt-re): Add "separate" body parts, "else", and
	"package <Id> is".
	(ada-subprogram-start-re): Add "entry", "protected" and
	"package body"
	(ada-indent-function): Handle "elsif" the same way as "if", added
	"separate" for no indent.
	(ada-get-indent-type): If "type ... is .." is followed by code on
	the same line, it is a broken statement. Test it.
	(ada-check-defun-name): Check for "protected" records.
	(ada-goto-matching-decl-start): Use of ada-ident-re.
	(ada-goto-matching-start): Extend regexp for "protected" record.
	(ada-in-limit-line): Rename from in-limit-line. Don't use
	count-lines, but test if beginning-of-line/end-of-line puts us
	to bob/eob.
	(ada-goto-previous-nonblank-line): Save a beginning-of-line
	statement, as we already are there.
	(ada-complete-type): Remove.
	(ada-tabsize): Remove.
	(keymap): Use C-M-a and C-M-e for proc/func movement.
	No keybinding anymore for next/prev-package.
	(ada-font-lock-keywords-[1|2]): Add protected records. "when" removed
	from 'reference'-face.
	(initial comments): Update CREDITS list.
	(ada-add-ada-menu): Capitalize menu entries.  Add menu statement
	needed for XEmacs.

	* ada-mode.el: Change all Ada94 to Ada95.

	* ada-mode.el: (ada-xemacs): New function, detect if we are
	running on XEmacs. Ada keymap definition and menus use it.
	(ada-create-syntax-table): Correct comments explaining use of 2nd
	syntax table.  Added creation of ada-mode-symbol-syntax-table
	with '_' as word constituent.
	(ada-adjust-case): Add test, if symbol is preceeded by a "'".
	If true, change case according to ada-case-attribute.
	(ada-which-function-are-we-in): New routine. Save name of the current
	function in the old buffer; we can place cursor now at the same
	function in the new buffer using find-file.
	(ada-make-body): New function.  Generates body stubs if the body
	did not exist yet and you switch to it by find-file.
	(ada-gen-treat-proc): Complete rewrite for ada-make-body.
	(ada-mode): Two doc lines about the above extension.
	(keymap definition): Remove 4th parameter in call to
	`substitute-key-definition' to make XEmacs happy.

	(ada-adjust-case-region, ada-move-to-start, ada-move-to-end)
	(ada-indent-newline-indent, ada-format-paramlist): Switch syntax
	tables, protect switching of syntax tables with unwind-protect.
	(ada-in-open-paren-p): Replace user option
	`ada-search-paren-line-count-limit' by
	`ada-search-paren-char-count-limit'.
	(ada-case-attribute): New user option, but not yet the functionality.
	(ada-krunch-args): Initialized to 0 exploiting the new capability of
	'gnatk8' as of gnat-2.0.
	(ada-make-filename-from-adaname): Remove downcasing and replacement
	of dots. This is done in external program gnatk8 (gnat-2.0).
	(ada-in-open-paren-p): Complete rewrite for speed-up.
	(ada-search-ignore-string-comment): Ignore # as a string terminator
	in all searches.
	(ada-add-ada-menu): Use real variables instead of t for invoking
	'easymenu'
	(require 'easymenu).
	(imenu-create-ada-index): We accept forward definitions again.
	(ada-indent-region): Catch errors, simplified code.

1995-05-23  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* term/x-win.el (vendor-specific-keysyms): Add second spelling for HP.

	* arc-mode.el: Remove version number.

1995-05-23  Richard Stallman  <rms@gnu.ai.mit.edu>

	* menu-bar.el (delete-frame-enabled-p): New subroutine.
	Use frame-visible-p to reduce consing.

	* help.el (describe-prefix-bindings): If key is a string,
	make a substring; for a vector, make a vector.

1995-05-22  Erik Naggum  <erik@naggum.no>

	* gnus.el (gnus-gnus-to-quick-newsrc-format): Don't save
	gnus-newsgroup-alist in .newsrc.el.

1995-05-22  Richard Stallman  <rms@waves>

	* edmacro.el (edit-kbd-macro): Better error messages for undefined keys
	or keys that are not keyboard macros.

	* ada-mode.el (ada-add-ada-menu): Fix args to easy-menu-define.

1995-05-22  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* files.el (file-ownership-preserved-p): Fix typo in previous change.

	* sendmail.el (mail-text): Expand abbrev before moving point.

1995-05-20  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* mouse.el (mouse-save-then-kill): Fix previous change.

	* easymenu.el (easy-menu-do-define): Add autoload cookie.

1995-05-19  Kevin Rodgers  <kevinr@ihs.com> (tiny change)

	* mailalias.el (expand-mail-aliases): Expand aliases in
	From and Reply-to headers as well, plus the Resent- variants.

	* sendmail.el (mail-mode): Clarify doc string.
	(mail-text): Ditto.

1995-05-18  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* faces.el: Put property on set-face-stipple, not set-stipple.
	(face-fill-in): Handle stipple.

1995-05-18  Richard Stallman  <rms@waves>

	* bytecomp.el (byte-compile-dynamic-docstrings): Doc fix.

	* tar-mode.el (tar-mode): Set write-contents-hooks instead of
	local-write-file-hooks.

	* loadhist.el (unload-feature): When we come to (provide . FEATURE),
	remove FEATURE from the features list.

1995-05-17  Richard Stallman  <rms@gnu.ai.mit.edu>

	* c-mode.el (c-fill-paragraph): Don't alter point
	when deciding to narrow at the end for the sake of a comment ender.

	* gnus.el (gnus-expunge): Use defalias.

1995-05-17  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* buff-menu.el (Buffer-menu-buffer): Give more informative error
	message if user attempts a selection at end of buffer.

	* easymenu.el (easy-menu-create-keymaps): Set menu-enable prop.

1995-05-16  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* lpr.el: Add provide call.

1995-05-15  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* facemenu.el (facemenu-set-face-from-menu): Doc fix.
	(facemenu-set-background, facemenu-set-foreground): Doc fix.
	(facemenu-set-face): Doc fix.

	* files.el (file-ownership-preserved-p): Don't bomb if file
	doesn't exist.

	* add-log.el (get-method-definition): Fix regexps.

	* tq.el (tq-process-buffer): Don't hard-code the buffer name.

1995-05-12  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* x-apollo.el: New file.
	* term/x-win.el (vendor-specific-keysyms): New function.

1995-05-12  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* rlogin.el (rlogin-history): New defvar.
	(rlogin): Use rlogin-history as history var in read-from-minibuffer.

	* compile.el (compilation-next-error-locus): Ignore zero column number.
	(compilation-parse-errors): Don't store the beginning of the line
	containing the end of the error-regexp match.  Instead, store the
	beginning of the line containing the start of the match, unless
	the match starts with a newline, in which case the beginning of
	the next line.

	* vc-hooks.el (vc-status): If vc-locking-user returns a number,
	compare it to (user-uid).

1995-05-11  Jim Thompson  <thompson@wg2.waii.com>

	* ps-print.el: Miscellaneous fixes for better compatibility with
	XEmacs 19.12.

	* ps-print.el (ps-plot-with-face): Added code to handle Emacs
	19.29's new ability for the face attribute to hold a list of faces.

	* ps-print.el: Rolled in Chuck Thompson's changes to make color
	printing work in XEmacs 19.12.

	* ps-print.el: Fix error in comments.

	* ps-print.el (ps-generate-postscript-with-faces): Add fix to
	handle extents without faces.

	* ps-print.el (ps-faces-list): Delete.  Added alias for
	list-faces if face-list isn't fbound.

	* ps-print.el: (ps-print-ensure-fontified) added to make sure
	ps-print works correctly in conjunction with lazy-lock.

	* ps-print.el: RMS's changes for Emacs.

1995-05-10  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-loop-continue): Doc fix.  Reset NEW after
	visiting for real, so we don't clobber the buffer again.

	* compile.el (compilation-error-regexp-alist): Add regexps for IBM
	and Cray compilers.
	(compilation-next-error-locus): Ignore a column number that is zero.

1995-05-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-insert-header): Cope if user-mail-address
	is unbound.

1995-05-09  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* loaddefs.el: Remove duplicate autoloads.

1995-05-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-directory-list): Use installation-directory,
	not invocation-directory.  Cope if it is nil.

	* sendmail.el (mail-font-lock-keywords): Make mail-header-separator
	into a regexp.

	* rnewspost.el (news-reply-mode): Add ^ to paragraph delimiters.

	* supercite.el (sc-no-blank-line-or-header): Make mail-header-separator
	into a regexp.

1995-05-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lmenu.el (popup-dialog-box): x-popup-dialog returns the value,
	not the cons cell.

	* rnewspost.el (news-setup): Bind mail-signature to nil.

	* ediff.el (ediff-revision-key): Default value nil.
	(ediff-load-version-control): Don't remind any key if
	ediff-revision-key is nil.

	* info.el (info-insert-file-contents): Don't use
	(file-name-directory fullname) if it is nil.

	* helper.el (Helper-help): Use read-key-sequence.

	* mouse.el (mouse-save-then-kill): When making a new region
	and not adjusting an old one, always make new kill-ring entry
	and don't call mouse-show-mark.

	* add-log.el (add-log-current-defun): Handle objc-mode like c-mode;
	detect method definitions by their syntax.

	* menu-bar.el (menu-bar-tools-menu): Rename key to `compare'.

1995-05-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* add-log.el (get-method-definition, get-method-definition-1):
	New functions.
	(add-log-current-defun): Use them to handle objc-mode.

	* pc-mode.el (pc-bindings-mode): Add bindings for C-backspace
	and M-backspace.  Make C-delete and M-delete operate on words.
	Add C-escape binding.

	* loaddefs.el (global-map): Add bindings for C-insert and S-insert.
	Also S-delete.  Also C-up, C-down, C-prior and C-next.

	* files.el (recover-session): Renamed from multiple-recover.

	* noutline.el: Provide noutline as well as outline.

1995-05-06  Geoff Voelker  <voelker@cs.washington.edu>

	* winnt.el (path-separator): Set to ";".

	* files.el (path-separator): Defined.
	(parse-colon-path): Use path-separator.

1995-05-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* pp.el (pp-eval-expression): Update use of temp-buffer-show-function.

	* term/x-win.el (x-colors): Delete "medium goldenrod" in both forms.
	Delete "medium forest green" in both forms.

	* gnus.el (gnus-use-generic-from): Doc fix.

1995-05-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* loaddefs.el: Delete autoloads for ispell4, noutline, noutline1.
	* noutline.el: All autoload cookies disabled.
	* ispell4.el: All autoload cookies disabled.

	* gnus.el (gnus-group-mode): Set truncate-lines.

	* edebug.el (\`): Add backslash.
	(edebug-\`): Add backslash.

	* info.el (info-insert-file-contents): Fix Apr 19 change.

	* sendmail.el (sendmail-send-it): Check continuation lines
	when checking for empty subject lines.

1995-05-05  Michael Ernst  <mernst@research.microsoft.com>

	* ispell.el (ispell-region): If position not visible, (sit-for 0).

1995-05-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* trace.el: Don't try to define backquote.
	(trace-version): Deleted.

	* backquote.el ('\`): Use backslash for reading the backquote.
	(backquote-backquote-symbol): Likewise.
	(backquote): Doc fix.

1995-05-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cc-mode.el: Doc fixes.
	(c-version): Mention that this may be modified version.

1995-05-02  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* scribe.el: (scribe-chapter): Change to C-c C-c.
	(scribe-section): Change to C-c C-t.
	(scribe-subsection): Change to C-c C-s.
	(scribe-insert-environment): Change to C-c C-v.
	(scribe-bracket-region-be): Change to C-c C-e.
	(scribe-italicize-word): Change to C-c C-i.
	(scribe-bold-word): Change to C-c C-b.
	(scribe-underline-word): Change to C-c C-u.
	* gomoku.el (gomoku-human-plays): Change to C-c C-p.
	(gomoku-human-takes-back): Change to C-c C-b.
	(gomoku-human-resigns): Change to C-c C-r.
	(gomoku-emacs-plays): Change to C-c C-e.
	* gnus-uu.el (gnus-uu-interactive-scan-directory): Change to C-c C-d.
	(gnus-uu-interactive-save-current-file): Change to C-c C-z.
	* allout.el (outline-rebullet-current-heading): Change to C-c *.

1995-05-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* s-region.el (S-delete): Fix typo (was C-delete).

	* hideif.el (hide-ifdef-mode-prefix-key): Change to C-c @.
	(hide-ifdef-mode-submap): Get rid of \e from all bindings.

	* outline.el, noutline.el (outline-minor-mode-prefix): Change to C-c @.

	* texinfo.el (texinfo-mode-map): Delete C-c ] binding.

	* forms.el (forms--mode-commands): Delete C-c ? binding.

	* rnewspost.el (news-reply-mode-map): Delete C-c ? binding.

	* isearch.el (isearch-mode): Doc fix.

	* iso-acc.el (iso-accents-mode): Doc fix.

1995-05-01  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* cc-mode.el (c-set-style): Ignore case in completion.

1995-05-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mailalias.el (expand-mail-aliases):
	Use buffer-substring-no-properties.

	* subr.el (buffer-substring-no-properties): New function.

	* makefile.el (makefile-mode): Set dabbrev-abbrev-skip-leading-regexp.

	* dabbrev.el (dabbrev-completion): Use mapcar, not mapc.
	Call dabbrev--reset-global-variables as the first thing.

	* files.el (set-auto-mode): If buffer has no file, use buffer name.

1995-04-30  Jay Adams  <jka@mustang.ece.cmu.edu>

	* jka-compr.el (jka-compr-write-region): Handle the append
	argument correctly when the can-append flag is false.
	(jka-compr-write-region): Make temp-buffer name unique to this fn.
	(jka-compr-file-local-copy): Ditto.

1995-04-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (multiple-recover, multiple-recover-finish): New commands.

	* startup.el (normal-top-level): Set auto-save-list-file-name.

1995-04-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (command-line-1): Implement -L/--directory option.

	* jka-compr.el (jka-compr-insert-file-contents): When visiting,
	bind buffer-file-name to nil temporarily.

	* tex-mode.el (tex-view): Nice error if tex-dvi-view-command is nil.

1995-04-26  Rob Riepel  <riepel@Snowflake.Stanford.edu>

	* tpu-edt.el (tpu-copy-keyfile): New function.
	(tpu-load-xkeys): Copy key definition file to new default name.

1995-04-26  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* vc.el (vc-next-action-on-file): Add missing let-binding.

1995-04-26  Andre Spiegel  <spiegel@bruessel.informatik.uni-stuttgart.de>

	* vc.el (vc-default-backend, vc-keep-workfiles, vc-consult-headers):
	(vc-mistrust-permissions, vc-path): Vars moved to vc-hooks.el.
	(vc-match-substring, vc-lock-file, vc-parse-buffer, vc-master-info):
	(vc-log-info, vc-consult-rcs-headers, vc-fetch-properties):
	(vc-backend-subdirectory-name, vc-locking-user, vc-true-locking-user):
	(vc-latest-version, vc-your-latest-version, vc-branch-version):
	(vc-workfile-version): Functions moved to vc-hooks.el.
	(vc-trunk-p, vc-minor-revision, vc-branch-part): Functions moved
	here from vc-hooks.el.

	* vc-hooks.el (vc-default-backend, vc-path, vc-consult-headers):
	(vc-mistrust-permissions, vc-keep-workfiles):
	Customization variables, moved here from vc.el.
	(vc-trunk-p, vc-minor-revision, vc-branch-part): Moved to vc.el.
	(vc-backend): Renamed from vc-backend-deduce.  Callers changed.
	(vc-match-substring, vc-lock-file, vc-parse-buffer, vc-master-info):
	(vc-log-info, vc-consult-rcs-headers, vc-fetch-properties):
	(vc-backend-subdirectory-name, vc-locking-user, vc-true-locking-user):
	(vc-latest-version, vc-your-latest-version, vc-branch-version):
	(vc-workfile-version): Functions moved here from vc.el.
	(vc-log-info): Log program is no longer called through vc-do-command,
	to avoid including the lengthy vc-do-command here.  It is done
	directly through call-process now.  Removed obsolete parameter LAST.
	(vc-status): Replaced by the much simpler version that gets the
	information from the file properties.  Removed the obsolete
	parameter vc-type.
	(vc-parse-buffer): Change format of PATTERNS.  Each pattern is now a
	list of 2 to 3 elements, the first being the pattern, the remaining
	ones the numbers of subexpressions to refer to.
	(vc-cvs-status): New per-file property, only used in the CVS case.
	(vc-cvs-status): New function.
	(vc-log-info): Adapted to new version of vc-parse-buffer
	(vc-fetch-properties): Adapted to new version of vc-parse-buffer.
	Better search regexp for CVS latest version.
	(vc-log-info): Search for branch version only in the RCS case,
	since this doesn't make sense for SCCS or CVS.
	(vc-fetch-properties) <CVS>: Set vc-cvs-status.
	(vc-locking-user) <CVS>: Use vc-cvs-status to determine if
	the file is up-to-date, thus avoiding an expensive call to
	vc-workfile-unchanged-p.
	(vc-mode-line): Re-activated the code that makes the buffer read-only
	if the work file is unchanged.  But the status of the work file
	is now determined by looking at the already-computed mode string.

1995-04-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (command-line): Handle -iconic and -icon-type here.

1995-04-25  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* abbrev.el (abbrev-mode): Use force-mode-line-update.
	* appt.el (appt-check): Likewise.
	* array.el (array-mode): Likewise.
	* bytecomp.el (byte-recompile-directory): Likewise.
	* delsel.el (delete-selection-mode): Likewise.
	* dired-x.el (dired-omit-expunge): Likewise.
	* dired.el (dired-sort-set-modeline): Likewise.
	* double.el (double-mode): Likewise.
	* edt.el (edt-advance, edt-backup): Likewise.
	* emerge.el (emerge-fast-mode, emerge-edit-mode): Likewise.
	(emerge-auto-advance, emerge-skip-prefers): Likewise.
	(emerge-refresh-mode-line): Likewise.
	* f90.el (f90-auto-fill-mode): Likewise.
	* files.el (toggle-read-only, rename-uniquely): Likewise.
	* find-dired.el (find-dired-sentinel): Likewise.
	* fortran.el (fortran-auto-fill-mode): Likewise.
	* gomoku.el (gomoku-display-statistics): Likewise.
	* gud.el (gud-sentinel): Likewise.
	* hanoi.el (hanoi): Likewise.
	* hideif.el (hide-ifdef-toggle-read-only): Likewise.
	(hide-ifdef-toggle-outside-read-only): Likewise.
	* info.el (Info-edit-mode, Info-cease-edit): Likewise.
	* isearch.el (isearch-mode, isearch-done): Likewise.
	* ispell.el (ispell-minor-mode): Likewise.
	* mh-comp.el (mh-insert-signature): Likewise.
	* mh-e.el (mh-set-scan-mode): Likewise.
	* mh-utils.el (mh-set-mode-name): Likewise.
	* noutline.el (outline-minor-mode): Likewise.
	* outline.el (outline-minor-mode): Likewise.
	* picture.el (picture-set-motion, picture-mode-exit): Likewise.
	* rmailedit.el (rmail-edit-current-message): Likewise.
	(rmail-cease-edit): Likewise.
	* simple.el (auto-fill-mode): Likewise.
	* supercite.el (sc-raw-mode-toggle): Likewise.
	* term.el (term-update-mode-line, term-process-pager): Likewise.
	(term-pager-continue): Likewise.
	* terminal.el (te-edit, te-more-break-unwind): Likewise.
	(te-update-pending-output-display): Likewise.
	* time.el (display-time-sentinel, display-time-filter): Likewise.
	* vi.el (vi-switch-mode, vi-back-to-old-mode): Likewise.
	(vi-mode, vi-goto-insert-state): Likewise.
	* vip.el (vip-change-mode): Likewise.
	* xscheme.el (xscheme-set-runlight, xscheme-set-prompt): Likewise.

1995-04-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* compile.el (compile-internal): Disable undo before erasing
	the buffer, then enable again afterward.
	(compilation-sentinel): Use force-mode-line-update.

	* tpu-extras.el: Removed reference to tpu-gnu-emacs18-p.

	* tpu-mapper.el: Eval key definitions and clean up upon completion.
	Persistent completion status message.

	* loaddefs.el (esc-map): Define `ESC ESC :' like `ESC :'.

1995-04-25  Johan Vromans  <jv@squirrel.NL.net>

	* forms.el: (forms--make-format-elt-using-text-properties)
	forms--make-format): Add `intangible' text property to read-only areas.
	(forms-next-field, forms-previous-field):
	Use `inhibit-point-motion-hooks' to allow move between two
	intangible areas.

1995-04-25  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* supercite.el (sc-string-text): New function to return raw text.
	(sc-mail-fetch-field, sc-mail-append-field): Use it.
	(sc-submatch): Make it a defalias for match-string.
	(sc-member): Make it a defalias for member.

1995-04-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (rename-uniquely): Don't discard <NN> from end
	if that is part of the visited file name.

	* rmail.el (rmail-insert-inbox-text): Get the truename of
	the standard inbox name, not just of its directory.

1995-04-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sendmail.el (mail-position-on-field): Use $, not \n, in regexp.

	* tpu-edt.el (tpu-search-internal): Case-sensitive search if search
	string contains upper-case.
	tpu-check-search-case): New function.

	* tpu-edt.el: Don't turn on tpu-edt mode.
	(tpu-gnu-emacs19-p): Function deleted.  Callers changed.
	(tpu-load-xkeys): Use file name .tpu-keys by default.
	(tpu-gnu-emacs18-p): Function deleted.

	* tpu-mapper.el: At end, use default file name .tpu-keys.
	Do not kill Emacs.
	(tpu-emacs-map-key): Renamed from tpu-gnu-map-key.

	* vc.el (vc-backend-checkout): Pass vc-checkout-switches arg
	properly to vc-do-command.

	* isearch.el (isearch-update-ring): Use STRING arg, not isearch-ring.

	* files.el (rename-uniquely): Strip suffix before rename.

1995-04-24  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-keywords): Doc fix for MATCHER.
	(font-lock-maximum-size): Set based on font-lock-maximum-decoration.
	(font-lock-after-fontify-buffer-hook): Removed.
	(font-lock-after-fontify-buffer): New function.
	(font-lock-fontify-buffer): Use instead.  Don't bother if buffer empty.
	(font-lock-fontify-region): Use font-lock-syntax-table if set.
	(font-lock-unfontify-region): Only set-buffer-modified-p if necessary.
	(font-lock-after-change-function): Use it to unfontify.
	(font-lock-compile-keywords): New function to compile keywords.
	(font-lock-apply-highlight): New inline function to apply highlights.
	(font-lock-hack-keywords): Use them, if font-lock-keywords are not
	compiled, and to highlight.  Use funcall if MATCHER is not a regexp.
	(font-lock-mode): Doc fix for font-lock-maximum-decoration.
	Use font-lock-set-defaults to call font-lock-make-faces.
	(tex-font-lock-keywords): Revamped.

	* fortran.el (fortran-match-!-comment): New function.
	(fortran-font-lock-keywords-1, fortran-font-lock-keywords-2): Use it.
	(fortran-font-lock-keywords-3): New variable.
	(fortran-find-comment-start-skip): Clean code.

	* add-log.el (change-log-font-lock-keywords):
	dired.el (dired-font-lock-keywords):
	sendmail.el (mail-font-lock-keywords):
	rmailsum.el (rmail-summary-font-lock-keywords):
	shell.el (shell-font-lock-keywords): Efficiency change.

1995-04-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* easymenu.el (easy-menu-define): Doc fix.

	* iso-acc.el (iso-accents-list): Add ~! and ~? combinations.

	* byte-opt.el (byte-optimize-letX): Use car-safe and cdr-safe.

1995-04-20  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* rmail.el (rmail-resend): Fix abbrev expansion.

	* rmailkwd.el (rmail-attributes): Recognize "resent" attribute.

	* mailabbrev.el (sendmail-pre-abbrev-expand-hook): When setting the
	dummy value for abbrev-start-location, use (point-max) rather than
	(point), so we won't delete a "-" that happens to be at point.

1995-04-20  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* mh-mime.el, mh-comp.el: Update some MIME doc strings.

	* mh-comp.el (mh-auto-fill-for-letter): Use fill-prefix to do
	message headers.

1995-04-20  Torbjorn Einarsson  <tfkte@fy.chalmers.se>

	* f90.el (f90-keywords): "only" added to keyword list.
	(f90-font-lock-keywords-1): Type may now have attributes private
	and public.
	(f90-font-lock-keywords-2): Fixed difference between type and type().
	(hilit-set-mode-patterns): Type may now have attributes private.
	and public, fixed difference between type and type().
	(f90-p-type-re): New regular-expression constant for type commands.
	(f90-mode): indent-tabs-mode put to nil by default.
	(f90-looking-at-type-like): Now uses f90-p-type-re.
	(f90-no-block-limit): Now uses f90-p-type-re.
	(f90-change-keywords): Don't change preprocessor lines.

1995-04-20  Kevin Rodgers  <kevinr@ihs.com>

	* dired-x.el: Change the instructions in the INSTALLATION
	comment block to set buffer-local variables like
	dired-omit-files-p in dired-mode-hook.
	(dired-omit-files-p): Make local to all buffers.
	(dired-omit-files): Fix doc string (not buffer-local).
	(dired-omit-startup): Don't need to make dired-omit-files-p
	local to buffer here.

1995-04-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-get-new-mail): Simply the reversion check;
	don't call rmail-forget-messages.

1995-04-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-revert): Call rmail-mode after reverting
	to make sure rmail-message-vector is buffer-local.

	* undigest.el (undigestify-rmail-message): Strip "^- " which is
	added by some digest makers to the beginning of lines.

1995-04-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (info-insert-file-contents): Set default-directory
	around call to shell-command-on-region.

1995-04-19  Mike Williams  <mikew@gopher.dosli.govt.nz>

	* mouse-sel.el: Downcase function parameters.
	Doc fixes.

	* mouse-sel.el: Rewrite to support secondary selection.
	(mouse-sel-maintainer-address): New constant.
	(mouse-sel-submit-bug-report): New function.
	Rename mouse-sel-selection-type to mouse-sel-primary-thing.
	(mouse-sel-secondary-thing): New variable.
	(mouse-sel-selection-alist): New constant.
	(mouse-sel-set-selection-function): Semantics changed.
	Value should now be a function taking two arguments.
	(mouse-sel-get-selection-function): Semantics changed.
	Value should now be a function taking one argument.
	(mouse-sel-selection-owner-p-function): New variable.
	Removed variable mouse-sel-check-selection-function.
	Rename mouse-sel-determine-selection-type to
	mouse-sel-determine-selection-thing.
	(mouse-sel-set-selection): New function.
	(mouse-sel-get-selection): New function.
	(mouse-sel-selection-owner-p): New function.
	(mouse-sel-selection-overlay): New function.
	(mouse-sel-selection-thing): New function.
	(mouse-sel-region-to-primary): New function.
	(mouse-sel-primary-to-region): New function.
	(mouse-sel-eval-at-event-end): New macro.
	(mouse-sel-determine-selection-thing): Quad-click selects paragraphs.
	Removed variable mouse-sel-retain-highlight; use inverse of
	transient-mark-mode instead.
	(mouse-select-internal): New function.
	(mouse-select): Re-written using mouse-select-internal and
	mouse-sel-primary-to-region.
	(mouse-select-secondary): New function.
	(mouse-extend-internal): New function.
	(mouse-extend): Re-written using mouse-extend-internal,
	mouse-sel-region-to-primary and mouse-sel-primary-to-region.
	(mouse-extend-secondary): New function.
	(mouse-insert-selection-internal): New function.
	(mouse-insert-selection): Re-written using
	mouse-insert-selection-internal.
	(mouse-insert-secondary): New function.
	(mouse-sel-validate-selection): Check all selections in
	mouse-sel-selection-alist.

1995-04-18  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info.el (Info-find-node, Info-restore-point, Info-search)
	(Info-forward-node, Info-backward-node): Use string-equal, not equal,
	to compare node names.

	* cpp.el (cpp-edit-reset): Fix typo.
	(cpp-signal-read-only, cpp-grow-overlay): Update to new calling
	conventions.
	(cpp-make-overlay-hidden): Don't allow insertion before a
	read-only overlay.

1995-04-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cl-specs.el (pushnew): Use edebug-keywordp.

	* edebug.el (edebug-match-keywordp): Function deleted.

	* finder.el (finder-known-keywords): Add `debugging'.

	* vc-hooks.el (vc-buffer-backend): New function.
	Also new variable, local in all buffers.
	(vc-kill-buffer-hook): Kill local vc-buffer-backend.
	* vc.el (vc-update-change-log): Use vc-buffer-backend in menu-enable.

1995-04-18  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* complete.el: Add Keywords: comment header for finder.el.

1995-04-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* menu-bar.el: Disable many Files menu items in minibuffer.
	(menu-bar-search-menu): Add ... to many items.
	Add a query-replace-regexp item.
	(nonincremental-repeat-search-forward): Renamed from noninteractive...
	(nonincremental-repeat-search-backward): Likewise.
	(nonincremental-repeat-re-search-forward): Likewise.
	(nonincremental-repeat-re-search-backward): Likewise.

	* frame.el (frame-notice-user-settings):
	Don't respecify an old value which was nil and remains nil.

1995-04-18  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-search, tags-query-replace): Put (quote ...)
	around args inserted into forms to be evalled.

1995-04-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cpp.el (cpp-edit-list): Move definition toward start of file.
	(cpp-face-type-list, cpp-writable-list, cpp-button-event)
	(cpp-edit-buffer, cpp-branch-list, cpp-face-default-list)
	(cpp-face-light-name-list, cpp-face-dark-name-list)
	(cpp-face-light-list, cpp-face-dark-list, cpp-face-mono-list)
	(cpp-face-none-list, cpp-face-all-list, cpp-overlay-list): Likewise.

	* cpp.el (cpp-highlight-buffer): Rename stack to cpp-state-stack.
	(cpp-parse-open, cpp-parse-close): Likewise.
	(cpp-push-button, cpp-choose-symbol): Rename data to cpp-callback-data.
	(cpp-state-stack, cpp-callback-data): Add defvars.

	* simple.el (line-move): Fix previous change: if we get an error,
	move to where the error happened, don't go back to starting point.

1995-04-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* forms.el: Major rewrite to use `intangible' property.

1995-04-17  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* map-ynp.el (map-y-or-n-p): Don't log prompt messages.

1995-04-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* finder.el (finder-known-keywords): Generalize `c' keyword.

1995-04-16  Ethan Bradford  <ethanb@phys.washington.edu>

	* ispell.el (ispell-init-ispell): Don't barf if there is a
	warning message	before the version line when Ispell starts up.

1995-04-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* font-lock.el (font-lock-make-faces): Determine
	font-lock-background-mode from color values of background color.

	* facemenu.el (list-colors-display): Minor clarification.
	(facemenu-special-menu): Add "Intangible" item.
	(facemenu-color-equal): Doc fix.

	* faces.el (set-face-background): Handle FRAME = nil directly
	so stipple colors work in that case.

	* term/x-win.el (x-defined-colors): Take frame as optional arg.
	Check whether colors are really supported on the display in use.

1995-04-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (set-auto-mode): If -*- spec doesn't set `mode:',
	look for other ways of specifying major mode.

	* talk.el: New file.

	* dired.el (dired-mode-map): Rename commands for A and Q.

	* dired-aux.el (dired-do-search): Renamed from dired-do-tags-search.
	(dired-do-query-replace): Renamed from dired-do-tags-query-replace.

1995-04-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cpp.el (cpp-parse-open): Delete comments that go past end of line.
	(cpp-edit-reset): Clean up the four standard buttons.
	(cpp-parse-buffer): Name was undefined--use cpp-highlight-buffer.

	* finder.el (finder-known-keywords):
	Add frames, hypermedia, outlines, oop.

1995-04-14  Erik Naggum  <erik@naggum.no>

	* rmail.el (rmail-reformat-message): Call `rmail-clear-headers'
	also if `rmail-displayed-headers' is set.
	(rmail-clear-headers): Handle `rmail-displayed-headers' correctly.

1995-04-14  Erik Naggum  <erik@naggum.no>

	* rmail.el (rmail-insert-inbox-text): When reading old
	.newmail-<user> file, report it specifically.

1995-04-14  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* mouse.el: Create mouse-drag-overlay as a dead overlay, instead
	of having it live in the *scratch* buffer until first used.

	* edt-vt100.el (edt-vt100-revision): Deleted.
	* edt-pc.el (edt-pc-revision): Deleted.
	* edt-mapper.el (edt-mapper-revision): Deleted.
	* edt-lk201.el (edt-lk201-revision): Deleted.
	* edt.el: Many doc fixes.
	(edt-version): Deleted.

1995-04-14  Morten Welinder  <terra+@cs.cmu.edu>

	* tar-mode.el (tar-mode): Locally bind next-line-add-newlines to nil.
	(tar-subfile-mode): Doc fix.
	(tar-expunge): Make questions and messages start with uppercase letter.
	(tar-summarize-buffer): Ditto.
	(tar-subfile-save-buffer): Make message like others.
	(tar-mode): Locally bind local-write-file-hooks.
	(tar-mode-write-file): Renamed from tar-mode-maybe-write-tar-file.
	(tar-mode-write-file): Simplify to only work for tar file buffers.
	(write-file-hooks): Don't modify this.

1995-04-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* derived.el (derived-mode-merge-keymaps): Recursively merge
	prefix key submaps also.

1995-04-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* edebug.el (edebug-gensym): Renamed from gensym.
	Don't use concat on an integer.  Define unconditionally.
	(edebug-gensym-index): Renamed from *gensym-index*.
	(edebug-lambda-list-keywordp): Renamed from lambda-list-keywordp.
	(edebug-keywordp): Renamed from keywordp.  Define unconditionally.

	* vc-hooks.el (vc-kill-buffer-hook):
	Don't put it on kill-buffer-hook.
	(vc-file-clearprops): Function moved here.
	(vc-workfile-version): Function moved here.
	(vc-mode-line): Don't call vc-locking-user.

	* vc.el (vc-file-clearprops, vc-workfile-version):
	Functions moved to vc-hooks.el.

	* edebug.el (edebug-emacs-19-specific): Use name edebug-menu
	for the easy-menu-define call.

	* font-lock.el (font-lock-make-faces-done): New variable.
	(font-lock-make-faces): Set font-lock-make-faces-done to t.
	Don't call it when loading the file.
	(font-lock-mode): Call font-lock-make-faces if not yet done.

	* bytecomp.el (byte-compile-log-file): Always insert at eob.
	(byte-compile-insert-header): Cope if user-mail-address is nil.

1995-04-13  Andre Spiegel  <spiegel@bruessel.informatik.uni-stuttgart.de>

	* vc-hooks.el: Add branch support for RCS;
	treat CVS more like RCS and SCCS.
	(vc-occurences, vc-trunk-p, vc-branch-p, vc-minor-revision)
	(vc-branch-part): New functions that operate on RCS revision numbers.
	(vc-status): Use the new property vc-workfile-version
	and vc-locking-user (see vc.el).  Display "locking state" for CVS.
	(vc-find-cvs-master): Search for file name case-sensitively, store
	version number into the new property vc-workfile-version.
	(vc-find-file-hook): Kill any remaining properties.  Like this,
	when re-finding a file (for example because it has changed on disk),
	the version control state gets re-computed.
	(vc-mode-line) <CVS>: Make the buffer read-only if the file
	is unmodified.
	(vc-kill-buffer-hook): Clear file's vc props when buffer is killed.

	* vc.el: Add branch support for RCS; treat CVS more like RCS and SCCS.
	(vc-next-action-on-file): Change CVS handling, such that C-x C-q
	works as with RCS and SCCS.
	(vc-consult-rcs-headers): New function.
	(vc-branch-version): New per-file property, refers
	to the RCS version selected by `rcs -b'.
	(vc-workfile-version): New function.  Also new per-file property
	(vc-consult-headers): New parameter variable.
	(vc-mistrust-permissions): Default set to `nil'.
	(vc-locking-user): Property is now cached.  The other functions
	update it as necessary.  Attempts to use RCS headers if enabled.
	(vc-log-info, vc-parse-buffer): Various bug fixes.  Added support
	for property `vc-branch-version'.
	(vc-backend-checkout) <RCS>: If no explicit version
	is specified, check out `vc-workfile-version'.  After check-out,
	set `vc-workfile-version' according to the version number
	reported by "co".
	(vc-backend-checkin) <RCS>: Remove any remaining locks
	if a new branch was created.  After every check-in, adjust
	the current branch using `rcs -b' (this cannot be avoided).
	<CVS>: Allow for explicit checkin, but only on the trunk.
	(vc-next-action-on-file, vc-backend-checkout, vc-backend-checkin)
	(vc-backend-revert, vc-backend-diff): Explicitly use
	vc-workfile-version as the default version to operate on.

1995-04-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (print-help-return-message): Check same-window-buffer-names
	and same-window-regexps.

	* help-macro.el (make-help-screen): Explicitly translate
	key thru function-key-map.

	* tabify.el (tabify): Include entire first line in narrowing.

	* sendmail.el (mail-do-fcc): Use just find-buffer-visiting
	to find buffer to append to.

1995-04-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* select.el (x-set-selection): Fix up interactive defaults.

	* fill.el (fill-paragraph, fill-region, fill-nonuniform-paragraphs)
	(fill-individual-paragraphs): Pass `full' for JUSTIFY arg,
	in the interactive spec, if have prefix arg.

1995-04-11  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* time-stamp.el (time-stamp-format): Replace list of Lisp
	functions with string containing %-escapes, as in `date' program.
	(time-stamp): Widen buffer while time-stamping.
	(time-stamp-toggle-active): New function.
	(time-stamp-warn-inactive): New variable.

1995-04-11  Geoff Voelker  <voelker@cs.washington.edu>

	* loadup.el [WINDOWSNT]: Find doc strings.

	* files.el (set-auto-mode) [WINDOWSNT]: Match insensitive to case.

	* dired-aux.el (dired-do-chmod): Use dired-chmod-program.
	(dired-do-chgrp, dired-do-chown) [DOS_NT]: Disabled.

	* dired.el (dired-chmod-program): Defined.

	* makefile.nt (all): Use DEL_TREE instead of delnode.

	* winnt.el: Key [C-M-backspace] defined.
	(mode-line-format): Defined.

1995-04-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mail-hist.el (mail-hist-put-headers-into-history):
	Add save-excursion around entire function.

1995-04-11  Boris Goldowsky  <boris@cs.rochester.edu>

	* facemenu.el (facemenu-read-color): Don't ignore PROMPT arg.
	Make arg optional.
	(facemenu-unlisted-faces): Add font-lock faces to default value.

1995-04-11  enami tsugutomo  <enami@sys.ptg.sony.co.jp>

	* perl-mode.el (perl-comment-indent): Make extra space only when
	not at beginning of line.

1995-04-10  Stefan Schoef  <schoef@Informatik.Uni-Oldenburg.DE>

	* bibtex.el (bibtex-find-text, bibtex-remove-double-quotes-or-braces):
	Support both kind of delimiters (braces or quotes) regardless of the
	value of bibtex-field-left-delimiter and bibtex-field-right-delimiter.
	(bibtex-field-left-delimiter, bibtex-field-right-delimiter):
	Made buffer-local.

	* bibtex.el (bibtex-beginning-of-entry): At the beginning of an
	entry, leave point at the beginning of that entry instead of
	moving to the beginning of the previous one.
	(bibtex-end-of-entry): Outside an entry, now move to the end of
	the *previous* entry (i.e. bibtex-beginning-of-entry and
	bibtex-end-of-entry are now idempotent).
	(bibtex-sort-entries, bibtex-clean-entry): Removed now obsolete
	calls of bibtex-beginning-of-entry just before calls to
	bibtex-end-of-entry.
	(bibtex-clean-entry): Minor change to adapt to new behavior of
	bibtex-beginning-of-entry.

1995-04-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* reporter.el (reporter-mailer): Replace mail with reporter-mail.
	(reporter-mail): New function.
	(reporter-submit-bug-report): Don't check return value of
	the reporter-mailer function.

1995-04-10  Boris Goldowsky  <boris@cs.rochester.edu>

	* simple.el (newline): Don't auto-fill if flag is on; it was
	filling wrong line.

1995-04-10  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist): Remove superfluous
	SGI cc regexp.

1995-04-10  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* version.el (emacs-major-version, emacs-minor-version):
	Use match-string rather than substring.

1995-04-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* pc-mode.el (pc-bindings-mode): New file.

	* loaddefs.el (global-map): Bind C-M-backspace like C-M-delete.

1995-04-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (write-file): Default is ask for confirmation
	only interactively.

1995-04-09  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* mh-e.el, mh-seq.el, mh-pick.el, mh-mime.el: New version from author.
	* mh-comp.el, mh-utils.el, mh-funcs.el: New version from author.

1995-04-09  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* server.el (server-switch-buffer): Make first arg optional too;
	server-edit might pass no args, since server-done might return nil.

1995-04-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (line-move): Turn off intangibility for intermediate stops.

	* menu-bar.el (menu-bar-update-buffers): Reuse the entry for
	list-buffers rather than making a new one each time.

	* simple.el (newline): Don't indent afterward if at page sep line.
	Delete whitespace on blank line before the inserted newlines.
	(open-line): Add all the left margins and fill prefixes
	after inserting all the newlines.

	* bytecomp.el (byte-compile-log-file): New function.
	(displaying-byte-compile-warnings): Log the file name at start;
	display the log buffer only if something more gets output by BODY.
	(byte-compile-warnings-point-max): Initialize to nil.

1995-04-09  G Dinesh Dutt  (brat@htilbom.ernet.in)

	* etags.el (list-tags): Delete call to select-tags-matched-file.

1995-04-08  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* term/x-win.el (mode-line-buffer-identification):
	Fix prev change; use setq-default.

1995-04-08  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (next-file): Handle empty list returned by
	(tags-table-files).

1995-04-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* replace.el (occur): Provide 5 cols for line number.

	* ange-ftp.el (ange-ftp-parse-netrc): Bind `default-directory' to
	"/" to avoid infinite loop while expanding filename.
	(ange-ftp-message): Don't truncate message in batch mode.

	* simple.el (completion-setup-function): Undo March 11 change.
	Add some doc strings to completion-related variables.

1995-04-08  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist): Extend Ultrix 3.0
	f77 regexp to also match SGI cc.

1995-04-08  Morten Welinder  <terra+@cs.cmu.edu>

	* comint.el (make-comint): Error, if start-process is not fboundp.

	* menu-bar.el (menu-bar-edit-menu): Don't define ispell item
	unless start-process is fboundp.

1995-04-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rnewspost.el (news-reply-mode):
	Make mail-header-separator into regexp.

	* sendmail.el (mail-mode): Convert mail-header-separator to regexp
	for use in paragraph-start, etc.

	* ispell.el (ispell-message): Make mail-header-separator into regexp
	and add $ at end.

	* window.el (walk-windows): Doc fix.

1995-04-08  Noah Friedman  <friedman@splode.com>

	* rsz-mini.el (resize-minibuffer-window): Make sure minibuffer
	window is selected.
	(resize-minibuffer-window-restore): Likewise.

1995-04-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (fill-region-as-paragraph): Undo previous change.
	Instead, set JUSTIFY to `full' in the interactive spec.

	* startup.el (normal-top-level): Copy default-directory
	from *scratch* to *Messages*.

	* menu-bar.el (menu-bar-file-menu): Add back as alias for
	menu-bar-files-menu.

1995-04-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* loaddefs.el (mode-line-buffer-identification): Use %F by default.
	([C-delete]): Bind C-delete normally, not in function-key-map.

	* term/x-win.el (mode-line-buffer-identification): Eliminate %F.

1995-04-07  Noah Friedman  <friedman@splode.com>

	* rlogin.el (rlogin): Use format, not concat, to generate numeric
	buffer names.
	Do not create a new buffer if process in existing buffer has exited.
	(rlogin-directory-tracking-mode): Set shell-dirtrackp, not
	shell-dirtrack-p.

1995-04-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ebuff-menu.el (electric-buffer-menu-mode-map): Undefine ESC ESC
	before binding ESC ESC ESC.

	* edt.el (edt-keep-current-page-delimiter): Doc fix.

	* find-file.el: Many doc fixes.
	(ff-upcase-p): Renamed from upcase-p.  Callers changed.
	(ff-emacs-19): Renamed from ff-gnu-emacs-19.
	(ff-string-match): Simplify.

	* docref.el (docref-last-active-buffer): Add defvar.

1995-04-07  Boris Goldowsky  <boris@cs.rochester.edu>

	* indent.el (set-right-margin): Fix prompt.
	* fill.el (fill-region): Avoid error on reaching end of buffer.

	* avoid.el: Add autoload cookies; doc fixes.
	(mouse-avoidance-set-pointer-shape): New function.
	(mouse-avoidance-nudge-mouse): Use it.
	(mouse-avoidance-fancy-hook): Streamline args to set-mouse-pos.

1995-04-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* msb.el (msb--toggle-menu-type): menu-bar-update-buffers wants 0 args.

	* bytecomp.el (byte-compile-output-docform): Output doc string position
	as negative number, if doc string starts with *.

	* mail-hist.el: Use $ at end when searching for mail-header-separator.

	* fill.el (fill-region-as-paragraph): If JUSTIFY is non-nil,
	pass t to justify-current-line.

1995-04-06  Morten Welinder  <terra+@cs.cmu.edu>

	* desktop.el (desktop-save): Use dired-directory as name
	of top-level in order to capture wildcards used.
	(desktop-buffer-dired): Skip possible wildcard when checking
	for directory existance.  Use dired-insert-subdir, not
	dired-maybe-insert-subdir.

1995-04-06  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* files.el (write-file): Fix arg count in call to y-or-n-p.

1995-04-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ispell.el (ispell-menu-map-needed): Delete test for menu-bar feature.

	* bookmark.el (menu-bar-bookmark-map): Autoload each form
	used to set up this variable's value, so that the whole job
	is done in loaddefs.el.
	(bookmark-menu-locate, bookmark-menu-jump, bookmark-menu-insert)
	(bookmark-menu-delete, bookmark-menu-rename): Add autoloads.

	* buff-menu.el (list-buffers-noselect): Put buffer name in a text
	property on the buffer's name.  Put in mouse-face prop here too.
	Set Buffer-menu-buffer-column here.
	(Buffer-menu-mode): Don't do those things here.
	(Buffer-menu-buffer): Use text properties.
	(Buffer-menu-buffer-name-position): Function deleted.

	* tar-mode.el (tar-clear-modification-flags): Fix several bugs.

1995-04-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tar-mode.el (tar-mode-map): Fix typo for tar-display-other-file.

1995-04-05  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* tempo.el (tempo-build-collection): Clear flag after computing
	return value.

1995-04-04  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* ispell.el (ispell-personal-dictionary): Add autoload.

	* simple.el: Change bindings of event-apply-control-modifier,
	event-apply-meta-modifier, event-apply-hyper-modifier,
	event-apply-shift-modifier, event-apply-alt-modifier, and
	event-apply-super-modifier, in function-key-map, to use C-x @
	instead of C-x ESC.  Using escape causes problems since that's
	in function-key-map itself.

	* byte-opt.el (byte-compile-inline-expand): Fetch actual bytecode
	before inlining a lazy function.

	* tempo.el (tempo-dolist): Don't use `cadr'.

	* simple.el (event-apply-modifier): Fix off-by-one errors.

1995-04-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* jka-compr.el (jka-compr-install): Doc fix.
	(jka-compr-uninstall): Delete entries that jka-compr-install
	added to inhibit-first-line-modes-suffixes.

1995-04-03  David Kågedal  <davidk@lysator.liu.se>

	* tempo.el (tempo-insert):
	Added the P tag and modified the s tag accordingly
	(tempo-insert-named): Checks for valid name, insert mark otherwise.

	* tempo.el (tempo-dolist): Changed (cadr ...) to (car (cdr ...))

	* tempo.el (tempo-expand-if-complete): New function

1995-04-03  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* files.el (set-auto-mode): Fix previous change.

1995-04-03  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* comint.el (comint-file-name-quote-list): New variable of special
	characters that are quoted when in file names (default nil).
	(comint-mode): Make it buffer local.
	(comint-quote-filename): Quote them if they are in the file name.
	(comint-dynamic-complete-as-filename)
	(comint-dynamic-list-filename-completions): Call it before insertion.
	(comint-unquote-filename): Unquote any character in the file name.
	(comint-match-partial-filename): Call it before substitution.
	(comint-word): Include any quoted character as part of the word.
	(comint-completion-addsuffix): Value can be a cons pair of strings.
	(comint-dynamic-complete-as-filename)
	(comint-dynamic-simple-complete): Use it when inserting suffixes.

	* shell.el (shell-file-name-quote-list): New variable of special
	characters that are quoted when present in file names.
	(shell-mode): Set comint-file-name-quote-list with it.

1995-04-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* netunam.el: File deleted.

	* menu-bar.el (menu-bar-edit-menu): Capitalize an item name.
	(menu-bar-tools-menu): Add verb to Calendar item.
	(menu-bar-help-menu): Rename Info to Browse Manuals.

	* sendmail.el (mail-mode-map): Longer title for headers submenu.

1995-04-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (fill-region-as-paragraph): Remove fill-prefix first,
	then remove indentation.

	* files.el (inhibit-first-line-modes-suffixes): New variable.
	(set-auto-mode): Use it.
	(inhibit-first-line-modes-regexps): Use \\', not $.

	* jka-compr.el (jka-compr-install): Add items to
	inhibit-first-line-modes-suffixes.

	* reporter.el (reporter-submit-bug-report): Give up if mailer
	command returns nil.  Fix error message syntax.
	(reporter-bug-hook): Fix error message syntax.

1995-03-31  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* unrmail.el (unrmail): Don't make or switch to a summary buffer.

	* rmail.el (rmail-displayed-headers): New variable.
	(rmail-clear-headers): Handle rmail-displayed-headers

1995-03-31  Michael Ernst  <mernst@research.microsoft.com>

	* scheme.el (scheme-indent-sexp): Don't fail when
	calculate-scheme-indent returns a one-element list.

	* rmailsum.el (rmail-summary-toggle-header): Make header visible
	in message buffer.

1995-03-31  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* macros.el (insert-kbd-macro): Do something reasonable for vectors.

1995-03-30  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* simple.el (choose-completion-string): Use active-minibuffer-window.

	* dired-aux.el (dired-add-entry): If ange-ftp inserted the file's
	absolute name, fix that.

1995-03-30  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* comint.el (comint-read-noecho): Don't log prompt messages.

1995-03-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* apropos.el (apropos): Use apropos-worthy-symbol-p
	as default predicate.
	(apropos-worthy-symbol-p): New function.

	* faces.el (modify-face): Handle stipple.  Handle defaulting properly.
	Speed up making completion alists.
	(modify-face-read-string): New subroutine.

1995-03-30  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* dired.el (dired-insert-directory): Wrap filename character
	quoting code with save-excursion.

1995-03-29  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* window.el (minibuffer-window-active-p): Use active-minibuffer-window.

1995-03-28  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* comint.el (comint-read-noecho): Use a format string, in case
	PROMPT contains a percent sign.

1995-03-28  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* nntp.el (nntp-request-article): If ID is integer, convert to string.

1995-03-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (event-apply-modifier): New function.
	(event-apply-control-modifier, event-apply-meta-modifier)
	(event-apply-hyper-modifier, event-apply-shift-modifier)
	(event-apply-alt-modifier, event-apply-super-modifier):
	New functions, with bindings in function-key-map.

	* files.el (insert-directory): Use \ before insert-directory-program
	to ignore shell aliasing.

1995-03-27  Boris Goldowsky  <boris@cs.rochester.edu>

	* enriched.el (enriched-mode): Use new plist-put and plist-get
	functions, and change name of default-text-properties var.

1995-03-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cplus-md.el (calculate-c++-indent): Copy colon-line-end code
	from calculate-c-indent.

1995-03-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* scroll-bar.el (scroll-bar-drag): Bind echo-keystrokes to 0.

1995-03-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-display-labels): Use `format' to convert
	message numbers to strings.

1995-03-24  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-out-toplevel): Compile lambda forms
	even if trivial.

1995-03-24  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* subr.el (match-string): Change to defun, but still return nil if
	no match.

1995-03-23  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* c-mode.el (c-style-alist): Set c-continued-brace-offset and
	c-brace-offset in all styles, so that they don't inherit a trash
	value from a previously set style.

	* compile.el (compilation-sentinel): Use `format'; `concat' doesn't
	stringize integers anymore.

	* loadup.el: Don't load mouse and face files in system-specific
	branches; an earlier test has already loaded them based on a
	symbol equivalent to HAVE_MOUSE or HAVE_FACES.

1995-03-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* asm-mode.el (asm-mode): Make a per-buffer child keymap here.
	Use asm-comment-char to specify which character to define.
	(asm-mode-map): Don't bind `;' at load time.

	* pascal.el (pascal-mode-version): Variable deleted.

1995-03-23  Espen Skoglund  <espensk@tklab4.cs.uit.no>

	* pascal.el (pascal-mode-syntax-table): Give \ punctuation syntax.

1995-03-23  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* subr.el (match-string): New macro.  Unlike the function version,
	returns nil if no match.

1995-03-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* asm-mode.el: Doc fixes.

1995-03-22  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* mlsupport.el (ml-concat): New function.
	* mlconvert.el: Translate concat to ml-concat.

1995-03-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* window.el (one-window-p, walk-windows, minibuffer-window-active-p):
	Functions moved here.
	* subr.el (one-window-p, walk-windows, minibuffer-window-active-p):
	Functions moved to window.el.

1995-03-21  Boris Goldowsky  <boris@cs.rochester.edu>

	* facemenu.el: Added autoload cookies, small doc fixes.
	(list-text-properties-at): New fn.
	(facemenu-menu): Add it to menu.
	* menu-bar.el (menu-bar-edit-menu): Add Text Properties item.

1995-03-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (init-file-user, site-run-file): Doc fixes.

	* vc.el (vc-update-change-log): Use new -u option for rcs2log.

	* replace.el (occur): Copy default-directory to *Occur* buffer.

	* simple.el (shell-command): Use *Async Shell Command* for
	asynchronous commands.  Doc fix.

1995-03-20  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* tar-mode.el (tar-parse-octal-long-integer): Return list, not vector.

1995-03-20  Karl Fogel  <kfogel@floss.cyclic.com>

	* bookmark.el (bookmark-automatically-show-annotations): new var.
	(bookmark-jump): only show annotation if above var is non-nil.

1995-03-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* debug.el (debug): Now interactive.

1995-03-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* c-mode.el (c-mode-map): Use "C-mode", not "C mode".

	* menu-bar.el (menu-bar-files-menu): Renamed from ...-file-menu.
	(menu-bar-tools-menu, menu-bar-search-menu): New menu bar menus.
	Items moved from Edit and Files menus.
	Add Split Window, One Window, Find Tag and Postscript print menu items.
	(nonincremental-search-forward, nonincremental-search-backward)
	(nonincremental-re-search-forward, nonincremental-re-search-backward)
	(noninteractive-repeat-search-forward)
	(noninteractive-repeat-search-backward)
	(noninteractive-repeat-re-search-forward)
	(noninteractive-repeat-re-search-backward): New commands.

	* isearch.el (isearch-update-ring): New subroutine.
	(isearch-done): Use that.

1995-03-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-next-preorder, Info-next-preorder-1):
	When moving up, advance to next menu item.

	* sendmail.el (mail): Use pop-to-buffer.
	(same-window-buffer-names): Add *mail*.
	(mail-other-window, mail-other-frame): Bind to nil
	same-window-buffer-names, special-display-buffer-names, and ...regexps.

	* files.el (write-file): Query if file exists already.

	* isearch.el (isearch-abort): Treat "incomplete regexp"
	as failure when deciding how much to discard for C-g.

	* rmail.el (rmail-resend): If mailabbrev loaded, use that to
	expand abbrevs.

	* mailabbrev.el: Various doc fixes.
	(mail-abbrevs-setup): Use add-hook and make-local-hook.

1995-03-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* debug.el (debugger-outer-load-read-function): New variable.
	(debug): Bind load-read-function to nil; save old value
	in debugger-outer-load-read-function and restore at end.
	(debugger-eval-expression): Handle load-read-function
	like other magic variables.

1995-03-17  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* ediff.el: Delete some autoloads that are now in menu-bar.el.
	Don't put ediff-windows in the menu.
	(ediff-patch-buffer): Use buffer name in error message.

1995-03-17  Boris Goldowsky  <boris@spiff.gnu.ai.mit.edu>

	* format.el: New file.
	* loadup.el: Load format.el.

	* enriched.el: Some keybindings adjusted for new function names.
	(enriched-auto-save-interval, enriched-downcase-annotations)
	(enriched-code-face, enriched-indenatation-face)
	(enriched-ignored-ok, enriched-encode-interesting-regexp)
	(enriched-decode-special-alist, enriched-decode-interesting-regexp)
	(enriched-encode-special-alist, enriched-translated)
	(enriched-ignored-list, enriched-open-ans)
	(enriched-encode-hard-newline, enriched-decode-hard-newline)
	(enriched-push, enriched-pop, enriched-which-assoc)
	(enriched-get-face-attribute, enriched-overlays-overlapping)
	(enriched-show-codes, enriched-show-margin-codes)
	(enriched-show-region-as-code, enriched-nogrow-hook, enriched-warn)
	(enriched-looking-at-with-props)
	(enriched-search-forward-with-props)
	(enriched-search-backward-with-props)
	(enriched-text-properties-include, enriched-tag-indentation)
	(enriched-open-annotation, enriched-close-annotation)
	(enriched-annotate-function, enriched-delete-indentation)
	(enriched-move-to-next-property-change): Delete.

	(enriched-delq-1, enriched-make-list-uniq)
	(enriched-make-relatively-unique, enriched-common-tail)
	(enriched-reorder, enriched-insert-annotations)
	(enriched-loc-annotations, enriched-annotate-change
	(enriched-encode-unknown): Move to format.el.  Names changed.

	(enriched-display-table): Copy standard table if there is one,
	otherwise create new table.
	(enriched-par-props): Don't include front-sticky.
	(enriched-initial-annotation): Made it closer to MIME standard.
	(enriched-file-width): Use new header format.
	(enriched-remove-header): New fn.
	(enriched-par-props, enriched-initial-annotation)
	(enriched-annotation-format, enriched-annotation-regexp):
	Declare as const.
	(enriched-translations): Name changed from
	enriched-annotation-alist.  `hard' removed from list.
	Description of its semantics moved to format.el.
	(enriched-list-valued-properties): Delete, now
	`format-list-valued' property holds this information.
	(enriched-annotation-name, enriched-annotation-positive-p):
	Merge into enriched-next-annotation.
	(enriched-mode): Do not translate buffer.  This should be done
	already when mode is called.  Do not set
	write-region-annotate-functions or after-change-functions hooks.
	Put text/enriched on buffer-file-format if necessary.
	Don't set auto-save-interval.  Do set default-properties.
	(enriched-insert-indentation): Do nothing to blank lines.
	(enriched-encode, enriched-decode): New fns are rewritten
	versions of enriched-encode-region and enriched-decode-region.
	Much of the complexity moved to format.el.
	(enriched-next-annotation): Name changed from
	enriched-move-to-next-annotation.  Efficiency & clarity improvements.
	Return value changed to agree with format-deannotate-region.

1995-03-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-unix-mail-delimiter): Accept <...> around address
	in Unix `From ' line.

1995-03-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* isearch.el (isearch-abort): Set isearch-success to nil.

	* vms-patch.el (make-auto-save-file-name, auto-save-file-name-p):
	Doc fixes.

1995-03-16  Boris Goldowsky  <boris@cs.rochester.edu>

	* indent.el (indent-line-to): Move to end of indentation, even if
	it didn't change.

1995-03-16  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* ediff.el: Installed new version from author.
	* ediff-diff.el, ediff-init.el, ediff-merg.el: New files.
	* ediff-util.el, ediff-wind.el: New files.
	* menu-bar.el (menu-bar-file-menu): Changed "Emerge" to "Merge" to
	agree with the new ediff package.

	* frame.el (other-frame): Don't try to unfocus in a termcap frame.
	(frame-notice-user-settings): Skip menu-bar code in a termcap frame.
	(frame-initialize): Set frame-creation-function to
	`make-terminal-frame' if appropriate.
	* loadup.el: Use appropriate `fboundp' tests to decide what to load.

1995-03-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (line-move): Handle conses in buffer-invisibility-spec.
	Handle skipping invisible overlays.

1995-03-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* allout.el (outline-layout): Doc fix.

	* edebug.el: Minor doc fixes.

1995-03-15  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el (term-mouse-paste):  Make work for xemacs-19.11.
	For GNU emacs, don't mouse-set-point, but do
	run-hooks on mouse-leave-buffer-hook,

	* term.el (term-char-mode):  Fix paren error that caused
	the arrow keys to not be recognized under xemacs.
	Also, simplify/fix [(button2)] to [button2] for paste under xemacs.

1995-03-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* debug.el (debugger-outer-overriding-local-map): New variable.
	(debug): Bind overriding-local-map to nil; save old value
	in debugger-outer-overriding-local-map and restore at end.
	(debugger-eval-expression): Handle overriding-local-map
	like other magic variables.

1995-03-15  enami tsugutomo  <enami@sys.ptg.sony.co.jp>

	* window.el (balance-windows): Ignore minibuffer window when
	browsing the `levels'.

1995-03-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* c-mode.el (c-style-alist): For BSD, set c-continued-brace-offset
	instead of c-brace-offset.

1995-03-15  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* mouse.el (mouse-major-mode-menu): Avoid confusing error message
	when there's no current local map.

1995-03-15  Torbjvrn Axelsson  <torax@ctrl-c.liu.se>

	* options.el (edit-options): Make the buffer read-only.
	(Edit-options-modify): Cope with that.

1995-03-15  Karl Fogel  <kfogel@spiff.gnu.ai.mit.edu>

	* bookmark.el: (bookmark-bmenu-2-window): Go to correct position
	as well as correct buffer.
	(bookmark-bmenu-other-window): Same.
	(bookmark-bmenu-switch-other-window): Same.

1995-03-13  Karl Fogel  <kfogel@floss>

	* bookmark.el: Removed C-v bindings; they were inconsistent.
	Defvarred some variables to nil, solely to avoid compilation warnings.
	Use "Author's Update Number:" instead of "Version:".
	(bookmark-history): New var.
	(bookmark-completing-read): Use `bookmark-history'.
	(bookmark-maybe-historicize-string): New macro.
	Use this everywhere `bookmark-completing-read' is used, because
	`completing-read' won't get a chance to add to `bookmark-history' if
	we were invoked via a menu.
	(bookmark-rename): Use `bookmark-history' when reading the new name.
	No need for the strange C-o binding anymore.

1995-03-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (adaptive-fill-regexp): Skip # or ;.
	Allow more than one of them (or *'s or >'s).

	* telnet.el (rsh): Name the buffer *rsh-HOST*.

	* c-mode.el (c-mode): Make comment-multi-line t locally.

1995-03-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (block-comment-start, block-comment-end): New vars.
	(indent-for-comment): Handle them.

	* ielm.el (ielm): Use pop-to-buffer.
	(same-window-buffer-names): Add *ielm*.

	* telnet.el (rsh, telnet): Use pop-to-buffer.
	(same-window-regexps): Add elt to match *telnet-...* and *rsh...*
	with or without <N> at end.

	* info.el (same-window-buffer-names): Set this only in loaddefs.el,
	not when info.el is loaded.

	* rlogin.el (rlogin): Use pop-to-buffer.
	(same-window-regexps): Add elt to match *rlogin-...*
	with or without <N> at end.

	* hexl.el (hexl-mode-old-local-map, hexl-mode-old-mode-name)
	(hexl-mode-old-major-mode): Add defvars.

	* shell.el (shell): Use pop-to-buffer.
	(same-window-buffer-names): Add *shell* to the list.

	* auto-show.el: New file.
	Unconditionally add to comint-output-filter-functions.
	(auto-show-mode): Command renamed from auto-show-toggle.
	Handle an arg in the standard way.
	(auto-show-mode): Variable renamed from auto-show-enable.

	* rnewspost.el (news-reply-mode-map): Add menu bar menus.

	* rmail.el (rmail-duplicate-message): New function.
	(rmail-list-to-menu): Bind `command' with let.

1995-03-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* server.el (server-buffer-done): Return a list
	(NEXT-BUFFER KILLED).  KILLED is t if we killed the buffer.
	(server-edit): Values from server-done is now list of
	args for server-switch-buffer.
	(server-switch-buffer): Likewise.

	* simple.el (completion-setup-function): Set completion-base-size.

1995-03-11  Karl Fogel  <kfogel@floss.life.uiuc.edu>

	* bookmark.el (bookmark-buffer-name): Be smarter about deducing a name.
	(bookmark-insert-buffer-name): Use bookmark-buffer-name.
	Replaces bookmark-insert-current-file-name.
	(bookmark-make-cell): Fix previous change.

1995-03-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-menu): Bind beg with let.

	* tmm.el: New file.

	* lmenu.el (add-menu-item-1): Better error message if
	a menu not the last in the path does not exist.

	* rmail.el (rmail-retry-failure): Don't get errors when
	searching for `End of returned message'.

	* vc.el (vc-path): Use /usr/sccs only if it is a dir.

	* bookmark.el (bookmark-make-cell): Use set-text-properties,
	not format, to clear text properties.

1995-03-10  Karl Fogel  <kfogel@floss.life.uiuc.edu>

	* bookmark.el:
	Insure that all entry points call `bookmark-maybe-load-default-file'.
	Changed format of bookmark-alist and therefore of bookmark files.
	Have version stamps in bookmark files.
	Automatically upgrade old bookmark files to new format.
	Changed name of default bookmark file to ".emacs.bmk".
	Replaced "Bookmark-menu" with "bookmark-bmenu".
	The capitalization signified nothing; "bmenu" means "buffer-menu"
	-- that is, bmenu code is for the dired-like of bookmarks that
	appears when `list-bookmarks' is run, and the "bookmark-menu"
	prefix is for the menu-bar.
	Internally, use an alist instead of hardcoded list-positions
	for storing bookmark information.

	Applied <johng@media.mit.edu>'s patches for annotation support:
	(bookmark-send-annotation, bookmark-read-annotation-mode)
	(bookmark-edit-annotation-mode, bookmark-default-annotation-text)
	(bookmark-read-annotation-text-func, bookmark-read-annotation)
	(bookmark-send-edited-annotation, bookmark-edit-annotation):
	New functions.

	(bookmark-get-bookmark, bookmark-get-bookmark-record)
	(bookmark-name-from-full-record, bookmark-set-name)
	(bookmark-get-annotation, bookmark-set-annotation)
	(bookmark-get-info-node, bookmark-set-info-node)
	(bookmark-get-filename, bookmark-set-filename)
	(bookmark-get-position, bookmark-set-position)
	(bookmark-get-front-context-string, bookmark-set-front-context-string)
	(bookmark-get-rear-context-string, bookmark-set-rear-context-string):
	New subroutines.

	(bookmark-file-format-version, bookmark-end-of-version-stamp-marker):
	New variables.
	(bookmark-grok-file-format-version, bookmark-maybe-upgrade-file-format)
	(bookmark-upgrade-version-0-alist, bookmark-upgrade-file-format-from-0)
	(bookmark-insert-file-format-version-stamp): New functions.
	(bookmark-maybe-load-default-file):
	Renamed from bookmark-try-default-file'.
	(bookmark-old-default-file): New variable.
	(bookmark-default-file): Renamed from `bookmark-file'.
	New initial value, ".emacs.bmk".
	(bookmark-make-cell): Use backquote.
	Produce with the new format (Format Version 1).
	Use `format' to strip text-properties.
	(bookmark-write-file): Use `pp' instead of `princ'.
	Call `bookmark-insert-file-format-version-stamp'.
	(bookmark-all-names, bookmark-menu-popup-paned-bookmark-menu)
	(bookmark-menu-build-paned-menu, bookmark-menu-popup-paned-menu)
	(bookmark-insert-location): New functions.
	(bookmark-completing-read): New function.  Everyone who called
	`completing-read' in the interactive spec now calls this.
	(bookmark-load-hook): New hook.

	(bookmark-make-menu-alist): Function deleted.
	(bookmark-popup-menu-and-apply-function):
	Replaces `bookmark-make-menu-with-function'.

	(bookmark-load): Use `bookmark-alist-from-buffer'.
	Call `bookmark-maybe-upgrade-file-format'.
	(bookmark-set): If Info mode, record Info-current-node.
	Use `bookmark-bmenu-surreptitiously-rebuild-list'.
	(bookmark-buffer-file-name): Handle Info files.
	(bookmark-buffer-name): If Info mode, return Info-current-node.
	(bookmark-jump-noselect): For info node, use Info-goto-node.
	Use the helper functions, don't mess with the raw
	alist (except in completion, which we'll take care of later).
	Don't count on `bookmark-search-size' being correct; use the
	length of `forward-str' and `behind-str' instead.
	(bookmark-relocate): Use the helper functions; don't mess
	with the raw alist except in completion.
	(bookmark-rename): C-o in minibuffer now inserts old name.
	(bookmark-delete): New arg BATCH.
	(bookmark-bmenu-execute-deletions): Was `bookmark-bmenu-execute'.
	Just call bookmark-delete with the BATCH arg.
	Set the modification count and maybe save when done.
	Save point intuitively.
	(bookmark-insert-current-file-name): Just use `file-name-nondirectory'.
	(bookmark-location): Made non-interactive.
	(bookmark-bmenu-list): Replaces `list-bookmarks'.
	Delete arg ANNOTATION.  Use mapcar to simplify.
	If not interactive-p, then use `set-buffer' instead of
	`switch-to-buffer'.
	(bookmark-kill-line): New function, used instead of kill-line.
	(bookmark-search-size): Init to 16 instead of 500.

1995-03-10  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* dired-aux.el (dired-do-print): Allow lpr-switches to be a string.
	Clean up.

1995-03-09  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* simple.el (line-move-ignore-invisible): New variable.
	(line-move): If that var is set, use vertical-motion.
	Skip any extra invis chars beyond where vertical-motion stops.

1995-03-07  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* files.el (revert-buffer): Doc fix.

	* hexl.el (hexl-mode): Make after-revert-hook rehexlify.
	(hexl-after-revert-hook): New function.

	* perl-mode.el (calculate-perl-indent): When backing up over
	continuations, don't go to line beg;
	perl-backward-to-start-of-continued-exp gives the right place.

1995-03-07  Tsugutomo ENAMI  <enami@sys.ptg.sony.co.jp>

	* simple.el (indent-new-comment-line): Clean up handling
	of \(...\) in comment-start-skip.

1995-03-07  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el (term-eol-on-send):  New variable.
	(term-send-input):  Move point to eol before sending only if
	term-eol-on-send is true.

	* term.el (term-send-input):  Don't move process-mark until
	after possible 'history processing.

1995-03-07  Francesco Potorti`  (pot@cnuce.cnr.it)

	* cmacexp.el (c-macro-expansion): Put the unique string before the
	first #line directive (instead of after), preceded by a newline.

1995-03-06  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* find-dired.el (find-ls-option): Doc fix: now a cons.
	(find-dired): Initialize the process-mark for the filter to use.
	Find listing switches in cdr of find-ls-option.
	(find-dired-filter): Use dired-insert-set-properties on new text.

	* compile.el (compilation-buffer-p): Fix braino in last change:
	switch to the buffer first.
	(compilation-error-regexp-alist): Doc fix: optional cdrs give
	string containing %s to produce the file name from the matched text.
	(compilation-find-file): Reorder args: MARKER first, then
	FILENAME, DIR, and new arg &rest FORMATS (as they appear in parsed
	the fileinfo lists).  Try each of the FORMATS in each directory tried.
	(compilation-next-error-locus): Apply compilation-find-file to the
	FILEINFO list.
	(compilation-parse-errors): Instead of a cons (DIR . FILE), make a
	list (FILE DIR [FORMATS...]) using the 4th cdr of the matching elt of
	regexp-alist.

1995-03-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* menu-bar.el (menu-bar-help-menu): Binding for view-emacs-FAQ.

1995-03-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (view-emacs-FAQ): New function.  Bind to C-h F.
	(help-for-help): Doc fix.

	* info.el (info): Use pop-to-buffer.
	(same-window-buffer-names): Add "*info*".

1995-03-03  Robert J. Chassell  <bob@hill.gnu.ai.mit.edu>

	* texinfmt.el (texinfo-format-refill): Don't confuse a title
	underline with 2 or more `*' with an xref line starting with one `*'.

1995-03-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): Obey REPLACE even if
	OUTPUT-BUFFER is nil.  Interactively, make REPLACE non-nil
	only if there is a prefix arg.

1995-03-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (kill-emacs-query-functions): Doc fix.

1995-03-02  Boris Goldowsky  <boris@spiff.gnu.ai.mit.edu>

	* ada.el (ada-mode): Remove "^" used as anchor from
	paragraph-start and paragraph-separate values, so that they will
	work with non-0 left-margin settings.
	* allout.el (outline-mode): Likewise.
	* awk-mode.el (awk-mode): Likewise.
	* bibtex.el (bibtex-mode): Likewise.
	* c-mode.el (c-mode, c-fill-paragraph): Likewise.
	* cc-mode.el (c-common-init, c-fill-paragraph): Likewise.
	* cplus-md.el (c++-mode): Likewise.
	* edt.el (edt-indent-or-fill-region): Likewise.
	* gnus-uu.el (gnus-uu-post-reply-mode): Likewise.
	* icon.el (icon-mode): Likewise.
	* mh-comp.el (mh-letter-mode): Likewise.
	* mim-mode.el (mim-mode):  Likewise.
	* modula2.el (modula-2-mode):  Likewise.
	* nroff-mode.el (nroff-mode):  Likewise.
	* options.el (Edit-options-mode):  Likewise.
	* outline.el (outline-mode):  Likewise.
	* perl-mode.el (perl-mode):  Likewise.
	* prolog.el (prolog-mode-variables):  Likewise.
	* rnewspost.el (news-reply-mode):  Likewise.
	* scheme.el (scheme-mode-variables):  Likewise.
	* scribe.el (scribe-mode):  Likewise.
	* sendmail.el (mail-mode):  Likewise.
	* simula.el (simula-mode):  Likewise.
	* texinfmt.el (texinfo-format-refill):  Likewise.
	* texinfo.el (texinfo-mode):  Likewise.
	* tex-mode.el (tex-common-initialization,latex-mode,slitex-mode):
	Likewise.
	* text-mode.el (indented-text-mode):  Likewise.
	* vc.el (vc-comment-to-change-log):  Likewise.

1995-03-02  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-maximum-decoration) New variable.
	(font-lock-after-fontify-buffer-hook): New variable.
	(font-lock-fontify-buffer): Run it after fontifying.
	(font-lock-thing-lock-cleanup): New function to turn things off.
	(font-lock-mode): Call it when turning Font Lock mode off.
	(font-lock-fontify-region): Fix to use forward-comment from
	comment-start, rather than searching for comment-end from point.

	* ada.el, ada-mode.el (ada-font-lock-keywords):
	Use font-lock-maximum-decoration.

	* fortran.el, f90.el (fortran-font-lock-keywords):
	Use font-lock-maximum-decoration.

1995-03-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gud-massage-args): Variable and function deleted.
	(gud-common-init): Don't set the variable.

1995-03-02  Boris Goldowsky  <boris@cs.rochester.edu>

	* simple.el (newline): Moved from cmds.c.  Indents last
	inserted line to left-margin.

	* paragraphs.el (paragraph-start, paragraph-separate):
	Default values no longer start with ^. Doc fix.
	(use-hard-newlines): Moved here from cmds.c.  Made buffer-local.
	Doc fix.
	(looking-at-hard): Deleted, not needed.
	(forward-paragraph): Removes ^ from beginning of regexps, if
	required.  Look for paragraph-start and paragraph-separate at
	left-margin, not BOL.  Lines with just left-margin indentation are
	treated like blank lines.
	Paragraph-separate no longer requires a preceding hard newline, but
	paragraph-start does: paragraph-separates usually won't occur by
	accident, so it doesn't hurt to respect them whenever they do occur.

1995-03-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (vc-do-command): Search vc-path first, not last.

	* tar-mode.el (tar-grind-file-mode): Doc fix.

1995-02-28  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): Fix typos in doc string.
	(universal-argument, describe-arg): Deleted; this is now in C code.
	(prefix-arg-internal, digit-argument, negative-argument): Likewise.

1995-02-28  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gud-common-init): Put substed file name back in original
	sequence in the args.  Pass ARGS to massage-file even if no file name.
	(gud-gdb-massage-args, gud-sdb-massage-args, gud-dbx-massage-args)
	(gud-mipsdbx-massage-args, gud-xdb-massage-args)
	(gud-perldb-massage-args): Don't add FILE onto the args.

	* simple.el (shell-command-on-region): Rename arg; doc fix.

	* server.el (server-switch-buffer): New optional arg KILLED-ONE.
	Avoid the other-buffer at the end in that case.

1995-02-28  Noah Friedman  <friedman@splode.com>

	* rlogin.el (rlogin-carriage-filter): Don't assume buffer is
	narrowed to region with most recent output.

1995-02-28  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* files.el (revert-buffer): Use current-prefix-arg, not prefix-arg.
	* terminal.el (te-escape): Likewise.

1995-02-27  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* dired.el (dired-internal-noselect): Use substitute-command-keys
	to get binding of revert-buffer.

1995-02-26  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-buffer-p): Check for
	compilation-minor-mode or compilation-mode major mode, rather than
	internal state variables.  Don't want to match a buffer that was
	once in compilation-minor-mode but is not now.

1995-02-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-extract-menu-node-name): Collapse multiple spaces.

	* tar-mode.el (tar-mode-show-date): New variable.
	(tar-header-block-summarize, tar-next-line): Obey it.

1995-02-26  Greg McGary  <gkm@magilla.cichlid.com>

	* tar-mode.el (tar-header-block-tokenize): Parse 32-bit modtime
	current-time compatible a list of 16-bit ints (HIGH LOW).
	(tar-parse-octal-integer): Write char-const '0' as
	?0 instead of more obscure 48.
	(tar-parse-octal-long-integer): New function.
	(tar-clip-time-string): New function.
	(tar-header-block-summarize, tar-header-block-summarize):
	Insert mod-time into listing.
	(tar-next-line): Move goal column to new location of filenames.

1995-02-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-kill-secondary): Avoid changing this-command.
	Don't clear the secondary selection.

1995-02-25  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* comint.el (comint-truncate-buffer): New function.
	(comint-buffer-maximum-size): New variable.

	* shell.el (shell-truncate-buffer): Doc them.

	* comint.el (comint-dynamic-complete-as-filename):
	Let file-name-handler-alist to nil; comint-file-name-prefix does this.
	(comint-dynamic-list-filename-completions): Likewise.
	(comint-dynamic-complete-filename)
	(comint-dynamic-complete-as-filename): Use window-minibuffer-p.

1995-02-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cplus-md.el (c++-backward-to-noncomment): Don't loop forever
	if first line of buffer starts with ` #'.

	* subr.el (walk-windows): Doc fix.

1995-02-24  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* subr.el (local-unset-key): Fix args in previous change.

1995-02-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* subr.el (global_set_key, local_set_key, global_unset_key)
	(local_unset_key): Functions moved here from keyboard.c.

1995-02-24  Lars Lindberg  <Lars.Lindberg@sypro.cap.se>

	* msb.el (msb): Select the window that the mouse is in before showing
	the menu.  This makes the "Most recently used" menu more accurate.
	(menu-bar-update-buffers): The frame list is now an integrated
	part of the buffer menu.
	(msb--few-menus, msb--very-many-menus): Added rmail-edit-mode.

	* msb.el (mouse-select-buffer): Do sit-for before x-popup-menu.

1995-02-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lisp-mode.el (eval-defun): Convert defvar to defconst.

	* loaddefs.el (function-key-map): Use vector in definition of C-delete.

	* rmail.el (rmail-retry-failure): Support a new style of failure msg.

1995-02-21  Boris Goldowsky  <boris@cs.rochester.edu>

	* fill.el (set-fill-prefix): Sets it to the text between
	left-margin and point, not the whole line before point.

	(fill-region-as-paragraph): Set `from' to the beginning and
	`to' to the end immediately, for clarity.  This used to be
	done after the save-restriction.

	Newlines at end of region used to be changed to spaces, then
	deleted.  Now delete them (all but one) explicitly, so that we
	can test whether they are hard and not delete hard newlines.

	Ignore all whitespace at beginning of region: a line
	containing spaces before first line of text used to be joined
	onto first line of text, making spurious paragraph indentation.

	If there is only whitespace in the region, exit quickly (fixed
	possible infinite-loop condition).

	Moved the loop that just indents when justification=none inside
	the save-restriction.  It's a little simpler that way.

	When deleting indentation and fill-prefixes from lines, delete
	any whitespace after the fill-prefix too.

	Always exit with point at end of region, after a single
	paragraph-final newline.

	(fill-region): Don't use paragraph-movement commands
	in use-hard-newlines mode; just fill between each pair of hard
	newlines.  Old strategy of setting paragraph-start to "^"
	doesn't work, since paragraph-start no longer no longer need
	occur at BOL.

	(current-justification): Don't look for text-props at EOB:
	there are none.

	(set-justification): New arg WHOLE-PAR controls whether to trust
	begin and end args in noninteractive use, or extend to limits of
	paragraphs.
	Don't use "^" in paragraph-start regexp.
	Ignore fill-prefix when searching for enclosing paragraph with
	use-hard-newlines true.
	Squeeze spaces from regions that used to be full-justified.
	Remove leftover debugging code.

	(set-justification-{none,left,right,full,center}): Use WHOLE-PAR
	arg of set-justification.  Interactive spec changed to avoid
	errors when there is no region.

	(justify-current-line): Error if JUSTIFY value is not one of
	the meaningful symbols (used to do full justification in this case);
	change interactive spec to explicitly request full justification.

	Don't need to save-restriction & narrow (except for full-justify).
	Explicitly remember beginning position, so that we can move it
	to after indentation if that is appropriate.
	Save a few more useful quantities; add documentation of variables used.

	Do nothing if there is no text on the line.

	Notice adaptive-fill fill-prefixes too.

	Center or flushright indentation is put between fill-prefix
	and text; can't use standard line-indent function for this.

	If centering, do so between left and right margins.

	Warning messages ("line too long") removed; they were annoying
	in auto-fill-mode.

	(unjustify-current-line, unjustify-region): New functions.

	* indent.el (indent-line-to): Don't need `let'.

	(current-left-margin): Don't look for text-props at EOB.

	(move-to-left-margin): Always move to left-margin, even in
	centered or right-justified regions.
	New arg FORCE to add indentation or convert tabs to spaces if
	necessary.  FORCE is the interactive default; it used to be
	available only interactively.

	(indent-to-left-margin): Doc fix.

	(delete-to-left-margin): Use move-to-left-margin.  Doc fix.
	Make arguments optional.

	(set-left-margin): Make	region include following spaces and tabs,
	so that later insertions there will inherit new setting.
	Always reindent text to show new setting, not only when auto-fill
	is active; auto-fill controls only whether to re-fill text.
	(set-left-margin, increase-left-margin): Use indent-rigidly to
	change indentation level.
	(set-left-margin, set-right-margin, increase-left-margin):
	Save point when calling fill-region.
	(increase-left-margin): `left-margin' property can be
	negative, for outdenting, up to the value of the left-margin variable.
	(increase-right-margin): `right-margin' property can be arbitrarily
	negative.  Negative values can't be stored in text/enriched
	format, but that doesn't mean we shouldn't allow it in general.

	(beginning-of-line-text): New function.

	* simple.el (open-line): Indent to left-margin any lines that
	you would consider inserting a fill-prefix on.

	(do-auto-fill): Use unjustify-current-line.

	(indent-new-comment-line): Indent to left-margin before inserting
	fill-prefix.

	* facemenu.el (facemenu-justification-menu): "Unfilled" now bound
	to set-justification-none; fn changed name.

1995-02-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* perl-mode.el (perl-tab-to-comment): Default is nil.

	* loadup.el: Load version.el early on.

	* simple.el (shell-command-on-region): When computing interactive args,
	read the minibuffer arg first, then get the region bounds.

1995-02-21  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-ex.el (ex-find-file): Now gives an error when a wild card
	gives no match.
	(ex-next): Now recognizes counts and puts proper commands in
	ex-command-history.
	(vip-info-on-file, ex-substitute): Bug fixed.

1995-02-21  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* shell.el (shell-cd): New function.
	(shell-process-cd, shell-process-pushd, shell-process-popd)
	(shell-resync-dirs): Use it instead of cd.
	(shell-mode): Make list-buffers-directory local with value
	default-directory.

	* mouse.el (mouse-buffer-menu): Use list-buffers-directory if
	non-nil if buffer-file-name is nil.

1995-02-20  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* viper.el, viper-ex.el, viper-util.el: New files.
	* viper-keym.el, viper-macs.el, viper-mous.el: New files.

1995-02-20  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* fortran.el (fortran-mode): Made fortran-font-lock-keywords turn
	off syntactic fontification by default.

1995-02-20  Roland McGrath  <roland@duality.gnu.ai.mit.edu>

	* vc.el (vc-log-info): Don't switch to the *vc* buffer before
	running vc-do-command, because that would change its default-directory.

1995-02-19  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* rnewspost.el: Various doc fixes.
	(news-post-news): Add autoload cookie.

1995-02-18  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* mouse.el (mouse-buffer-menu): Don't clear selection when we kill it.

	* subr.el (eval-after-load): Run FORM now if FILE's already loaded.

	* imenu.el (imenu--cleanup): Set alist to its default
	just once, at the beginning.
	Don't recurse on a cdr which is nil.

1995-02-17  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* simple.el (quoted-insert): Use insert-and-inherit.
	Don't change buffer if arg is negative.

	* tex-mode.el (tex-append): Try splitting on last period, then
	try splitting on first period.

	* desktop.el (desktop-internal-v2s): Don't use format
	to eliminate text properties.

1995-02-17  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* mailabbrev.el (mail-abbrev-mode-regexp): Doc fix.

1995-02-17  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-mail, rmail-summary-continue)
	(rmail-summary-reply, rmail-summary-retry-failure)
	(rmail-summary-forward, rmail-summary-resend): Switch to rmail
	buffer's window first, so mail buffer replaces summary.

1995-02-16  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* buff-menu.el (Buffer-menu-save): Fix the test for header line.

1995-02-15  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* info.el (Info-index): Bind Info-history, not Info-keep-history.

1995-02-14  Boris Goldowsky  <boris@cs.rochester.edu>

	* facemenu.el (facemenu-self-insert-face): If previous
	self-insert-face is still valid, add to rather than replace it.
	(facemenu-loc): Variable deleted.

1995-02-14  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* ehelp.el (electric-help-help, electric-help-command-loop):
	Mention q and r, not Q and R.

	* sort.el (sort-regexp-fields-next-record): New subroutine.
	If the first search does not advance point and finds an empty match,
	skip one char and search again.
	(sort-regexp-fields): Use that subroutine.
	Bind sort-regexp-fields-regexp, for sort-regexp-fields-next-record.
	(sort-regexp-fields-regexp): Declared.
	(sort-regexp-record-end): Declared.

1995-02-13  Jeff Dwork  <jeff.dwork@amd.com>

	* ehelp.el (electric-help-map): Use supress-keymap instead of
	filling keymap with undefined commands.  Bind R like r.
	Substitute electric-command-apropos for command-apropos.
	(electric-apropos): New function.
	(electric-help-help, electric-help-command-loop):
	Mention Q and R in messages.

1995-02-13  Jim Thompson  <thompson@wg2.waii.com>

	* ps-print.el (ps-print-version): Add caveat about version number.
	(ps-begin-file): Fix format code for /LineHeight.

1995-02-13  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Fix problem in previous change.

	* pp.el (pp-to-string): Fix previous change.

	* debug.el (debugger-step-after-exit): Variable declared.
	(debugger-old-buffer, debugger-value): Variables declared.

	* facemenu.el (facemenu-next): Variable deleted.
	(facemenu-self-insert-face): New function.
	(facemenu-set-face): Use facemenu-self-insert-face.
	(facemenu-set-face-from-menu): Likewise.
	(facemenu-after-change): Function deleted.  Don't use it as hook.

	* debug.el (debug): Fix arg to backtrace-debug for debug-on-entry.

1995-02-12  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* pp.el (pp-to-string): Don't use emacs-lisp-mode.
	Just do the parts of it we actually want.

	* simple.el (next-history-element): Do nothing if n is 0.
	Handle errors properly when history list is empty.

1995-02-11  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* menu-bar.el (menu-bar-kill-ring-save): New function--use as `copy'.
	(delete-region): Don't enable if (mouse-region-match) is true.

	* mouse.el (mouse-drag-region): Delete the overlay before
	calling the terminating event's command binding or making a region.
	(mouse-set-region-1): New function.
	(mouse-drag-region, mouse-set-region, mouse-save-then-kill): Call it.
	(mouse-region-match): New function.

	* ange-ftp.el (ange-ftp-write-region, ange-ftp-insert-file-contents)
	(ange-ftp-copy-file-internal): If remote host is unix, use binary mode.
	(ange-ftp-file-local-copy): Delete local var bin1.
	(ange-ftp-rename-remote-to-remote): Delete arg `binary'.
	(ange-ftp-rename-file): Don't pass or compute that arg.

1995-02-10  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Add .cpp, .cxx, .hxx, .c++, .h++.

	* sendmail.el (mail-reply-to): New command, on C-c C-f C-r and in menu.

	* c-mode.el (c-switch-label-regexp): Insist on colon after `default'.

	* sendmail.el (mail-do-fcc): Find buffer to add to
	using truename, if can't find it by real name.

	* files.el (recover-file): Use ordinary `f' to read file name.

1995-02-09  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* rmail.el (rmail): Don't set rmail-default-file here.
	(rmail-default-file): Init it to ~/xmail.
	(rmail-default-rmail-file): Don't call expand-file-name.

	* dired.el (dired-mark): If on dir header line, always mark
	the files in that dir.

	* lpr.el (print-region-1): Include print options in echo area msgs.

1995-02-08  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* ada.el (ada-mode): Delete autoload.

	* ada-mode.el: New file.
	Add autoload cookie.
	(ada-mode-map): Don't define C-m, M-a, M-e, M-q.
	Don't define M-q.
	(ada-mode): Set fill-paragraph-function locally.
	(ada-fill-comment-paragraph): Return t.
	(ada-gen-make-bodyfile): Add missing backslash.

1995-02-08  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* comint.el (comint-match-partial-filename): Include `%' char.

1995-02-08  Ken Stevens  <k.stevens@ieee.org>

	* ispell.el: Personal dictionary save forced when called from menu,
	Epoch compile support.
	(ispell-skip-sgml): Added variable for skipping SGML tags & references.
	(ispell-buffer-local-parsing): Hard wire set of ispell-skip-sgml-tags
	to sgml-mode.
	(ispell-pdict-save): Message improvement.
	(ispell-command-loop): Properly adjust screen with different settings
	of ispell-choices-win-default-height.
	(check-ispell-version): Use fundamental-mode as default-major-mode.
	(ispell-change-dictionary): Remove unnecessary process kills
	(ispell-region): Fold sgml support in with tib checking.
	(ispell-message): Skips checking of forwarded messages.

1995-02-07  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* novice.el (disabled-command-hook): Recognize ESC x as well as M-x.

	* edmacro.el (edmacro-format-keys): Don't presume internal bit layout
	of non-ASCII keys.
	(edmacro-parse-keys): Likewise.
	* terminal.el (te-pass-through): Likewise.
	* subr.el (listify-key-sequence-1, event-modifiers): Likewise.

	* edt.el: New enhanced version.
	* edt-lk201.el, edt-mapper.el, edt-pc.el, edt-vt100.el: New files.

	* bytecomp.el (byte-compile-file-form-defmumble, display-call-tree):
	Print ellipsis earlier, so message logging will fold similar strings.
	(byte-compile-file): Add "done" message.

1995-02-07  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* ps-print.el (ps-print-thompson-version):
	Renamed from ps-print-version.

1995-02-07  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* subr.el (read-quoted-char): Don't log prompt messages.
	Use M- notation instead of assuming internal layout.

1995-02-07  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* term.el (term-protocol-version): Renamed from term-version.

1995-02-06  G Dinesh Dutt  (brat@htilbom.ernet.in)

	* etags.el (etags-file-of-tag): Handle file name used as tag.

1995-02-04  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el (term-version):  Increased to 0.95.
	(term-pager-enabled):  New macro.  Use it a bunch of places.
	(term-terminal-menu):  Clean up initialization so we don't get
	complaints when re-loading term.el.
	(term-send-raw-meta):  Redo to handle meta-symbols (e.g. meta-delete).
	More robust checking of parameter to make-string.
	(term-update-mode-line):  New function.  Call it whenever we change
	char/line/paging mode.  Now includes "page" in mode-line-process
	if paging is abled.

	* term.el:  Remove causes for byte-compilation to complain:
	(term-terminal-pos):  Declare x and y in let-binding.
	(term-send-invisible):  Remove bogus second "iteractive" call.
	(term-*): Provide defvars for lots of buffer-local variables.
	(term-mode):  Make comments and initial value setting from
	here to the corresponding defvar.
	(term-line-start-column):  Remove unused variable.
	(term-erase-in-line):  Fix syntax (incorrect parenthesis) error.
	(term-erase-in-display):  Fix typo "\?n" -> "?\n".

	* term.el:  Make Unix "resize" command work:
	(term-handle-ansi-escape):  On "\e[row;colH", limit row
	and col to size of window.  (Resize sends "999;999".)
	(term-handle-ansi-escape):   Implement "\e[6n" "Report cursor
	position".  This requires that we pass proc as an extra parameter.
	(term-scroll-region):  An empty region means extend to window bottom.

1995-02-05  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* lpr.el (lpr-add-switches): Renamed from lpr-add-options.
	(print-region-new-buffer): Return new start and end.
	(print-region-1): Use new calling convention.

1995-02-05  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* texinfo.el (texinfo-environment-regexp): Match @menu and
	@titlepage --- they require @ends.  Don't match @defunx commands;
	they don't.
	(texinfo-insert-@end): Don't put a command name after the @end
	if we ran off the top of the buffer looking for its mate.

1995-02-04  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* rmail.el (rmail-next-same-subject): New command.
	(rmail-previous-same-subject): Likewise.
	(rmail-mode-map): Add bindings for C-c C-n and C-c C-p.

	* rmailsum.el (rmail-summary-next-same-subject): New command.
	(rmail-summary-previous-same-subject): Likewise.
	(rmail-summary-mode-map): Add bindings for C-c C-n and C-c C-p.

1995-02-04  G Dinesh Dutt  (brat@htilbom.ernet.in)

	* etags.el : Changes to support filenames as tags too and provided
	a drop-in replacement for list-tags.
	(find-tag-noselect): Recognize filenames as valid tags too.
	(find-tag-file-order): New variable holds function to check for match
	for a file name used as a tag.
	(find-tag-in-order): If the tag is a file name, position at file beg.
	(etags-recognize-tags-table): Added new var find-tag-file-order to
	tags-table-format variables.  Added tag-filename-match-p to the
	list for find-tag-tag-order.
	(tag-filename-match-p): New function.
	(list-tags): Rewritten for speed.
	(tags-list-functions-in-file): New subroutine for list-tags.
	(tags-locate-file-in-tags-table): New function locates a
	file in `tags-table-list'.

1995-02-03  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* lpr.el (print-region-1): If we run pr, give it the -h option
	instead of giving lpr the -T option.

	* dired.el (dired-mode-map): Define up and down arrows like C-p, C-n.

	* f90.el (f90-mode-version): Variable deleted.
	(f90-mode): Don't use f90-mode-version.

	* ps-print.el: Add autoload cookies.
	(ps-paper-type): Doc fix.

	* lpr.el (print-region-1): Use lpr-page-header-switches,
	not ...-options.

1995-02-03  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-default-man-entry): Remove text properties from result.

1995-02-02  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* rmail.el (rmail-reply-regexp): New var.
	(rmail-reply): Delete text matching rmail-reply-regexp.

1995-02-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* completion.el: Don't use cl.  Eliminate use of when, unless,
	dotimes, plusp, minusp, pusnhew, second.
	(completion-dolist): New macro.  Use instead of dolist.
	(completion-gensym-counter, completion-gensym): New variable and fn.
	(locate-completion-entry-retry): Bind cmpl-entry, then use it.
	(locate-completion-entry): Use completion-string, not string.
	(add-completion-to-head, delete-completion):
	Rename arg to completion-string.
	(completions-list-return-value): Defvar'd and renamed
	from return-completions.
	(cmpl-preceding-syntax, cdabbrev-stop-point): Add defvars.
	(delete-completion, check-completion-length): Fix message format.
	(complete, add-completions-from-buffer, add-completions-from-c-buffer)
	(save-completions-to-file): Likewise.
	(completion-string): Add defvar.

	* lpr.el (lpr-headers-switches): Default is nil.

	* fill.el (fill-paragraph): Bind fill-paragraph-function
	to nil before calling it.

	* dabbrev.el (dabbrev-abbrev-char-regexp): Default value is nil again.

1995-02-02  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* c-mode.el (c-mode-map): No binding for c-fill-paragraph
	(c-fill-paragraph): Return t.
	(c-mode): Put c-fill-paragraph in fill-paragraph-function.

	* lisp-mode.el (shared-lisp-mode-map): Don't bind M-q.
	(lisp-fill-paragraph): Return t.
	(lisp-mode-variables): Put that in fill-paragraph-function locally.

	* fill.el (fill-paragraph-function): New variable.
	(fill-paragraph): Use it.

1995-02-01  Noah Friedman  <friedman@splode.com>

	* sendmail.el (mail-mailer-swallows-blank-line): Handle full range
	of RFC822-legal header names.

1995-02-01  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* help.el (describe-variable): If var is local, mention default.

	* rmail.el (rmail-retry-failure): Handle "Mime-encapsulated messages".
	Discard return-path and from headers as well as sender.

1995-01-31  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* f90.el: New file.

1995-01-30  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* iso-acc.el (iso-accents-list): Add Icelandic thorn.
	* iso-transl.el (iso-transl-language-alist): Add French & Portuguese.
	(iso-transl-char-map): Use /a /e ~d "s ~t digraphs as in iso-acc.el.

	* frame.el (frame-notice-user-settings): Avoid having the window
	manager re-prompt for the initial frame's clone.

	* faces.el (x-create-frame-with-faces): Assume cursor-color,
	mouse-color, and border-color are okay as specified unless they
	are the same as the new background color.

1995-01-30  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* simple.el (indent-new-comment-line): Obey the convention
	about \(...\) pairs in comment-start-skip.

	* lucid.el (make-extent, delete-extent, set-extent-property)
	(set-extent-face): New functions.

	* desktop.el: Many doc fixes.

1995-01-29  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* buff-menu.el (list-buffers-noselect): Handle read-only properly.
	Select each buffer just once to get all necessary info about it.

	* buff-menu.el (list-buffers-noselect): New subroutine.
	(list-buffers): Use that.
	(buffer-menu): Switch to the buffer in the same window.
	(buffer-menu-other-window): New command.
	(Buffer-menu-select): Just change the current window.

	* rnewspost.el (news-reply-mode): Change mode-name to News Reply.

	* lisp-mode.el (lisp-indent-region): Set endmark
	before indenting first line.
	(indent-sexp): Fixes for ENDPOS != nil case--use nil
	as starting-point, and don't insist on a complete sexp.

1995-01-28  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* subr.el (match-string): Fix braino.

	* faces.el (facep): New function.
	(internal-check-face): Don't make a loop, since signal can't return.

1995-01-27  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* frame.el (make-frame): Doc fix.

	* help.el (describe-variable): Use local-variable-p.

	* debug.el (debug-convert-byte-code): Convert the doc info to a string.

	* shell.el (shell): If we create a new shell buffer,
	select that buffer even if it has been renamed.

	* faces.el (x-resolve-font-name): Better error messages.

1995-01-27  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* subr.el (match-string): Delete extra arg to buffer-substring.

	* replace.el (perform-replace): Don't log the repetitive prompts.

1995-01-27  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* lucid.el (read-number): New function.

	* tex-mode.el (tex-display-shell): Pass nil as arg to
	tex-recenter-output-buffer.
	(tex-region, tex-file, tex-show-print-queue, tex-bibtex-file):
	Put the call to tex-display-shell essentially last.

	* menu-bar.el (menu-bar-update-yank-menu): If string is too long,
	show start and end, with ... between them.
	(yank-menu-length): Default value 20.

	* subr.el (match-string): New function.

1995-01-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-save-then-kill): When we don't use existing
	region, put where click and put mark at the other end.
	Use point-before-scroll if non-nil.  Recognize mouse-set-region
	as a previous command that makes a region we should use.
	(mouse-drag-region): When we run the final click's binding,
	set this-command.

	* scroll-bar.el (scroll-bar-drag-1): Set point-before-scroll properly.
	(scroll-bar-scroll-down, scroll-bar-scroll-up): Likewise.

1995-01-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-save-then-kill): Ignore mouse-selection-click-count if no active mark.
	(mouse-drag-region): Modify previous change--don't run the ordinary binding
	in the case of a multiple click.

	* tex-mode.el (tex-display-shell): New function.
	(tex-file, tex-region, tex-show-print-queue, tex-bibtex-file):
	Use that instead of tex-display-shell.

1995-01-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (justify-current-line): Avoid error comparing fill-prefix
	near end of buffer.  Do nothing fast if justification not wanted.

	* bytecpat.el: Renamed from bytecomp1.el.

1994-01-24  G Dinesh Dutt  (brat@htilbom.ernet.in)

	* etags.el : Changes to support filenames as tags too and provided
	a drop-in replacement for list-tags.
	(find-tag-noselect): Recognize filenames as valid tags too.
	(find-tag-file-order): New variable added. This contains the name of
	the function used to qualify a matched filename.
	(last-tag-file): New variable; stores the filename looked for via
	find-tag fmaily of functions.
	(find-tag-in-order): In case tag searched for is a file, don't do
	anything fancy to locate position of tag in file. Just seek to
	beginning of file.
	(etags-recognize-tags-table): Added new var find-tag-file-order to
	tags-table-format variables and also set the priority of searching
	for tag type to make it look for a filetype tag first.
	(tag-filename-match-p): New function added to qualify naive match
	for a filename tag.
	(list-tags): Replaced with contents with one performing better for
	this function.
	(tags-list-functions-in-file): New function which is a backend for
	list-tags function.
	(tags-locate-file-in-tags-table): New function which locates a
	file in `tags-table-list'. Its used by list-tags.

1995-01-24  Frederic Lepied  <fred@sugix.frmug.fr.net>

	* gnus.el: Added support for descriptions in the group buffer:
	(gnus-group-prepare, gnus-group-prepare-line, gnus-setup-news)
	(gnus-gnus-to-quick-newsrc-format, gnus-group-list-groups):
	Record if we show all groups, to redisplay
	correctly after toggling descriptions display.
	(gnus-newsgroups-display-toggle, gnus-newsgroups-update-description)
	(gnus-newsgroups-retrieve-description): New functions.
	(gnus-group-mode-map): Bind t to gnus-newsgroups-display-toggle.
	Add a newsgroups-update-description menu.
	(gnus-newsgroups-regex, gnus-newsgroups-display, gnus-newsgroups-alist)
	(gnus-newsgroups-hashtb, gnus-newsgroups-showall): New variables.
	(gnus-group-group-name):  Changed the regexp to avoid  conflict
	with descriptions which have a ':' inside.
	(gnus-group-mode): Doc fix.

1995-01-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* c-mode.el (c-forward-conditional):
	If an apparent conditional is not really a conditional, skip past it.

1995-01-23  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* iso-transl.el (iso-transl-dead-key-alist): New var.
	(iso-transl-char-map): Give each singleton a doubleton synonym.
	(iso-transl-language-alist, iso-transl-ctl-x-8-map): New vars.
	(iso-transl-define-keys): New function; sets up keymap.
	(iso-transl-set-language): New function; sets language-specific part.

	* simple.el (mark): If transient-mark-mode is nil, mark is active.

1995-01-23  Espen Skoglund  <espensk@tklab3.cs.uit.no>

	* pascal.el: (pascal-*-completion, pascal-comp-defun)
	(pascal-complete-word, pascal-completion-response, pascal-completion)
	(pascal-get-completion-decl): Rename some internal variables
	to start with 'pascal-'.
	(pascal-str, pascal-all, pascal-pred, pascal-flag)
	(pascal-buffer-to use): New dummy variables.

1995-01-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (vc-do-command): Arrange for the default-directory variable
	in *vc* to be re-set each time this function uses it.
	Discard current dir from front of FILE later on,
	and only if last = `WORKFILE'.

	* vc.el: Undo Dec 10 change:
	(vc-directory, vc-dired-reformat-line): Changed back.
	(vc-directory-18): Old function restored.
	(vc-dir-all-files): Function deleted.

	* vc.el (vc-next-action-on-file): If file is not registered,
	check file out after registering it.
	(vc-next-action-dired): Restore the window configuration after
	doing vc-next-action on each file in a VC-dired buffer.
	(file-regular-p-18): New function.
	(file-regular-p): Define, if not already defined.

	* iso-transl.el (iso-transl-char-map): Add elements for
	mute-acute, etc.

	* gud.el (gud-mode): Use gud-new-keymap, so inherit keymaps..

	* font-lock.el (font-lock-fontify-region): Bind inhibit-read-only.
	Also buffer-file-name.
	(font-lock-hack-keywords, font-lock-unfontify-region): Likewise.

1995-01-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* c-mode.el (c-fill-paragraph): If comment terminator is on a
	separate line, don't include that line in the filling.

	* bytecomp.el (byte-compile-defvar): Add the var to current-load-list.

1994-01-21  David Kågedal  <davidk@lysator.liu.se>

	* tempo.el (tempo-insert-template): Quoted transient-mark-mode
	Expansion around region now puts point at the first mark.

	* tempo.el (tempo-region-start, tempo-region-stop): New variables
	(tempo-insert-template, tempo-insert): Don't affect the
	mark.  Check for Transient Mark mode

	* tempo.el (tempo-find-match-string): Removed the stupid 1+ again

	* tempo.el (tempo-use-tag-list):
	Set tempo-match-finder to completion-function

	* tempo.el (tempo-match-finder): Renamed variable from
	tempo-default-match-finder.  Change the value too.
	(tempo-collection, tempo-dirty-collection): New variables.
	(tempo-user-elements): New variable.
	(tempo-insert): New argument ON-REGION.
	New elements 'l and 'r.  Use tempo-is-user-element.
	(tempo-is-user-element): New function.
	(tempo-invalidate-collection, tempo-build-collection): New functions.
	(tempo-find-match-string): Reinserted bugfix for re-search-backward.
	(tempo-complete-tag): Complete rewrite.

	* tempo.el (tempo-insert): Added the 'o tag.

1995-01-21  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el (term-version):  Increased to 0.94.
	(term-if-emacs19, term-if-xemacs, term-ifnot-xemacs):  New macros
	to conditionalize at compile-time for different emacs versions.
	(various places):  Use them (instead of term-is-XXXX).
	(term-is-emacs19):  Removed, no longer needed.

	* term.el:  Change keybindings to not use C-c LETTER, for
	term-char-mode, term-line-mode.  Keybindings for term-pager-enable
	and term-pager-disable replaced by one for term-pager-toggle.
	(term-pager-toggle):  New function.

	* term.el (term-fake-pager-enable, term-fake-pager-disable):
	Define as aliases, so that menubar code will find proper keybindings.
	(term-char-mode):  Make no-op if already in char mode.
	(term-line-mode):  Make no-op if already in line mode.
	(term-mode-map):  Add keybinding for no-op term-line-mode, so
	code to display menubar keybindings doesn't lose it.  (Needed
	as long as char-mode and line-mode share term-terminal-menu.)
	(term-raw-escape-map):  Likewise for term-char-mode.
	(term-char-mode, term-line-mode):  Better documentation strings.

	* term.el:  Added menubar for pager sub-mode.

	* term.el (term-command-hook):  Disabled the feature that allowed
	inferior to send a lisp command to emacs - too big a security hole.

1995-01-21  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* upd-copyr.el (update-copyright): Remove gratuitous error at end.

1995-01-20  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* loadhist.el (unload-feature): Don't care if FILE is a dependency
	of itself.

	* fill.el (fill-region-as-paragraph): At end, advance over any newlines
	that were in the region but excluded from filling.

1995-01-20  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* text-mode.el (center-line): `fill-column' is a var, not a function.

1995-01-20  Morten Welinder  <terra@diku.dk>

	* compile.el (compile-internal): Force redisplay on compilation
	buffer before executing compile process.

1995-01-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ps-print.el: New file.

1995-01-19  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* c-mode.el (set-c-style): Ignore case in completion.

1995-01-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-update-highlight): New function.
	(rmail-summary-goto-msg): Use it.
	(rmail-summary-rmail-update): Move the summary highlight.
	(rmail-summary-mark-deleted): Do nothing if rmail-summary-overlay
	has a nil face-property.
	(rmail-new-summary): Make the summary-on-top kludge
	more restricted in when it is used.

1995-01-19  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* paths.el (remote-shell-program): Reorder search path.

1995-01-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fill.el (current-justification): Renamed from current-justification.
	Callers changed.
	(fill-region-as-paragraph): left-margin renamed to current-left-margin.

	* indent.el (move-to-left-margin): `justification' renamed to
	`current-justification'.
	* simple.el (do-auto-fill): `justification' renamed to
	`current-justification'.

	* ispell.el (check-ispell-version): Use Fundamental mode
	in the temporary buffer.

	* calendar.el: Use byte-compile-dynamic.

1995-01-18  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (etags-file-of-tag): Use a regexp search to find the
	file name, allowing it to contain any char but a newline.

1995-01-18  Boris Goldowsky  <boris@cs.rochester.edu>

	* indent.el (standard-indent): New variable.
	(alter-text-property, current-left-margin, move-to-left-margin)
	(delete-to-left-margin, set-left-margin, set-right-margin)
	(increase-left-margin, decrease-left-margin, increase-right-margin)
	(decrease-right-margin, indent-line-to): New functions.
	(indent-to-left-margin): Use indent-line-to.  Don't delete or
	insert anything unless necessary.

	* fill.el (set-justification): New function.
	(set-justification-{none,left,right,full,center}): New functions.
	(fill-region-as-paragraph, fill-region, justify-current-line):
	New arg NOSQUEEZE defeats normal removal of extra whitespace.
	(fill-region-as-paragraph, fill-region)
	(fill-nonuniform-paragraphs, fill-individual-paragraphs):
	Arg JUSTIFY-FLAG (JUSTIFYP) renamed to JUSTIFY.
	(fill-region-as-paragraph): Obey left-margin; fill-prefix starts
	after left-margin.  Disable filling if JUSTIFY == none, but indent to
	margin anyway.
	Adaptive-fill removes text-props from fill-prefixes it finds.
	Adaptive-fill no longer has to notice left-margin: std fill does that.
	Use fill-column and canonically-space-region functions.
	(canonically-space-region): New fn split from fill-region-as-paragraph.
	(fill-region): New args NOSQUEEZE (as above) and TO-EOP.
	(default-justification): New variable.
	(current-left-margin, fill-column, justification): New functions.
	(fill-paragraph): Use fill-region-as-paragraph when possible.
	(justify-current-line): New arguments; different kinds of
	justification handled.  Uses left-margin and fill-column functions.

	* paragraphs.el (forward-paragraph): Fix end-of-buffer bug.

	* completion.el (completion-separator-self-insert-autofilling):
	Don't check fill-column; do-auto-fill will do that.

	* simple.el (do-auto-fill): Fill, don't fill, or fill-and-justify
	depending on setting of justification text-property.
	Respect left-margin and right-margin text properties.
	(open-line, indent-new-comment-line): Inherit when inserting.
	(newline-and-indent, reindent-then-newline-and-indent): Doc fix.

	* text-mode.el (center-line): Use current-left-margin function.

	* enriched.el (enriched-annotation-list): Property `hard-newline'
	renamed to `hard'.  Justification value `both' renamed `full'.
	(enriched-mode): Don't set auto-fill-function, fill-column,
	sentence-end-double-space.  Do set use-hard-newlines.
	(enriched-delete-indentation): Use delete-to-left-margin and
	canonically-space-region.
	(enriched-indent-increment): Deleted, use `standard-indent' instead.
	(enriched-insert-hard-newline): Deleted, use `newline'.
	(enriched-beginning-of-line): Deleted, use `move-to-left-margin'.
	(enriched-squeeze-spaces): Deleted, use canonically-space-region.
	(enriched-forward-paragraph, enriched-backward-paragraph)
	(enriched-open-line, enriched-fill-paragraph, enriched-fill-region)
	(enriched-fill-region-as-paragraph, enriched-auto-fill-function)
	(enriched-justify-line): Deleted, use standard versions.
	(enriched-region-pars, enriched-end-of-paragraph, enriched-unindent)
	(enriched-beginning-of-paragraph, enriched-move-to-fill-column)
	(enriched-line-length, enriched-indent-line, enriched-indent)
	(enriched-aggressive-auto-fill-function, enriched-hard-newline)
	(enriched-indent-right, enriched-unindent-right): Deleted.
	(enriched-show-codes, enriched-show-margin-codes)
	(enriched-show-region-as-code, enriched-nogrow-hook): Commented out.
	(enriched-left-margin, enriched-change-left-margin)
	(enriched-change-right-margin, enriched-set-left-margin)
	(enriched-set-right-margin): Moved to indent.el as current-left-margin,
	increase-left/right-margin, set-left-/right-margin.
	(enriched-default-justification, enriched-justification)
	(enriched-set-justification-*, enriched-fill-column): Moved to
	fill.el as default-justification, current-justification,
	set-justification-*, current-fill-column.
	(enriched-indentation-menu-map, enriched-justification-menu-map):
	Moved to facemenu.el as facemenu-indentation-menu,
	facemenu-justification-menu.

	* facemenu.el (facemenu-keybindings, facemenu-face-menu):
	Keybinding for bold-italic changed from M-g o to M-g l; M-g o is
	now "other".
	(facemenu-justification-menu, facemenu-indentation-menu):
	New submenus, moved from enriched.el
	(list-colors-display, facemenu-color-equal): New functions.
	(facemenu-menu): Added "Display Faces" item.
	(facemenu-new-faces-at-end): New variable.
	(facemenu-add-new-face): Obey facemenu-new-faces-at-end.
	(facemenu-menu, facemenu-keymap, facemenu-face-menu)
	(facemenu-foreground-menu, facemenu-background-menu)
	(facemenu-special-menu): Now have function definitions as prefix keys.
	(facemenu-menu, facemenu-update): Refer to submenus by their names
	rather than including their values.
	(facemenu-set-face): Error if read-only; add item to menu if necessary.
	(facemenu-get-face): Always return FACE.
	(facemenu-add-new-face): Don't add if facemenu-unlisted-faces is t.
	(facemenu-unlisted-faces): Doc fix.

	* facemenu.el: Revise keybindings; doc fix.
	(facemenu-new-faces-at-end): New vbl. (facemenu-add-new-face): Use it.
	(facemenu-set-face, facemenu-set-face-from-menu): Check read-only.
	(facemenu-set-face): Doc fix.

	* facemenu.el (facemenu-face-menu, facemenu-foreground-menu)
	(facemenu-background-menu, facemenu-special-menu): New or renamed
	variables for submenus.
	(facemenu-color-alist): Renamed from facemenu-colors.
	(facemenu-add-new-face): New function.
	(facemenu-update): Don't redo top-level menu;
	nothing should change.  Move menu setup to defvars.
	Use facemenu-add-new-face. Changed global binding to C-down-mouse-3.
	(facemenu-menu): "Update" item removed; should
	no longer be needed interactively.
	(facemenu-complete-face-list): Just return faces, not keybindings.

1995-01-18  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* ispell.el (check-ispell-version): Force standard syntax table.

	* paths.el (remote-shell-program): New var.
	* telnet.el (rsh): Use it.
	* rcompile.el (remote-compile): Likewise.
	* ange-ftp.el (ange-ftp-gateway-program): Likewise.
	(ange-ftp-shell-command): Likewise.

1995-01-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gdb): In gud-remove, specify the source file.

1995-01-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gud-new-keymap): New function.
	(gud-xdb-find-file, gud-dbx-find-file, gud-sdb-find-file, gud-gdb-find-file):
	Use it for keymap inheritance.

1995-01-17  Dave Love  <d.love@dl.ac.uk>

	* gud.el (gud-gdb-find-file): Propagate debug menu to found buffers.
	(gud-dbx-find-file, gud-xdb-find-file, gud-sdb-find-file)
	(gud-perldb-find-file): Likewise.
	(gud-menu-map): New variable.
	(gud-mode): Use gud-menu-map and move the menu-setting outside.

	* gud.el (dbx): Fix missing cast of $curline for Irix.
	(gud-irixdbx-marker-filter): Make $curline cast consistent with the others.

1995-01-17  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* comint.el (comint-dynamic-list-completions): Test event-start to
	make sure it is not a complex event (e.g., switch-frame).

1995-01-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (help-for-help): Doc fix.

	* help-macro.el (make-help-screen): Use *only* local-map to look
	up keys.

1995-01-16  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* edebug.el (edebug-enter): Fix reversed setq's.

	* calendar.el (calendar): Doc fix.

	* disp-table.el (standard-display-ascii): Doc fix.  Allow use with X.

	* iso-cvt.el (iso-aggressive-german-trans-tab): Doc fix.
	(iso-cvt-ffh, iso-cvt-wfh, iso-cvt-ash): Doc fix.

1994-01-16  Espen Skoglund  <espensk@tklab3.cs.uit.no>

	* pascal.el (pascal-mode-map, pascal-outline-map):
	C-c C-b now inserts block.  C-c C-d does goto-defun.
	`#' calls on electric-pascal-hash.
	(pascal-calculate-indent, pascal-indent-alist)
	(electric-pascal-tab, pascal-indent-case):
	Better handling of indent within case.  Support for CPP.
	The `;' in the last statement of a subblock may be omitted.
	(electric-pascal-hash): New function.

1995-01-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el: Revert Jan 15 and Jan 5 changes.

	* scribe.el (scribe-mode): Treat `@:' as a sentence end.

1995-01-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dabbrev.el (dabbrev--find-all-expansions): Don't use push.
	(dabbrev--search): Likewise.

1995-01-15  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* vc.el (vc-do-command): Use set-buffer-modified-p instead of
	not-modified.

	* files.el (not-modified): Doc fix.

	* etags.el (etags-tags-completion-table): Don't let match string
	contain a \177.

1995-01-13  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* vc.el (vc-directory): Prompt for a directory, not a file.

1995-01-12  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* edebug.el: Undo Nov 30 change.
	(edebug-emacs-19-specific): Don't use quote; easy-menu-define doesn't
	evaluate its first arg.

	* easymenu.el (easy-menu-define): Doc fix.

1994-01-12  Boris Goldowsky  <boris@cs.rochester.edu>

	* paragraphs.el (forward-paragraph): Notice use-hard-newlines value.
	(looking-at-hard): New function.
	(paragraph-start, paragraph-separate): Doc fix.

	* simple.el (open-line, split-line, next-line): Use `newline'
	function to insert newline so it will be marked hard if appropriate.
	(indent-new-comment-line): Use `newline' function, unless called
	with (new) argument.
	(do-auto-fill): Call indent-new-comment-line with argument to
	make newline soft.

	* fill.el (fill-region-as-paragraph): Don't modify newline
	at end of paragraph, to make sure text-properties are preserved.
	(fill-paragraph): Call fill-region, not fill-region-as-paragraph,
	to avoid clobbering paragraph-internal hard-newlines.
	(fill-region): If use-hard-newlines is on, divide into
	"paragraphs" by breaking at every hard newline, temporarily
	ignoring paragraph-start.

1994-01-12  Tom Tromey  <tromey@drip.colorado.edu>

	* buff-menu.el (list-buffers): New function.
	(ctl-x-map): Define C-x C-b to list-buffers.

1995-01-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (revert-buffer): Recompute buffer-file-truename.

	* c-mode.el (indent-c-exp): Handle `{ if (x)\n  foo;\n  bar;' case.
	* cplus-md.el (indent-c++-exp): Handle `{ if (x)\n  foo;\n  bar;' case.

	* etags.el (etags-goto-tag-location): Add 1 to char positions in TAGS.

	* startup.el (command-line-1): Handle -f with kbd macro.

	* msb.el (mouse-select-buffer) Handle an aborted selection.

1995-01-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* derived.el (define-derived-mode): Doc fix.

1995-01-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el: Put height and width from geometry parm
	into default-frame-alist.

1995-01-10  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* isearch.el (isearch-edit-string): Disable message logging.
	(isearch-toggle-case-fold, isearch-message): Likewise.

1995-01-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired.el (dired-insert-directory): Don't call expand-file-name
	when dir-or-list is a list.

1995-01-10  Noah Friedman  <friedman@splode.com>

	* rlogin.el (rlogin-tab-or-complete): Insert tab in buffer, don't
	send directly to process.
	(rlogin, rlogin-directory-tracking-mode): Use rlogin-remote-user,
	not rlogin-user.

1995-01-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (face-nontrivial-p): New function.

	* paren.el (show-paren-command-hook): Don't alter paren-mismatch face
	if make-face gives it some contents.

1995-01-10  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* shell.el (shell-mode): Doc fix.

1995-01-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dabbrev.el (dabbrev-check-other-buffers):
	Renamed from dabbrev-always-check-other-buffers.
	(dabbrev-check-all-buffers): Renamed frm dabbrev-check-rest-of-buffers.

	* ange-ftp.el (ange-ftp-set-buffer-mode): Don't set make-backup-files.
	(ange-ftp-real-find-backup-file-name): New function.
	(ange-ftp-find-backup-file-name): New function.
	Use it to handle find-backup-file-name.

	* files.el (find-backup-file-name): Run a file name handler.
	(backup-buffer): Do nothing if backup-info is nil.

1995-01-09  Noah Friedman  <friedman@splode.com>

	* rlogin.el: Removed several more gratuitous autoload cookies.
	(rlogin-initially-track-cwd): Variable deleted.
	(rlogin-directory-tracking-mode): New variable and function.
	Default to 'local.
	(rlogin-host, rlogin-remote-user): New variables.
	(rlogin): Set them appropriately.
	(rlogin-tab-or-complete): New function.
	Bind C-i to it.
	(rlogin-carriage-filter): New function.
	(rlogin): Add it to comint-output-filter-functions.
	(rlogin-parse-words): New function.
	(rlogin): Make buffer name "*rlogin-USER@HOST* if remote user
	differs from local.
	Simplify initialization of local variables, using rlogin-parse-words.
	Do not call comint-mode directly.
	Doc fixes.

1995-01-09  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* bytecomp.el: Fix text punctuation.

1995-01-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (face-try-color-list): Treat `underline' as valid.

	* subr.el (listify-key-sequence-1): Update for change in CHAR_META.

	* dabbrev.el (dabbrev-expand): Now checks for marker.
	(dabbrev--try-find): Now does a protected call to `widen'.
	(dabbrev-always-check-other-buffers): Default now t.
	(dabbrev--capitalize): Function deleted.
	(dabbrev-completion): Use `capitalize'.

	* msb.el: Better format of files-by-directory menus.
	Now splits big menus into sub-menus.
	(msb-max-menu-items): Changed default value.  This variable
	now depicts the maximum number of items in a sub-menu.
	(msb-display-most-recently-used): Changed default value.
	(mouse-select-buffer): Now handles several levels of
	sub-menus.  New format on return value.

1995-01-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* find-file.el: New file.

1995-01-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-drag-region): As once in the past,
	call the binding of the terminating event.

	* terminal.el (te-terminfo-systems-regexp): Variable deleted.
	(te-create-terminfo): Use system-uses-terminfo.

	* simple.el (what-cursor-position): Show char in decimal, hex, octal.

1995-01-05  Stefan Schoef  <schoef@Informatik.Uni-Oldenburg.DE>

	* bibtex.el (bibtex-clean-entry): Killing text while editing
	the autogenerated label in the minibuffer caused the killed text
	to appear in front of the bibtex entry.

1995-01-05  Eric Raymond  <esr@locke.ccil.org>

	* vc.el (vc-do-command): Change RCS handling so rcsdiff won't strip
	away relative-pathname information.  This function no longer sets the
	default directory.  Also, mark the *vc* output buffer unmodified.
	(vc-revert-buffer1): Handle font-lock mode correctly.
	(vc-diff, vc-print-log): vc-do-command no longer sets the default
	directory, but doing so	is advantageous for these cases.
	(file-executable-p-18):	Better portability to Emacs 18.
	(vc-directory-exclusion-list, vc-file-tree-walk-internal):
	Implement the new variable vc-directory-exclusion-list to prune
	tree walks.  Initial value tells it to ignore SCCS and RCS
	subdirectories.

1995-01-05  Ken Laprade  <klaprade@harris.com>

	* simple.el (pop-global-mark): Make pop-global-mark treat
	global-mark-ring as a ring.

1995-01-05  Johan Vromans  <jv@NL.net>

	* forms.el: Change forms-search to forms-search-forward, and add
	forms-search-backward.
	(forms--mode-menu-ro, forms--mode-menu-edit):
	New functions to create a pulldown menu in the menubar.
	(forms--mode-commands): Call them for the edit and view mode.
	* (forms-print): New function.

1995-01-04  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* tex-mode.el (tex-print): Better check for when to print current
	buffer's file over last processed file.

1995-01-03  Noah Friedman  <friedman@splode.com>

	* sendmail.el (mail-personal-alias-file): New variable.
	Use globally in place of hardwired "~/.mailrc".
	* mailalias.el: Here too.
	* mailabbrev.el (mail-abbrev-mailrc-file): Variable and macro
	deleted.  All callers now use `mail-personal-alias-file'.

	* pp.el: Add autoload cookies.

1995-01-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (tex-mode): Recognize \NeedsTeXFormat{LaTeX2e}.

	* startup.el (command-line-1): Pause between init file error
	and command line option processing.

	* spell.el (spell-filter): Make it a risky-local-variable.

1995-01-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gud-sdb-marker-filter): Use gud-marker-acc.

	* time.el (display-time-string-forms): Fix doc string syntax error.

1994-01-02  Kevin J. Greiner  <greiner@boston.brc.shell.com>

	* gud.el (gud-dbx-marker-filter): Use gud-marker-acc like
	gud-gdb-marker-filter.

1994-12-31  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (auto-mode-alist): Add entries for .cls files,
	and for /drafts/.  Put tex-mode and latex-mode in lower case.

	* files.el (set-visited-file-name): Error if buffer is indirect.
	(basic-save-buffer): For indirect buffer, save the base buffer.
	(save-some-buffers): Ignore indirect buffers.

1994-12-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (tex-mode): \begin at start of file implies Latex.

	* terminal.el (terminal-emulator): Test system-configuration
	to decide on terminfo vs termcap.
	(te-terminfo-systems-regexp): Renamed from te-terminfo-systems.

1994-12-30  Kishore Kumar  (kishorek@tulblr.unisys.com)

	* terminal.el: Added terminfo support.
	(te-terminal-name-prefix, te-terminal-name, te-terminfo-systems):
	New variables.
	(terminal-emulator): Handle termcap or terminfo.
	(te-create-terminfo, te-create-termcap): New subroutines.
	(te-tic-sentinel): New subroutine.

1994-12-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (completion-list-mode-map): Don't bind return, just C-m.

1994-12-28  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* apropos.el (super-apropos-check-elc-file): New function.
	specifies which file to search.
	(apropos-files-scanned): New variable.
	(super-apropos): Bind apropos-files-scanned.
	Update apropos-accumulate from apropos-print-matches.
	Call super-apropos-accumulate before checking for no matches.
	(super-apropos-check-doc-file): Don't visit the file, just insert it.
	(super-apropos-accumulate): When doc string is in a file,
	scan that file.
	(apropos-print-matches): Return the sorted list.
	(safe-documentation): Handle compiled files.

1994-12-28  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (find-tag-in-order): Don't set buffer-local value of
        tags-file-name.

1994-12-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (tex-mode-map): Add BibTeX File menu item.

	* subr.el (run-hook-with-args-until-failure):
	Return non-nil if no hook functions.

1994-12-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (command-line-1): Split startup msg into two parts.
	Add something about C-mouse-3 when on a window system.

	* tar-mode.el (tar-mode-map): Bind C-m to tar-extract.

	* replace.el (occur-mode-map): Bind C-m to occur-mode-goto-occurrence.
	(occur-mode): Doc fix.

	* compile.el (compilation-minor-mode-map): Bind C-m to
	compilation-goto-error.

	* buff-menu.el (Buffer-menu-mode-map): Bind C-m to
	Buffer-menu-this-window.

	* dired.el (dired-mode-map): Bind C-m to
	dired-advertised-find-file.  Change f to dired-find-file.

	* simple.el (switch-to-completions): New command, with bindings
	in the minibuffer completion maps.

	* simple.el (next-completion, previous-completion): New commands.
	(completion-list-mode-map): Put them on left, right arrows.

	* isearch.el (isearch-mode): Set mouse-leave-buffer-hook.
	(isearch-done): Clear it.

1994-12-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-minibuffer-check, mouse-drag-mode-line)
	(mouse-yank-at-click, mouse-yank-secondary, mouse-choose-completion):
	Run mouse-leave-buffer-hook.

	* bytecomp.el (byte-compile-warning-types): Add obsolete.
	(byte-compile-warnings): Doc fix.
	(byte-compile-obsolete): Check for obsolete in byte-compile-warnings.
	(byte-compile-variable-ref): Likewise.

	* timezone.el (timezone-fix-time): For year values < 50, add 2000.

	* server.el (server-process-filter): Process each line separately.
	(server-buffer-done): Delete dead buffers from CLIENT list.
	Wait a while after sending a command to emacsclient.
	Verify that BUFFER is a buffer.

	* subr.el (font-lock-defaults): Add defvar.
	(buffer-file-type): Add defvar.

	* simple.el (completion-reference-buffer): Initialize to nil.

	* dabbrev.el (esc-map): Delete excess closeparen.

	* apropos.el (super-apropos, super-apropos-check-doc-file)
	(super-apropos-accumulate): Vars item, fn-doc and var-doc renamed
	to apropos-item, apropos-fn-doc and apropos-var-doc.
	(apropos-item, apropos-var-doc, apropos-fn-doc)
	(apropos-accumulate, apropos-regexp): New defvars.
	(super-apropos): Bind apropos-regexp to regexp.
	(super-apropos-accumulate): Use apropos-regexp.

	* ange-ftp.el (ange-ftp-save-match-data): Macro deleted.
	Most callers use save-match-data.
	(ange-ftp-process-filter, ange-ftp-process-sentinel)
	(ange-ftp-gwp-filter): Don't save the match data explicitly.

	* ange-ftp.el (ange-ftp-process-filter, ange-ftp-gwp-filter):
	After comint output processing, update STR.

1994-12-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* fast-lock.el: New file.

	* dabbrev.el (dabbrev-abbrev-char-regexp): Accept symbol chars
	as well as word constituent chars.

	* startup.el (command-line-1): If help-command has no key binding,
	say `M-x help', not `M-x help-command'.

	* emacs-lock.el: New file.

1994-12-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* msb.el: Fix quoting conventions and spaces at end of sentence.

	* msb.el: New file.

	* dabbrev.el (dabbrev-completion): Now searches all buffers
	when given prefix arg 16.
	(dabbrev--version): Variable deleted.

	* dabbrev.el: Don't require cl, picture, or reporter.
	Don't provide new-dabbrev.
	(dabbrev--try-find): Don't use `loop'.
	Don't create or kill local bindings.
	(dabbrev-completion): Use key-description to say what to type.
	Fix style of "done" message.
	(dabbrev-submit-feedback): Function deleted.
	(dabbrev--same-major-mode-p): Simplify.
	(dabbrev-completion, dabbrev--abbrev-at-point): Fix error msg style.

	* dabbrev.el (dabbrev-filter-elements): New macro.
	(dabbrev--select-buffers, dabbrev--find-expansion): Use that.
	(dabbrev--search): Use that.

	* dabbrev.el: Complete rewrite by Lars.Lindberg@sypro.cap.se.

1994-12-23  Barry Warsaw  (bwarsaw@cnri)

	* elp.el (elp-pack-number): New function.
	(elp-output-results): Use elp-pack-number to truncate time strings,
	watching out for very small or very large numbers.

	* elp.el (elp-unset-master): Make it an interactive command.

	* reporter.el (reporter-submit-bug-report): Set up for status messages.
	Use mail-text to position point to the body of the message.

	* reporter.el (reporter-beautify-list): Complete rewrite.
	Optional nocompact-p argument.

	* reporter.el (reporter-dump-variable): Invert the test and
	passing of compact-p argument to reporter-beautify-list.  List
	values are not printed as defuns or function calls.

	* reporter.el: Updated package list.

	* reporter.el (reporter-lisp-indent): New defun.

	* reporter.el (reporter-dont-compact-list)
	(reporter-status-message, reporter-status-count): New variables.

	* reporter.el (reporter-update-status, reporter-beautify-list)
	reporter-dump-variable): Now smarter about formating variables
	with list values.  Checks the value of reporter-dont-compact-list.

1994-12-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (next-line, previous-line): If interactive and not in
	kbd macro, catch the error and beep instead.

1994-12-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* bibtex.el (bibtex-string, bibtex-preamble): Use forward-line.
	(sort-subr): Don't call autload for this--that's done in loaddefs.el.
	(bibtex-mode): Add autoload cookie.

	* server.el (server-switch-buffer): Cope with dead frames and windows.

1994-12-22  Dave Love  <d.love@dl.ac.uk>

        * gud.el (gdb): Correct tbreak doc string.
        (gud-mode): Define a Gud menu.
        (gdb): Set debugger-specific menu entries.
        (sdb) (dbx) (xdb): Likewise.

1994-12-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* novice.el (enable-command): Always insert code to enable.
	(disable-command): Insert newline before as well as after.

1994-12-21  David M. Smith  <D.M.Smith@lancaster.ac.uk>

	* imenu.el (imenu-always-use-completion-buffer-p): A value of
	`never' now means never display a completion buffer.
	(imenu--completion-buffer): implement 'never behaviour.

1994-12-21  Stefan Schoef  <schoef@informatik.uni-oldenburg.de>

	* bibtex.el: Changed keybinding for bibtex-print-help-message
        (from \C-ch to \C-c?). Therefore, describe-mode is not longer on
        \C-c?. Also, changed prefix \C-cn for bibtex-narrow functions to
        \C-c\C-r.
        (bibtex-string-files): Changed documentation.
        (bibtex-mode-map): Inscriptions of menu bar changed from "Entry
        Types" to "Entry-Types" and "Bibtex Edit" to "BibTeX-Edit".
        (bibtex-string-files): Changed documentation.
        (bibtex-mode): If environment variable BIBINPUTS isn't defined,
        string files are searched in the current directory.
        (bibtex-completion-candidates): Now buffer-local to allow
        evaluation of different bibtex-string-files in different buffers.
        (bibtex-autokey-edit-before-use, bibtex-clean-entry): New variable
        that determines, if the user is allowed to edit auto-generated
        reference keys before they are used.
        (bibtex-generate-autokey, bibtex-clean-entry): New function to
        generate an autokey if necessary.
        (bibtex-autokey-names, bibtex-autokey-name-change-strings,
        bibtex-autokey-name-length, bibtex-autokey-name-separator,
        bibtex-autokey-year-length, bibtex-autokey-titlewords,
        bibtex-autokey-title-terminators,
        bibtex-autokey-titlewords-stretch,
        bibtex-autokey-titleword-first-ignore,
        bibtex-autokey-titleword-abbrevs,
        bibtex-autokey-titleword-change-strings,
        bibtex-autokey-titleword-length,
        bibtex-autokey-titleword-separator,
        bibtex-autokey-name-year-separator,
        bibtex-autokey-year-title-separator): New variables related to
        bibtex-generate-autokey.
        (bibtex-find-entry-location): Optional second parameter maybedup
        to tell it that entering a duplicate entry isn't to report by an
        error but by the return value of the function (necessary for
        bibtex-clean-entry to find the correct position of an entry with
        an autogenerated key without disturbing the user with unwanted
        messages).
        (bibtex-help-message): New variable to avoid printing of help
        messages in the echo area.
        (assoc-of-regexp): New function to match an alist of regexps.
        (bibtex-string-files, bibtex-completion-candidates, bibtex-mode):
        New variables to allow bibtex-complete-string to work on strings
        initialized from a variable and from @String definitions in a list
        of files, too.
        (bibtex-predefined-strings, bibtex-entry-field-alist): Changed to
        user options.
        (bibtex-mode): Changed doc string.
        (many functions and variables): Changed documentation strings of
        variables and functions to hold a complete sentence in the first
        line.
        (bibtex-print-help-message): Now line dependent and reports if it
        is called outside a BibTeX field.
        (validate-bibtex-buffer): Completely rewritten to validate, if
        buffer is syntactically correct.
        (find-bibtex-duplicates): Moved into validate-bibtex-buffer.
        (ispell-abstract, bibtex-ispell-abstract, ispell-bibtex-entry,
        bibtex-ispell-entry, beginning-of-bibtex-entry,
        bibtex-beginning-of-entry, end-of-bibtex-entry,
        bibtex-end-of-entry, hide-bibtex-entry-bodies,
        bibtex-hide-entry-bodies, narrow-to-bibtex-entry,
        bibtex-narrow-to-entry, sort-bibtex-entries, bibtex-sort-entries,
        validate-bibtex-buffer, bibtex-validate-buffer,
        find-bibtex-entry-location, bibtex-find-entry-location): All
        interactive functions are renamed, so that any interface function
        begins with "bibtex-". Mapping:
        ispell-abstract            --> bibtex-ispell-abstract
        ispell-bibtex-entry        --> bibtex-ispell-entry
        beginning-of-bibtex-entry  --> bibtex-beginning-of-entry
        end-of-bibtex-entry        --> bibtex-end-of-entry
        hide-bibtex-entry-bodies   --> bibtex-hide-entry-bodies
        narrow-to-bibtex-entry     --> bibtex-narrow-to-entry
        sort-bibtex-entries        --> bibtex-sort-entries
        validate-bibtex-buffer     --> bibtex-validate-buffer
        find-bibtex-entry-location --> bibtex-find-entry-location
        (bibtex-maintain-sorted-entries,
        bibtex-sort-ignore-string-entries): Default is now t.
        (bibtex-complete-string): String list is built from additional
        string list bibtex-predefined-string and current strings in file.
        (string-equalp): Deleted and substituted by string-equal.
        (assoc-string-equalp): Renamed to assoc-ignore-case.
        (bibtex-entry): Reference key can be entered with completion. All
        reference keys that are defined in buffer and all labels that
        appear in crossreference entries are object to completion.
        (Entry types): Changed order of entries in menu "entry types".
        (bibtex-entry-field-alist): Changed order of entries slightly to
        be more conform with standard BibTeX style layouts.
        (bibtex-mode-map): Uniform keybindings for \C-c\C-e prefix (often
        used types on control keys, sometimes used types on normal keys,
        rarely used types on shift keys, almost never used types on meta
        keys).
        (bibtex-mode-map): Function narrow-to-bibtex-entry and counterpart
        widen and function hide-bibtex-entry-bodies and counterpart
        show-all bounded to appropriate local keys.
        (bibtex-abbrev-table): Deleted
        (bibtex-current-entry-label, put-string-on-kill-ring): Deleted
        (AUCTeX provides all the functionality needed for citation
        completion).
        (bibtex-enclosing-reference, bibtex-pop-previous, bibtex-pop-next,
        bibtex-clean-entry): Hacked for speed (bibtex-pop-previous and
        bibtex-pop-next were to slow for larger BibTeX files).
        (bibtex-pop-previous, bibtex-pop-next): Delimiters from previous
        or next entry are changed to actual delimters if necessary.
        (bibtex-entry): Fixed bug (False entry wasn't reported in error
        message if bibtex-entry was called with undefined reference name).
        (bibtex-entry-field-alist, bibtex-entry, bibtex-make-field,
        bibtex-next-field, bibtex-clean-entry): Every reference entry now
        contains a comment in addition to the name of the reference. This
        comment appears in the echo area if you start editing that field
        (after calling bibtex-next-field).
        (bibtex-include-OPTcrossref, bibtex-entry): Changed
        bibtex-include-OPTcrossref from single boolean variable to hold a
        list of reference names which should have a crossref field.
        (bibtex-complete-word): New function, which completes word
        fragment before point to the longest prefix of predefined strings
        in the buffer in the same way that ispell-complete-word operates
        for words found in the dictionary.
        (bibtex-reference-head): Start of bibtex-reference-head changed
        from "^[ \t]*\\(" to "^\\( \\|\t\\)*\\(" (bibtex-pop-previous and
        bibtex-pop-next didn't work, probably due to a bug in
        re-search-forward).
        (several functions): Added support for {} as field delimiters
        (better than '"' for accented characters.
        (bibtex-clean-entry): If optional field crossref is empty or
        missing, former optional fields (if bibtex-include-OPTcrossref was
        t) are necessary again. bibtex-clean-entry complains if they are
        empty but not if they are missing, so you can intenionally omit
        them, e. g. for a pseudo @Journal entry (needed for
        crossreferences) made out of an @article with missing non-optional
        fields.
        Menu bar entries aren't centered anymore.

1994-12-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* facemenu.el (facemenu-key): Change to M-g.

	* files.el (save-buffers-kill-emacs): Fix backward test of value of
	run-hook-with-args-until-failure's value.

	* tex-mode.el (tex-start-shell): Use inheritance.

1994-12-21  Dave Love  <d.love@dl.ac.uk>

        * gud.el (gud-irixdbx-marker-filter): Changes for Irix dbx.
        (dbx): gud-up, gud-down are now special cases for Irix.

1994-12-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired.el (dired-string-replace-match): Function moved here.
	* dired-aux.el (dired-string-replace-match): Moved to dired.el.

1994-12-21  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * tex-mode.el (tex-shell-map,tex-start-shell): Start with
        shell-mode-map.

1994-12-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (describe-function): Don't add `.el' when printing file name.

1994-12-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-dest-file): New variable.
	(byte-compile-file): Bind that var, early on.
	(byte-compile-dynamic): New variable.
	(byte-compile-dynamic-docstrings): New variable.
	(byte-compile-close-variables): Bind byte-compile-dynamic,
	byte-compile-dynamic-docstrings, and byte-compiler-compatibility.
	(byte-compile-file): Call normal-mode, not set-auto-mode.
	(byte-compile-output-docform): New arguments PREFACE, NAME, SPECINDEX,
	QUOTED.  Callers changed.  Output doc strings as references to the .elc
	file itself, using #@ and #$ constructs.
	(byte-compile-output-as-comment): New function.

	* bytecomp.el (byte-compile-insert-header): Don't save-excursion.
	Insert at point, and move point.  Insert extra newline at end.
	(byte-compile-from-buffer): Insert the header before compilation.

	* buff-menu.el (Buffer-menu-buffer): Clear text properties in STRING.

	* faces.el (frame-update-face-colors): New function.
	* frame.el (set-background-color, set-foreground-color):
	Call frame-update-face-colors.

	* rmail.el (rmail-first-unseen-message): Fix 1-off error.

1994-12-19  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * tex-mode.el (tex-start-shell): Use comint prompt and mode-map.

1994-12-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-search-backward): Function deleted.
	(rmail-mode-map): Use rmail-search-backwards instead.

1994-12-18  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* fortran.el (fortran-end-if, fortran-end-do,
	fortran-beginning-if, fortran-beginning-do): New subroutines.
	(fortran-blink-matching-if, fortran-blink-matching-do): Use them.
	(fortran-mark-do, fortran-mark-if): New user functions.
	(fortran-blink-matching-if, fortran-mode): Doc mod.

1994-12-18  Morten Welinder  <terra@diku.dk>

	* tar-mode.el (tar-extract): Don't use set-visited-file-name.  to
	avoid interaction problems with ange-ftp.

1994-12-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rnewspost.el (news-mail-reply): Restore the saved narrowing
	before calling `mail'.

1994-12-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* emerge.el (emerge-read-file-name): New arg must-match.
	(emerge-files, emerge-files-with-ancestor): Pass new arg.

	* isearch.el (isearch-done): Don't print msg about mark
	if we don't set it.  Fix paren error.

	* subr.el (lambda): Doc fix.

	* vc-hooks.el (vc-toggle-read-only): Accept prefix arg
	and pass it along to vc-next-action.

	* font-lock.el (font-lock-hack-keywords): Turn off undo generation.
	(font-lock-unfontify-region. font-lock-fontify-region): Likewise.

	* c-mode.el (indent-c-exp): Don't be fooled by else_ or while_.
	(c-indent-line): Likewise.
	(c-backward-to-start-of-if): Don't be fooled by if_ or else_.

	* sendmail.el (sendmail-send-it): Don't convert S: to Subject:.

	* faces.el (face-initialize): Test for framep not t or nil.

	* files.el (hack-local-variables): Run hack-local-variables-hook.
	(hack-local-variables-hook): New variable.

	* find-dired.el (find-grep-options): Use -q on non-BSD systems.

1994-12-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* find-dired.el (find-ls-option): Don't ask for inode numbers.

	* apropos.el (apropos-match-keys): Handle menu bindings
	with cached equivalent keys.

	* rmail.el (rmail-ignored-headers): Delete junk from definition.

1994-12-13  Don Woods  (don@genmagic.com)

	* replace.el (perform-replace):
	Report number of replacements when done.
	(query-replace, query-replace-regexp, replace-string)
	(map-query-replace-regexp. replace-regexp): No message here.

1994-12-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* informat.el (Info-split): Fix 1-off error in subfile position.

	* replace.el (occur): Escape newlines when printing regexp.

	* informat.el (Info-tagify): Avoid 1-off error in position of a tag.

	* macros.el (insert-kbd-macro): Specially handle C-\, M-\ and C-M-\.
	Only convert the character syntax if definition is a string.

1994-12-11  Richard Stallman  <rms@kepa>

	* rmailsum.el (rmail-summary-goto-msg): When highlighting,
	don't skip 1st char on line if it isn't a space.

	* gnusmail.el (gnus-mail-reply-using-mail): Don't save point;
	yank the original at point.

	* apropos.el (apropos-match-keys): Handle minor mode maps
	and overriding-local-map.

1994-12-10  Richard Stallman  <rms@kepa>

	* vc.el (vc-dir-all-files): New function.
	(vc-directory): Show just one directory by default.
	Read dir name in minibuffer.
	(vc-directory-18): Deleted.

1994-12-09  Ken Stevens  <stevensk@afit.af.mil>

	* ispell.el: Added ispell-offset for version consistency.
	(ispell-dictionary-alist): updated dictionaries & better match defaults
	(ispell-alternate-dictionary): added /usr/shar path
	(ispell-menu-map-needed): redo changes that made this incompatible
        with earlier versions of emacs19.
	(ispell-required-version): changed to assure version 3.1.12 accessed.
	(ispell-word): Correctly accept buffer-local information.
        Does not try to modify read-only buffer on 'm' command.
	(ispell-command-loop): fixed bug that corrupted buffers.
        removed scrolling when *Choices* buffer shrinks.
	(check-ispell-version): Correctly identifies new version requirements.
	(ispell-region): Interaction updated for version 3.1.12+
	Buffer read-only modification improvement.  Dictionary messages added.
	(ispell-message-text-end): skips additional shell files.
	(ispell-buffer-local-parsing): extended-char mode now matches text mode

1994-12-09  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* hilit19.el: Add patterns for asm-mode.

	* files.el (set-auto-mode): Don't get confused by anything ending
	in "mode:" which isn't a mode spec.

1994-12-09  Richard Stallman  <rms@green-hill>

	* rlogin.el (rlogin-initially-track-cwd): Now a 3-way flag.
	(rlogin): Handle that.

1994-12-08  Richard Stallman  <rms@bethel>

	* files.el (ignored-local-variables): Mark it risky.

1994-12-08  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * cal-mayan.el (calendar-mayan-days-before-absolute-zero): Mention
        Hochleitner's correlation.

1994-12-07  Richard Stallman  <rms@green-hill>

	* telnet.el (telnet): Don't make assumptions about process name.
	(telnet-send-process-next-char): Renamed from send-...

	* nntp.el (nntp-buggy-select): Delete usg-unix-v from list.

1994-12-07  Richard Stallman  <rms@bethel>

	* dired.el (dired-insert-directory): Quote certain chars with \.
	(dired-get-filename): Always unquote \ quoting.

	* comint.el (comint-mode-map): Treat C-up, C-down like M-p, M-n.

1994-12-06  Richard Stallman  <rms@kepa>

	* simple.el (buffer-quit-function): New variable.
	(keyboard-escape-quit): Use it.

	* loaddefs.el: Delete ESC ESC binding for eval-expression.
	(function-key-map): Map C-delete into M-DEL.

1994-12-05  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-set-binary-mode): Ignore hash size if nil.
	(ange-ftp-set-ascii-mode): Likewise.

1994-12-05  Richard Stallman  <rms@green-hill>

	* ebuff-menu.el (electric-buffer-menu-mode-map):
	Bind ESC ESC ESC to Electric-buffer-menu-quit.

	* loaddefs.el (minibuffer-local-map): Bind up and down to history cmds.
	(minibuffer-local-ns-map, minibuffer-local-completion-map): Likewise.
	(minibuffer-local-must-match-map): Likewise.

	* isearch.el (isearch-cancel): New function.
	(isearch-mode-map): Bind that to ESC ESC ESC.
	Move the code to set up the meta submap earlier in the expression.

	* loaddefs.el (function-key-map): Map f1 to C-h.

	* simple.el (delete-completion-window): New function.
	(completion-list-mode-map): Bind that to ESC ESC ESC.

	* simple.el (keyboard-escape-quit): Bind this globally to ESC ESC ESC.

1994-12-05  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-after-change-function): Undo Oct 18 change.

1994-12-04  Richard Stallman  <rms@kepa>

	* fill.el (fill-region-as-paragraph): If region starts in mid-line,
	don't fill the text before that, but count it for indentation.
	(fill-region): If region starts in mid-line, keep whole line
	in the region, but pass the region start to fill-region-as-paragraph.

	* faces.el (set-face-font): Pass `default' as face to x-resolve-font-name.
	(x-resolve-font-name): Better error message when FACE doesn't specify
	the font.

	* faces.el: At compile time, discard any defsubr definitions
	in the Emacs doing the compilation.

	* bibtex.el (bibtex-mode-map): Delete binding for ".
	Don't load in tex-insert-quote.

	* faces.el (face-name, face-id, face-foreground, face-background)
	(face-font, face-stipple, face-underline-p): Change defsubst to defun.
	(set-face-font, set-face-foreground, set-face-background)
	(set-face-stipple, set-face-underline-p): Change defsubst to defun.

	* replace.el (replace-string, query-replace): Doc fixes.

1994-12-03  Richard Stallman  <rms@kepa>

	* rmail.el (rmail-get-new-mail): Position on first unseen message.
	Return t if actually got new mail.
	(rmail): Show rmail-first-unseen-message if got no new mail.

1994-12-01  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* rmailout.el (rmail-output): Don't quote "From " lines unless the
	capitalization is exact.

1994-12-01  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-make-faces): Added font-lock-reference-face
	defaults for grayscale.

1994-11-30  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* sendmail.el (sendmail-send-it): Add `From:' header.
	(mail-from-style): New variable.

	* gud.el (gud-basic-call): Detect error earlier.

	* term/x-win.el (system-key-alist): Extra keys are F36 and F37.

	* edebug.el (edebug-enter): Add save-excursion so that
	buffer-local variables will reset properly.

1994-11-30  Ake Stenhoff  <etxaksf@aom.ericsson.se>

	* imenu.el (imenu-generic-expression): New variable.
	(imenu-example--generic-c++-expression): New variable.
	(imenu-example--generic-texinfo-expression): New variable.
	(imenu-example--generic-latex-expression): New variable.
	(imenu-example--create-c++-index): Deleted.
	(imenu-example--function-name-regexp-c++): Deleted.
	(imenu--generic-function): New function.
	(imenu--generic-extract-name): New function.
	(imenu-default-create-index-function): Added the generic
	function calls for the provided examples.

1994-11-30  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compilation-next-error-locus): Parsed column numbers
        are 1-origin.

1994-11-29  Richard Stallman  <rms@bethel>

	* complete.el (PC-do-completion): If complete but not unique,
	the second time in a row, give a list of completions.
	(PC-do-complete-and-exit, PC-do-completion): Use [...] in messages.

1994-11-29  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * cal-x.el: New file.

        * calendar.el: Mention cal-x.el in comments.

1994-11-28  Richard Stallman  <rms@bethel>

	* simple.el (keyboard-escape-quit): Don't make keybinding yet.

	* iso-cvt.el: Handle pilcrow, paragraph and pound signs.
	Use \aa, \AA for a-with-ring.

	* c-mode.el (calculate-c-indent): Handle a top-level decl with multiple
	paren groups.

	* paths.el (gnus-default-nntp-server): Doc fix.

	* gnus.el: Many doc fixes.  Fix progress message formats.
	(gnus-article-prev-digest): Rename arg to n.
	(gnus-summary-next-digest, gnus-summary-prev-digest): Likewise.
	(file-newer-than-file-p): Definition deleted.

1994-11-24  Ake Stenhoff  <etxaksf@aom.ericsson.se>

	* imenu.el (imenu): Widen temporary before scan the file.
	Widen if the user asks to move to an object
	that is outside the current accessible region.

1994-11-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (beginning-of-buffer, end-of-buffer):
	With argument, calculate fraction wrt accessible portion of buffer.

	* replace.el (occur): Put number of matches in the header line.

1994-11-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* double.el (double-mode-name): Variable deleted.
	(minor-mode-alist): Use a constant string to indicate Double mode.

	* info.el (Info-follow-reference): Use regexp-quote.

	* simple.el (keyboard-escape-quit): New command.  On ESC ESC ESC.

	* replace.el (query-replace-map): Define \e and escape as exit-prefix.
	(perform-replace): When exiting and rereading, set
	this-command to mode-exit.

	* map-ynp.el (map-y-or-n-p): Handle exit-prefix as definition of char.

	* loaddefs.el (global-map): Add bindings for C-left and C-right.

1994-11-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el (Calling menu-bar-enable-clipboard):
	Be less selective matching Suns.

	* lpr.el (lpr-page-header-switches): Use -f by default.
	(lpr-headers-switches): Make it a list.

	* simple.el (append-to-buffer): Don't use current buffer as default.

1994-11-22  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* vc.el (vc-checkout-switches): New variable.
	(vc-backend-checkout): Use it.

1994-11-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* gud.el (gud-gdb-marker-filter, gud-irixdbx-marker-filter)
	(gud-perldb-marker-filter, gud-mipsdbx-marker-filter):
	No need for save-match-data.

	* timer.el (timer-process-filter): No need for save-match-data.

	* man.el (Man-bgproc-sentinel): No need for save-match-data.

1994-11-21  Per Bothner  <bothner@kalessin.cygnus.com>

	* term.el (term-termcap-format):  Add cd capability.  Fix ei.
	(term-exec-1): Pass $TERMINFO instead of $TERMCAP if appropriate.
	Pass emacs-version and term-version in $TERM.
	Rewrite to set process-environment.

1994-11-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* compare-w.el (compare-windows): Push mark in both buffers at start.

	* loaddefs.el (global-map): Change home and end bindings to
	beginning/end-of-line.  Put beginning/end-of-buffer on C-home/end.

1994-11-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el (x-option-alist): New variable now holds
	list of short options.  Don't set command-switch-alist.
	(x-long-option-alist): New variable.
	(x-handle-args): Detect long options and convert to short.

	* startup.el (command-line-1): Handle long options
	--funcall, --load, --insert, --kill.
	(command-line): Don't leave argval set if option not really a long one.

	* gomoku.el (gomoku-click): New function.
	(gomoku-mode-map): Put it on Mouse-2.

	* subr.el (start-process-shell-command): Don't use `exec'--
	run the command in a child process.

	* find-dired.el (start-process-shell-command): Function deleted.

	* simple.el (kill-region): Use = to compare positions.

1994-11-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* picture.el (picture-self-insert): Use last-command-event,
	not last-input-char.
	(picture-mode-map): Make the keymap vector 256 chars long.
	Fix typo `newline-andindent'.

	* bytecomp1.el: New file.
	(batch-byte-compile-emacs): New function.

	* sendmail.el (mail-setup): Make fill-column wide for the in-reply-to.

1994-11-18  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* simple.el (kill-region): Set this-command unconditionally.

1994-11-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (face-color-supported-p): New function.
	(face-try-color-list): Use that.

	* timer.el (timer-process-filter): Use save-match-data.

	* files.el (backup-buffer): Use file-ownership-preserved-p.

1994-11-16  Michael Ernst  <mernst@research.microsoft.com>

	* rmailsum.el (rmail-summary-scroll-msg-up): If at end of message,
	advance to the next message.
	(rmail-summary-scroll-msg-down): If at beginning of message,
	advance to the previous message.

1994-11-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* timezone.el (timezone-parse-date): Handle two new formats (6 and 7).

	* subr.el (substitute-key-definition): Don't recursively scan
	where OLDMAP has a submap but KEYMAP does not.

	* dired-aux.el (dired-collect-file-versions): Discard version #s from
	arg; then do nothing if already in dired-file-version-alist.

1994-11-15  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-query-replace): Use query-replace-read-args in
        interactive spec.

1994-11-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* isearch.el (isearch-unread): Always use unread-command-events.
	(isearch-other-meta-char): In the case of a mouse event with a dummy
	prefix, recombine the two into a single event before unreading.
	(isearch-gnu-emacs-events): Variable deleted.
	(isearch-update): Always test unread-command-events.
	(isearch-event-data-type): Variable deleted.
	(isearch-pre-command-hook-exists): Variable deleted.
	(isearch-last-command-char): Only use last-command-char.
	(isearch-other-meta-char): Delete debugging code.
	(isearch-mode): Use baud-rate as variable.
	(isearch-char-to-string): Simplify--assume character is an integer.

1994-11-15  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* calendar.el (calendar-mode-map): Undefine kill-region and
	copy-region-as-kill.

	* cal-menu.el (calendar-mode-map): Get rid of edit menu.

1994-11-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-save-then-kill): Call mouse-show-mark
	when we adjust an existing region.

	* lucid.el (set-keymap-parent): Fix bug in case of empty keymap.
	(switch-to-other-buffer): Fix one-off error.

1994-11-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* thingatpt.el (line): Add a beginning-op function.

1994-11-14  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-table-including): Don't gratuitously cons (what
	was I thinking?).  Properly skip t elements of
	tags-table-computed-list.

1994-11-14  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* scheme.el (scheme-mode-variables): Set
	parse-sexp-ignore-comments to t.

1994-11-14  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-defaults-alist): Defaults for scheme-mode.

1994-11-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailout.el (rmail-fields-not-to-output): New variable.
	(rmail-delete-unwanted-fields): New function.
	(rmail-output, rmail-output-to-rmail-file): Call it.

	* replace.el (query-replace-map): Bind Y and N like y and n.

	* loadup.el: For windows-nt, load mouse.

	* lpr.el (lpr-headers-switches): Base default on lpr-command value.

1994-11-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* comint.el (comint-exec-1): Terminate TERMCAP with colon.

	* texinfmt.el (texinfo-format-node): Insert the node delimiter
	that info is looking for unconditionally.

1994-11-10  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* compile.el (compile): With prefix arg, prompt even if (not
        compilation-read-command).
	(compilation-error-regexp-alist): Make first regexp match column
	numbers too.  Remove regexp for "prog:file:line: error".  Replace
	GNAT 1.82 regexp with "prog: file:line\(:col\)?: error".
	(compilation-parse-errors): If spec has a column subexpr, but it
	was optional and didn't match, ignore it.

1994-11-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* add-log.el (find-change-log): If change-log-default-name
	has no dir component, search through parent dirs for it.

1994-11-09  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-version): Var deleted.

	* rect.el (string-rectangle): Don't set point.

	* simple.el (copy-region-as-kill): Don't set this-command.

1994-11-09  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* vc-hooks.el: Only define items in vc-menu-map if it is boundp.

1994-11-09  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* compile.el (compilation-error-regexp-alist):
	Add an element for Irix 5.2 warnings.

1994-11-09  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-berkeley-sed-script, Man-sysv-sed-script,
	Man-cleanup-manpage, Man-fontify-manpage): Handle the "+\bo" form
	(used by aix) in addition to the "o\b+" one (used by sun).

1994-11-09  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* vi.el (vi-kill-region): Pass args to kill-region.
	(vi-mark-region): Don't pass unexpected args.

	* apropos.el (apropos-print-matches): Set help-mode in *Help* buffer.
	* calendar.el (describe-calendar-mode): Likewise.
	* case-table.el (describe-buffer-case-table): Likewise.
	* debug.el (debugger-list-functions): Likewise.
	* disp-table.el (describe-display-table): Likewise.
	* emerge.el (emerge-file-names): Likewise.
	[commented out] (describe-mode): Likewise.
	* help-macro.el (make-help-screen): Likewise.
	* help.el (describe-key, describe-mode, view-lossage): Likewise.
	(describe-function, describe-variable): Likewise.
	* helper.el (Helper-describe-mode): Likewise.
	* info.el (Info-summary): Likewise.
	* macros.el (kbd-macro-query): Likewise.
	* map-ynp.el (map-y-or-n-p): Likewise.
	* novice.el (disabled-command-hook): Likewise.
	* refbib.el (r2b-help): Likewise.
	* replace.el (perform-replace): Likewise.
	* simple.el (set-variable): Likewise.
	* supercite.el (sc-set-variable): Likewise.
	* upd-copyr.el (update-copyright): Likewise.
	* userlock.el (ask-user-about-lock-help): Likewise.
	(ask-user-about-supersession-help): Likewise.
	* vi.el (vi-switch-mode, vi-ex-cmd): Likewise.
	* yow.el (yow): Likewise.

1994-11-08  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* calendar.el (diary-entry-marker, calendar-today-marker,
	calendar-holiday-marker): Don't supersede attributes for faces
	`diary-face', `calendar-display-face', or `holiday-face' if they
	are already defined.

1994-11-08  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* help.el (help-mode): New function.
	(help-mode-map): Local keymap for help-mode.  Empty for now.
	(print-help-return-message): Fix misspelled var.

1994-11-07  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * solar.el (solar-sunrise-sunset): Check for nil time before
	trying to adjust it for dst.

1994-11-07  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-reuse-okay-flag): Deleted.
	(man, Man-getpage-in-background): Second arg deleted.
	References to Man-reuse-okay-flag deleted.
	(Man-follow-manual-reference): First arg deleted.  Call
	Man-getpage-in-background with one argument only.

1994-11-04  Ethan Bradford  <ethanb@u.washington.edu>

	* gnus.el (gnus-configure-windows): Make split-window-keep-point
	locally t so that focus doesn't occasionally move to the wrong
	window on split-window-vertically.

1994-11-03  Geoff Voelker  <voelker@cs.washington.edu>

	* subr.el (start-process-shell-command): Don't use exec on windows-nt.

1994-11-03  Ralf Fassel  <ralf@prl.philips.nl>

	* tar-mode.el (tar-extract): Set default-directory to that of the
	superior buffer, not the pseudo-dir formed from the archive name.

1994-11-03  Rick Sladkey  <jrs@world.std.com>

	* gud.el (gud-gdb-complete-command): Add a trailing single
	quote to partially quoted unique completions.

1994-11-03  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el (font-lock-fontify-region): Wrap string-match with
	save-match-data.

1994-11-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* comint.el (comint-exec-1): Make sure default-directory is a real dir.

	* bytecomp.el (byte-compile-insert-header): Escape backslashes
	in FILENAME when putting it inside a string constant.

1994-10-31  voelker  <voelker@cs.washington.edu>

	* makefile.nt: New file.

	* winnt.el: New file.

	* bytecomp.el (byte-compile-file): Treat windows-nt like ms-dos.

	* hexl.el (hexl-find-file): Treat windows-nt like ms-dos.

	* simple.el (shell-command-switch): New variable.
	(shell-command, shell-command-on-region): Use new variable.

	* info.el (Info-directory-list): Treat windows-nt like ms-dos.

	* startup.el (command-line): Use ~/_emacs as init file in windows-nt.

	* loadup.el: On windows-nt, load ls-lisp and winnt.
	Treat windows-nt like ms-dos for DOC file name.

	* loaddefs.el (completion-ignored-extensions):
	Treat windows-nt like ms-dos.

	* files.el (abbreviate-file-name):
	Handle drive letters on windows-nt as on ms-dos.

	* desktop.el (desktop-basefilename): Use emacs.dsk on windows-nt.

	* bookmark.el (bookmark-file): Use ~/emacs.bmk on windows-nt.

	* add-log.el (change-log-name): Use changlo on windows-nt.

1994-10-31  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* bytecomp.el (byte-compile-file): Check for windows-nt like ms-dos.

1994-10-31  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* diary-lib.el (view-diary-entries): Fix error message.
	(view-other-diary-entries): New function.

	* calendar.el (calendar-mode-map): Bind it to key.

	* cal-menu.el (calendar-mouse-view-other-diary-entries): New function.
	(calendar-mode-map): Put them on mouse.

1994-10-31  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* comint.el (comint-read-noecho): Use `read-char-exclusive'
	instead of `read-char'.

1994-10-30  Erik Naggum  <erik@naggum.no>

	* simple.el (blink-matching-delay): New variable.

	* isearch.el (isearch-edit-string, isearch-toggle-case-fold):
	Pass isearch-nonincremental to isearch-message-prefix.

	* cl.el (cl-macroexpand): Copy documentation from `macroexpand'.

	* timezone.el (timezone-world-timezones): Add "UT" -> +000.

1994-10-30  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

        * calendar.el (calendar-mode): Delete to window configuration var.

1994-10-30  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* texinfmt.el (texinfo-format-scan): Make @- vanish; don't insert -.
	(texinfo-format-soft-hyphen): New function.
	(texinfo-alias-list): New variable.
	(texinfo-format-region, texinfo-format-buffer-1):
	Clear texinfo-alias-list.
	(texinfo-format-scan): Implement @alias expansion.

	* loadup.el: Load facemenu if have X.
	After dumping, print number of pure bytes used.

	* mouse.el: Put mouse-set-font on C-down-mouse-1.
	Don't bind C-down-mouse-2.
	* facemenu.el: Doc fixes.
	(facemenu-update): Use C-down-mouse-2 for the menu.

	* simple.el (line-move): Use sign of arg to choose error condition.

1994-10-29  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* calendar.el (calendar, calendar-other-month): Fix use of
        calendar-read-date.
	(calendar-read-date): Fix noday option.

	* lunar.el (phases-of-moon): Fix use of calendar-read-date.

1994-10-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (blink-matching-open): Do blink if an even number of
	quoting characters precede the close.

1994-10-29  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* gud.el (gud-common-init): If file arg has no directory,
	let the debugger search PATH, and don't set default-directory.

1994-10-28  Tom Tromey  <tromey@drip.colorado.edu>

	* makefile.el: Changed almost every doc string.
	(makefile-macroassign-regex): Don't include space and tab in macro
	names.

	* makefile.el (makefile-backslash-column): New variable.
	(makefile-backslash-region): New function.
	(makefile-backslashify-current-line): New function.
	(makefile-mode-map): Bind C-c C-\ to makefile-backslash-region.

	* makefile.el (makefile-tab-face): New variable.
	(makefile-font-lock-keywords): Use makefile-tab-face.
	(makefile-font-lock-keywords): Use defvar, not defconst.

1994-10-28  Ulrich Mueller  <ulm@vsnhd1.cern.ch>

	* iso-acc.el (iso-accents-mode): Variable renamed from
	iso-accents-minor-mode.

1994-10-28  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* cal-menu.el (calendar-mode-map):
	Define c-down-mouse-3 like down-mouse-3.

1994-10-28  Per Abrahamsen  <abraham@iesd.auc.dk>

	* easymenu.el (easy-menu-define): Call `easy-menu-do-define' to do
	the real work.  Document XEmacs keyword arguments.
	(easy-menu-do-define): New function.
	(easy-menu-create-keymaps): Support XEmacs keyword arguments in
	menu definition.

1994-10-27  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* files.el (find-file-noselect): Call set-buffer-major-mode here.

1994-10-27  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-fontify-manpage-flag): defvar put at outer level.
	(manual-program, Man-untabify-command, Man-untabify-command-args,
	Man-sed-command, Man-awk-command, Man-mode-line-format,
	Man-mode-map, Man-mode-hook, Man-cooked-hook, Man-name-regexp,
	Man-section-regexp, Man-page-header-regexp, Man-heading-regexp,
	Man-see-also-regexp, Man-first-heading-regexp,
	Man-reference-regexp, Man-switches, Man-specified-section-option):
	Make them normal defvars, no more user options.
	(Man-overstrike-face, Man-undeline-face): New user options.
	(Man-init-defvars): Man-fontify-manpage-flag removed from here.
	(man-fontify-manpage): Use the new user options above.

1994-10-27  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* tar-mode.el (tar-summarize-buffer): Improperly terminated
	archive now produces only a warning.

1994-10-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* flow-ctrl.el (enable-flow-control): Make message depend on
	customization variables.

1994-10-26  Michael Ernst  <mernst@research.microsoft.com>

	* ispell.el (ispell-message-text-end): Match Postcript 3 like 2.

1994-10-26  Ed Reingold  <reingold@albert.gnu.ai.mit.edu>

	* cal-menu.el (calendar-mouse-insert-diary-entry): New function.
	(calendar-mouse-2-date-menu): Put it on menu.

	* diary-lib.el (diary-entry-time): Fix regexps to include TAB.
	(diary-ordinal-suffix): Fix indentation of code.

	* calendar.el (calendar-offset, lunar-phases-buffer): New vars.
	Change defmacros to defsubst for readability, where possible.
	(calendar-read-date): Rewritten with optional parameter.
	(calendar): Delete mention of window configuration; use new form
	of calendar-read-date and calendar-offset.
	(describe-calendar-mode): Rewritten to link to info.
	(calendar-mode-line-format): Refer to info, not help.
	(calendar-mode): Just give keymap.
	(calendar-goto-info-node, calendar-window-list,
	calendar-buffer-list, calendar-hide-window): New functions.
	(calendar-mode-map): Put calendar-goto-info-node on key.
	(exit-calendar, calendar-current-date): Rewritten.
	(calendar-cursor-to-date): Fix doc string.
	(calendar-other-month): Use new form of calendar-read-date.

	* holidays.el (check-calendar-holidays): Use new form of
	calendar-read-date.

	* lunar.el (calendar-phases-of-moon): Use new var lunar-phases-buffer.
	(phases-of-moon): Use new form of calendar-read-date.

	* solar.el: Fix doc at start of file and error message when
	floating point is not available.
	(calendar-latitude, calendar-longitude, calendar-location): Include
	vector form; suggest setting values in site-local.el.
	(solar-sin-degrees, solar-cosine-degrees): Change to macros.
	(solar-degrees-to-hours, solar-hours-to-days):  Change to defsubst.
	(solar-sunrise, solar-sunset): Allow use of vector forms of
	latitude/longitude.
	(calendar-latitude, calendar-longitude): New macros to allow use
	of vector forms.

1994-10-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired-x.el (dired-find-subdir): Doc fix.

1994-10-25  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* tar-mode.el (tar-summarize-buffer): Check for end of buffer
	before extracting substring.

1994-10-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* diff.el (diff-command): New variable.
	(diff): Use it.

	* frame.el (frame-initialize): Set special-display-function here,
	not at top level.

	* gud.el (gud-irixdbx-marker-filter): Cast $curline to int.

1994-10-25  Boris Goldowsky  <boris@cs.rochester.edu>

	* enriched.el (enriched-mode): Add autoload cookie.
	(enriched-decode-foreground, enriched-decode-background): Create
	faces even if no window system, to prevent multiple warnings.

1994-10-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ispell.el (ispell-grep-command, ispell-look-command):
	Don't specify directory.

	* files.el (buffer-file-truename): Doc fix.

1994-10-24  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* term/x-win.el: Make previous change conditional.

1994-10-24  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-init-defvars): Do not delete empty lines.

1994-10-24  Boris Goldowsky  <boris@mole.gnu.ai.mit.edu>

	* enriched.el: New file.

1994-10-24  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-cleanup-manpage): do all the work if called
	interactively.

1994-10-23  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* dired.el (dired-mode-map): Add query-replace and search items to
        operate menu.

1994-10-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (latex-mode): Recognize \item etc. that have no arg
	because only a comment follows.

	* fill.el (fill-individual-paragraphs): Avoid infinite loop
	if mailp is set and no message was yanked.

	* term/x-win.el: Say error in x-open-connection should be fatal.

	* menu-bar.el (menu-bar-file-menu): Add item `Make Frame On Display'.

	* menu-bar.el (menu-bar-update-buffers-maxbuf): Declare variable.
	(menu-bar-update-buffers-1, menu-bar-update-buffers):
	Rename local var maxbuf to menu-bar-update-buffers-maxbuf.

	* frame.el (make-frame-on-display): New function.

	* faces.el (set-face-background): Set either stipple or color,
	never both.  Do this only for a specific frame, not for t.

	* sendmail.el (mail-setup): Fill in-reply-to field properly.

1994-10-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (set-face-background): If color is gray, and frame
	can't display that directly, use corresponding stipple.
	(face-try-color-list): Assume gray colors are valid on any display.

1994-10-22  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* dired-aux.el (dired-do-tags-search,
        dired-do-tags-query-replace): New functions.
	* dired.el (dired-mode-map): Bind A to dired-do-tags-search, Q to
	dired-do-tags-query-replace.

1994-10-22  Ethan Bradford  <ethanb@u.washington.edu>

	* ange-ftp.el (ange-ftp-process-handle-line): Check for a
	multi-line message before an error message.  Fixes problem of
	thinking there is an error in narrative text.

1994-10-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sendmail.el (sendmail-synch-aliases): Check MAILRC envvar.
	(mail-aliases, mail-archive-file-name): Doc fixes.

	* mailalias.el (define-mail-alias): Check MAILRC envvar.

	* view.el (view-file): Do record the buffer switch.

	* help.el (describe-function): Mention the file it was loaded from.
	(describe-function-find-file): New function.
	(describe-function): Use that.

	* gud.el (dbx): Delete call to gud-switch-to-buffer.
	(gud-sdb-marker-filter): Handle SVR4 clumped lines.

	* emerge.el (emerge-auto-advance): Fix criterion for which message.

1994-10-20  Noah Friedman  <friedman@splode.com>

        * timer.el (timer-error, timer-abnormal-termination,
        timer-filter-error): New error conditions.
        (timer-process-filter, timer-process-sentinel): Signal an error,
        don't just print a message.

1994-10-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-get-new-mail): If display-time is in use,
	call display-time-filter to update the Mail indicator.

	* startup.el (command-line): Set x-cut-buffer-max here.
	* term/x-win.el: Not here.

1994-10-20  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (next-file): Initialize next-file-list all at once from
	all tables.  Never call visit-tags-table-buffer when INITIALIZE is
	not t.

1994-10-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ange-ftp.el (ange-ftp-get-passwd): Use user-mail-address.
	(ange-ftp-generate-anonymous-password): Doc fix.

1994-10-20  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* simple.el (edit-and-eval-command): Elements of command-history
	are forms, not strings.

	* chistory.el (repeat-matching-complex-command): Fix check for
	empty pattern.  Simplify.
	(default-command-history-filter-garbage): Fix doc string.
	(list-command-history-filter, list-command-history-max): Likewise.

1994-10-19  Noah Friedman  <friedman@splode.com>

        * timer.el (timer-program): Make defvar, not defconst.
        Expand name of timer program in exec-directory here.
        (run-at-time): Not here.

1994-10-19  Boris Goldowsky  <boris@cs.rochester.edu>

	* facemenu.el (facemenu-face-menu, facemenu-foreground-menu,
	facemenu-background-menu, facemenu-special-menu): New or renamed
	variables for submenus.
	* facemenu.el (facemenu-color-alist): Renamed from facemenu-colors.
	* facemenu.el (facemenu-add-new-face): New function.
	* facemenu.el (facemenu-update): Don't redo top-level menu;
	nothing should change.  Move menu setup to defvars.  Use
	facemenu-add-new-face. Changed global binding to C-down-mouse-3.
	* facemenu.el (facemenu-menu): "Update" item removed; should
	no longer be needed interactively.
	* facemenu.el (facemenu-complete-face-list): Just return faces,
	not keybindings.

1994-10-17  Boris Goldowsky  <boris@cs.rochester.edu>

	* faces.el (make-face): Add new face to Face menu on creation.

	* facemenu.el (facemenu-get-face): Don't add to menu here.

1994-10-14  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-init-defvars): Corrections to Man-filter-list.
	(Man-fontify-manpage): Added cleaning of ksh manpage daggers.
	(Man-fontify-manpage): Added cleaning of ksh manpage daggers.
	(Man-bgproc-sentinel): Unconditionally call Man-cleanup-manpage.

1994-10-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term.el (term-exec-1): Put `sane' last in stty cmd.
	Redirect stderr to /dev/null.

	* files.el (auto-mode-alist): Doc fix.

	* font-lock.el (font-lock-after-change-function): If inside a comment,
	don't scan for keywords.

	* cmuscheme.el (run-scheme): Add autoload cookie.
	(scheme): Function deleted.

	* xscheme.el (run-scheme): Delete autoload cookie.

	* easymenu.el (easy-menu-create-keymaps): Add autoload cookie.

1994-10-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* nntp.el (nntp-open-server): Send MODE READER command to server.

	* time.el (display-time-filter): Ignore mail-spool-file if not string.

1994-10-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info.el (info-insert-file-contents): Always check for
	conflict with jka-compr.
	(Info-find-node): Don't search on Info-directory-list if the
	file name is absolute.

	* etags.el (etags-tags-table-files, etags-tags-included-tables):
	Search backwards for the comma in case the file name contains one.

1994-10-17  Fred Pierresteguy  <F.Pierresteguy@frcl.bull.fr>

        * paths.el (rmail-spool-directory): Add a condition to test
	the Bull DPX/2.

1994-10-17  Morten Welinder  <terra@mole.gnu.ai.mit.edu>

	* dos-fns.el (window-frame, raise-frame, select-frame): Clean stubs.
	* faces.el (face-initialize): Fill in the faces for non-X frames also.
	* info.el (Info-mode): Also use fonts for `pc' window system.
	* loadup.el ((eq system-type 'ms-dos)): Rearrange what to load.
	((eq system-type 'ms-dos)): Under X, let the documentation be
	stored in DOC-X.
	* mouse.el (mouse-set-region) [MSDOS]: Give pc-frames the same
	treatment as X-frames.
	* term/pc-win.el: New file.

1994-10-16  Morten Welinder  <terra@mole.gnu.ai.mit.edu>

	* emerge.el (emerge-temp-file-prefix): Try TEMP and TMP as
	alternatives for TMPDIR.

1994-10-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (set-face-stipple): New function.
	(set-face-background-pixmap): An alias for that.
	(face-stipple): New function.
	(face-background-pixmap): An alias for that.
	(copy-face, face-equal, face-differs-from-default-p)
	(make-face-x-resource-internal): Handle stipple bitmaps.

	* simple.el (count-lines): Do save-match-data only when necessary.

	* loadup.el: Delete code to write subdirs.el.

1994-10-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-delete-forward): Don't move fwd to eob.

	* gnus.el (gnus-group-group-name): Get rid of text properties.

	* cmuscheme.el (run-scheme): Set scheme-program-name.

1994-10-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sendmail.el (mail-setup): Fill the in-reply-to field.

	* subr.el (add-to-list): Doc fix.

	* rnewspost.el (news-reply-mode-map): Add C-c C-t binding.

	* delsel.el (self-insert-iso): Add delete-selection property.

	* font-lock.el (font-lock-fontify-region): Discard leading spaces
	from comment-end.

	* sendmail.el (mail-do-fcc): If file does not exist,
	assume it is not a Babyl file.

1994-10-13  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-reset-tags-tables): New function.

1994-10-13  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* lmenu.el (make-lucid-menu-keymap): Allow Lucid-style keyword-based
	menu items.
	(popup-menu): Update documentation string to describe the new syntax.

1994-10-13  Morten Welinder  <terra@diku.dk>

	* desktop.el (desktop-internal-v2s): Remove all text properties
	from strings.

1994-10-13  Fred Pierresteguy  <F.Pierresteguy@frcl.bull.fr>

	* hilit19.el (hilit-set-mode-patterns - lisp-mode): Fix regexp
	for 'defconstant' that leads to an infinite loop.
	Hilight the 'list' keyword.

1994-10-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sendmail.el (mail-file-babyl-p): New function.
	(mail-do-fcc): If file is a Babyl file, write output in Babyl format.

	* loadup.el (Evaluating top-level): Don't load loadup.el again.

1994-10-13  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* font-lock.el: Use purify-flag rather than noninteractive.

1994-10-13  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* loadup.el: Move the subdirs.el up to near first thing.

	* compile.el (compilation-filter): Do nothing if buffer is dead.

	* gud.el (gud-filter): Don't bind inhibit-quit.
	Do nothing if buffer is dead.

	* texinfmt.el (texinfo-no-refill-regexp): Recognize @ifhtml, @html.
	(texinfo-format-ifhtml, texinfo-format-html): New functions.
	(texinfo-format-enddots): New function.

1994-10-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (shell-command, shell-command-on-region):
	Rename arg FLAG to OUTPUT-BUFFER and allow it to be a buffer.

	* ada.el (ada-mode):
	Rename end-comment-column to ada-comment-end-column.
	(ada-inline-comment): Likewise.
	(ada-comment-end-column): Declare variable.

	* appt.el (appt-select-lowest-window): Locally bind lowest-window.
	(appt-delete): Don't set tmp-appt-msg-list.

	* add-log.el (change-log-mode-map): Move the definition up.

	* menu-bar.el (menu-bar-update-buffers-1): New subroutine
	broken out of menu-bar-update-buffers.
	Truncate the file name and discard the nondirectory part.
	(menu-bar-update-buffers): Discard middle of long buffer names.

	* subr.el (add-to-list): New function.

1994-10-12  Boris Goldowsky  <boris@cs.rochester.edu>

	* facemenu.el (facemenu-read-color, facemenu-colors): New fn, var.
	(facemenu-set-face, facemenu-set-face-from-menu,
	facemenu-after-change):	Face property can take a list value; add
	to it rather than completely replacing the property.
	(facemenu-add-face, facemenu-discard-redundant-faces): New functions.

	* facemenu.el (facemenu-set-foreground, facemenu-set-background)
	(facemenu-get-face, facemenu-foreground, facemenu-background): New
	functions and variables.  Faces with names of the form fg:color
	and bg:color are now treated specially.
	(facemenu-update): Updated for above.

1994-10-12  Jonathan I. Kamens  (jik@gza-client1.cam.ov.com)

	* jka-compr.el (jka-compr-mode-compression-info-list): Add .tgz
	extension.
	(jka-compr-mode-alist-additions): New variable.
	(jka-compr-install): Append jka...additions to auto-mode-alist.
	(jka-compr-uninstall): Remove jka-...-additions from auto-mode-alist.

1994-10-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-previous-all)
	(rmail-summary-next-all): Don't move forward to the end of the buffer.

1994-10-12  Simon Marshall  <simon@duality.gnu.ai.mit.edu>

	* ada.el (ada-mode-syntax-table): Made `-' and `\n' be comments.
	(ada-font-lock-keywords-1, ada-font-lock-keywords-2,
	ada-font-lock-keywords): New variables.
	(ada-mode): Set font-lock-defaults.

	* add-log.el (change-log-mode): Set font-lock-defaults.

	* asm-mode.el (asm-mode): Set font-lock-defaults.

	* compile.el (compilation-mode): Set font-lock-defaults.

	* dired.el (dired-mode): Set font-lock-defaults.

	* fortran.el (fortran-mode-syntax-table): Made `!' be a comment.
	(fortran-font-lock-keywords-1, fortran-font-lock-keywords-2,
	fortran-font-lock-keywords): New variables.
	(fortran-mode): Set font-lock-defaults.

	* makefile.el (makefile-mode-syntax-table): Made `'' and ``' be
	strings, and `#' be a comment.
	(makefile-font-lock-keywords): Add variable reference regexp.
	(makefile-mode): Set font-lock-defaults.

	* outline.el (outline-mode): Set font-lock-defaults.

	* pascal.el  (pascal-mode): Set font-lock-defaults.

	* perl-mode.el (perl-mode): Set font-lock-defaults.

	* rmail.el (rmail-variables): Set font-lock-defaults.

	* rmailsum.el (rmail-summary-mode): Set font-lock-defaults.

	* sendmail.el (mail-mode): Set font-lock-defaults.

	* sh-script.el (sh-set-shell): Set font-lock-defaults.

	* shell.el (shell-font-lock-keywords): Add `\n' to [^] regexps.
	(shell-mode): Set font-lock-defaults.

	* texinfo.el (texinfo-mode): Set font-lock-defaults.

	* font-lock.el: To make font-lock.el dumpable.
	(font-lock-display-type, font-lock-background-mode)
	(font-lock-face-attributes): Default to nil.
	(font-lock-make-faces): New function.  Set them.
	(font-lock.el): Add to after-init-hook if noninteractive or use it.
	(font-lock-maximum-size): New variable.
	(font-lock-mode): Use it to fontify only if buffer is within it.
	(font-lock-defaults, font-lock-defaults-alist): Item for syntax table.
	(font-lock-set-defaults): Set font-lock-syntax-table too.
	(lisp-font-lock-keywords-2): Fix CLisp end-of-keyword in regexp.
	(c-font-lock-keywords-*): Specific to ANSI C.
	(c++-font-lock-keywords-*): Specific to ANSI C++.

1994-10-12  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-major-mode-menu): Use minor-mode-map-alist
	instead of overriding-local-map.  Display equiv keys using
	mouse-major-mode-menu-compute-equiv-keys.
	(mouse-major-mode-menu-compute-equiv-keys): New function.

	* sendmail.el (mail-alias-modtime): Doc fix.

	* appt.el (appt-delete-window): Avoid error if WINDOW is nil.

	* c-mode.el (c-mode-map): Capitalize Mode in C Mode menu bar item.

1994-10-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* hilit19.el (calendar-mode): Delete the regexps for diary, hollidays.

	* tex-mode.el (compare-windows-whitespace): Eliminate initial value.

	* rmail.el (rmail-find-all-files): Fix several errors and make faster.
	Always return a single-level list of file names.
	(rmail-construct-io-menu): If FILES is null, turn off the menus.
	(rmail-disable-menu): A phony "command", always disabled in menus.
	(rmail-list-to-menu): Reverse the list L.

1994-10-11  Tom Tromey  <tromey@drip.colorado.edu>

	* makefile.el (makefile-mode-name): Removed.
	(makefile-mode): Skip any number of "#"s at beginning of comments.
	(makefile-electric-keys): New variable.
	(makefile-electric-dot): Self insert if not at bol.
	(makefile-electric-equal): Really self-insert if not at bol.
	(makefile-pickup-everything): Prefix arg means force pickups to be
	redone.
	(makefile-insert-macro-ref): Don't use format.
	(makefile-runtime-macros-list): Added "$" to list.
	(makefile-insert-special-target): Don't use format.
	(makefile-insert-macro): Don't use format.
	(makefile-insert-target): Don't use format.
	(makefile-insert-target-ref): Don't use format.
	(makefile-electric-colon): Really self-insert if not at bol.
	(makefile-complete): New function.  Bound to M-TAB.
	(makefile-do-macro-insertion): New function.
	(makefile-mode-map): Add menu bar bindings.
	(makefile-font-lock-keywords): New constant.
	(makefile-mode): Deal with font-lock, add-log, imenu.
	(makefile-macroassign-regex): Changed for use with font-lock.
	(makefile-dependency-regex): Changed for use with font-lock.
	(makefile-add-log-defun): New function.
	(makefile-menu-index-function): New function.

1994-10-11  Fred Pierresteguy  <F.Pierresteguy@frcl.bull.fr>

	* rmailsum.el (rmail-summary-resend): New function.
	(rmail-summary-mode-map - resend): Call rmail-summary-resend
	instead of rmail-resend.

1994-10-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* startup.el (normal-top-level-add-to-load-path): New function.
	(normal-top-level): Load subdirs.el in each dir in load-path.

	* loadup.el: Write the subdirs.el file.

	* simple.el (blink-matching-open): Check there is a previous
	nonblank line before trying to display it.
	No need for backward-char before the skip-chars-backward.

	* rmail.el (rmail-show-message): New argument no-summary.

	* rmailsum.el (rmail-summary-rmail-update):
	Pass new arg to rmail-show-message.

1994-10-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* iso-transl.el (initializing keymaps):
	Define translations for mute-acute and the other mute- keys.

	* term/x-win.el (system-key-alist): Add sun versions of
	mute-grave, mute-diaeresis, mute-asciicircum.

	* c-mode.el (c-mode-map): Use "C mode" for the menu bar item name.

	* mouse-sel.el (mouse-select): Pass an arg to mouse-extend.

	* mail-hist.el (mail-hist-put-headers-into-history)
	(mail-hist-current-header-contents, mail-hist-forward-header)
	(mail-hist-current-header-name):
	Use regexp-quote on mail-header-separator.

	* lisp-mode.el (calculate-lisp-indent): Local var
	last-sexp renamed to calculate-lisp-indent-last-sexp.
	(lisp-indent-function): Use new name of var.
	(calculate-lisp-indent-last-sexp): Var defined.

	* menu-bar.el (menu-bar-file-menu): Don't include the frame
	commands in a non-frame version of Emacs.

	* font-lock.el (font-lock-set-defaults):
	Do nothing if font-lock-keywords already non-nil.
	Use font-lock-defaults.
	(font-lock-defaults): New variable.

1994-10-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* appt.el (appt-delete-window): Do nothing if the window
	is the only one in its frame.

	* calendar.el (calendar-holiday-marker):
	Copy holiday-face from highlight face.

	* ispell.el (ispell-highlight-spelling-error):
	Have just one definition, which decides what to do.
	(ispell-command-loop): New args START and END.  Do highlighting
	and unhighlighting here.
	(ispell-word, ispell-region, ispell-complete-word): Not here.
	(ispell-highlight-spelling-error-generic): Bind buffer-undo-list to t.

	* lisp-mode.el (emacs-lisp-mode-syntax-table):
	Don't set syntax of formfeed.

	* bytecomp.el (byte-compile-insert-header): Use user-mail-address.

1994-10-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* add-log.el (add-log-current-defun): In texinfo-mode,
	handle the case of no commas after @node.

	* tex-mode.el (tex-region): Don't delete temp files if we do
	one buffer twice in a row.

	* rmail.el (rmail-delete-forward): Use rmail-select-summary.

1994-10-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-major-mode-menu): New function, on C-mouse-3.
	(mouse-major-mode-menu-1): New function
	(mouse-set-font): Move it to C-mouse-2.

	* font-lock.el (font-lock-defaults-alist): Delete most modes--all
	those that now set font-lock-keywords themselves.
	Re-delete code deleted in rms's Oct 5 change.

	* pascal.el (pascal-mode): Set font-lock-keywords locally.

	* perl-mode.el (perl-mode): Set font-lock-keywords locally.

	* asm-mode.el (asm-mode): Set font-lock-keywords locally.

	* texinfo.el (texinfo-mode): Set font-lock-keywords locally.

	* shell.el (shell-mode): Set font-lock-keywords locally.

	* dired.el (dired-mode): Set font-lock-keywords locally.

	* sendmail.el (mail-mode): Set font-lock-keywords locally.

	* rmail.el (rmail-variables): Set font-lock-keywords locally.

	* rmailsum.el (rmail-summary-mode): Set font-lock-keywords locally.

	* outline.el (outline-mode): Set font-lock-keywords locally.

	* add-log.el (change-log-mode): Set font-lock-keywords locally.

	* compile.el (compilation-mode): Use kill-all-local-variables.
	Set font-lock-keywords locally.

1994-10-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* menu-bar.el (query-replace): Add missing quote.

1994-10-06  Noah Friedman  <friedman@splode.com>

        * type-break.el: Do not call type-break-mode upon loading.
        (type-break-time-sum): New function.
        (type-break-schedule): Use it.  Make function interactive.
        (type-break-guestimate-keystroke-threshold): Use `N' interactive
        spec, not `n'.
        (type-break-demo-boring): Show elapsed time of break, or number of
        minutes left for good break.

1994-10-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* appt.el (appt-delete-window): Look on all frames for the window.
	(appt-disp-window): If frame is unsplittable, use display-buffer.

1994-10-05  Simon Marshall  <Simon.Marshall@mail.esrin.esa.it>

	* comint.el (comint-check-proc): Recognise `open'.
	(comint-exec): Use open-network-stream if command is a cons pair.

	* font-lock.el (compilation-mode-font-lock-keywords,
	rmail-summary-font-lock-keywords, dired-font-lock-keywords,
	shell-font-lock-keywords, texi-font-lock-keywords,
	perl-font-lock-keywords): Deleted.

	* sh-script.el (sh-font-lock-keywords): Default to nil.

	* compile.el (compilation-mode-font-lock-keywords): New variable.

	* add-log.el (change-log-font-lock-keywords): New variable.

	* outline.el (outline-font-lock-keywords): New variable.

	* rmailsum.el (rmail-summary-font-lock-keywords): New variable.

	* rmail.el (rmail-font-lock-keywords): New variable.

	* sendmail.el (mail-font-lock-keywords): New variable.

	* dired.el (dired-font-lock-keywords): New variable.

	* shell.el (shell-font-lock-keywords): New variable.

	* texinfo.el (texinfo-font-lock-keywords): New variable.

	* asm-mode.el (asm-font-lock-keywords): New variable.

	* perl-mode.el (perl-font-lock-keywords): New variable.

	* pascal.el (pascal-font-lock-keywords):  New variable.
	(pascal-mode): Set comment-start-skip and comment-end.

	* font-lock.el: (font-lock-mode): Doc fix; use add/remove-hook, not
	setq; removed make-local-variable of font-lock-no-comments.
	(font-lock-set-defaults): Do it there, and use:
	(font-lock-defaults-alist): Use it to set font-lock-keywords,
	font-lock-keywords-case-fold-search and font-lock-no-comments.
	(turn-on-font-lock): New function.
	(font-lock-fontify-buffer): Made interruptible; deleted messages.

	* font-lock.el: (font-lock-fontify-region): Made syntax state reliable
	by widening within new restriction; let cstart and cend for speed;
	outputs message.
	(font-lock-after-change-function): Remove spurious goto-char and use
	forward-line, not 1+ end-of-line, for end of fontification region.
	(font-lock-any-properties-p): Removed, use text-property-not-all.

	* font-lock.el (font-lock-*-face): facename values are themselves.
	(font-lock-variable-name-face, font-lock-reference-face): New vars.
	(font-lock-doc-string-face): Removed.
	(font-lock-keywords): Extended value syntax.
	(font-lock-hack-keywords): Cope with it; outputs initial message.

	* font-lock.el: Merged in face-lock.el:
	(font-lock-display-type, font-lock-background-mode)
	(font-lock-face-attributes): New variables, use it.
	(font-lock-make-face): New function, use them.

1994-10-05  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-notify, Man-current-page, Man-page-list,
	Man-filter-list, Man-original-frame, Man-arguments,
	Man-fontify-manpage-flag, Man-sections-alist, Man-refpages-alist,
	Man-uses-untabify-flag, Man-page-mode-string, Man-sed-script):
	Added defvar's to keep the compiler quiet.
	(Man-getpage-in-background): Start buffer name with "*Man ".
	instead of "*man " to avoid conflict with "*mail*".
	(Man-match-substring): Defsubst moved before first call.
	(Man-build-page-list, Man-strip-page-headers, Man-unindent): Use
	defun instead of defsubst, for code clarity purpose.

1994-10-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* font-lock.el: Delete the error when no window system.

	* gnuspost.el (sendnews, postnews): Use defalias.

	* startup.el (command-line): Load disp-table explicitly.

	* add-log.el (add-log-current-defun): Handle Perl specially.

	* env.el (read-envvar-name): Special meaning for MUSTMATCH
	neither t nor nil.
	(setenv): Use that new case, when clearing a var.

1994-10-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* texinfmt.el (texinfo-format-scan): Accept @^, @", @?, @!, @-.

	* rmailsum.el (rmail-summary-goto-msg):
	Get rmail-total-messages from the rmail buffer.

	* simple.el (goto-line): Call prefix-numeric-value.

1994-10-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (set-auto-mode): Discard versions from file name before
	testing inhibit-first-line-modes-regexps.

	* rlogin.el (rlogin): Doc fix.

1994-10-02  Per Cederqvist  <ceder@signum.se>

	* vc-hooks.el (vc-status): Handle CVS.

	* vc-hooks.el (vc-find-cvs-master): New function.
	(vc-master-templates): Add vc-find-cvs-master.
	(vc-registered): Allow vc-master-templates to contain atoms, and
	call them with dirname and basename as arguments.

	* vc-hooks.el (vc-mode-line): Use equal, not string-equal, to
	compare the result of vc-locking-user.

	* vc.el (vc-backend-checkin): When CVS checks in a file, it is
	immediately checked out again, so set vc-checkout-time.

	* vc.el (vc-fetch-properties): CVS 1.4A1 says "Repository revision".

	* vc.el (vc-locking-user): Do something sensible when the backend
	is CVS.  May return a numerical UID or a string when CVS is used.
	(vc-dired-reformat-line): Handle numerical arguments.

	* vc.el (vc-backend-checkout): Don't extract CVS files twice.

	* vc.el (vc-next-action-on-file): Handle return value from
	vc-backend-merge-news correctly.

	* vc.el (vc-rename-file): Fixed call to vc-backend-dispatch.
	(vc-make-buffer-writable-hook): New hook, for CVS only.
	(vc-header-alist): Added header for CVS.
	(vc-next-action-on-file): Added support for CVS.
	(vc-next-action, vc-checkin, vc-revert-buffer): Doc fixes.
	(vc-rename-file): Disable if the backend is CVS.
	(vc-log-info): New arguments: LAST and FLAGS, passed on to
	vc-do-command.  All callers updated.
	(vc-fetch-properties): Implement support for CVS files.

	* vc.el (vc-backend-checkin): Args REV and COMMENT no longer optional.
	Implement support for CVS.
	(vc-backend-revert): Implement support for CVS.
	(vc-backend-diff): Treat files which are added, but not yet committed,
	specially (diff them against /dev/null).
	(vc-backend-merge-news): New function.
	(vc-log-mode): Talk a little about CVS in the comment.

	* vc.el (vc-log-info): Simplify code.

	* vc.el (vc-do-command): New argument LAST.  All callers updated.
	Legal values for LAST are 'MASTER and 'BASE.
	(vc-backend-dispatch): New argument C, used by CVS.  All callers
	updated, but many just passes an (error "NYI") form.
	(vc-backend-admin): Issue a "cvs add" (but not a "cvs commit").
	(vc-backend-checkout, vc-backend-logentry-check, vc-backend-print-log)
	(vc-backend-assign-name, vc-backend-diff, vc-check-headers): Handle CVS.
	(vc-backend-steal, vc-backend-uncheck): Give error if using CVS.

	* vc.el (vc-backend-diff): Fixed typo in SCCS code.

1994-10-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* comint.el (comint-strip-ctrl-m): Renamed from shell-strip-crtl-m
	and moved here.
	(shell-strip-ctrl-m): Add defalias.
	* shell.el (shell-strip-ctrl-m): Function deleted.

	* rect.el (kill-rectangle): In read-only buffer, do record
	the rectangle for later yanking.

	* shell.el (shell-mode): Compare the truename with /dev/null.

	* files.el (file-truename): If name has no dir, use default-directory.

	* env.el (setenv-history): New history list.
	(setenv): Use setenv-history.
	Place the variable's current value at front of setenv-history
	while reading the new value.

1994-10-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* cplus-md.el (indent-c++-exp): For public/private/protected,
	don't do the case/label adjustment.

	* fill.el (fill-region, fill-region-as-paragraph): Fix previous change.

	* vc.el (vc-register): Verify an old master file really still exists
	before giving error.  If it has disappeared, ask for confirmation.

	* files.el (save-buffers-kill-emacs): Fix previous change.

1994-10-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mouse.el (mouse-secondary-click-count): New variable.
	(mouse-secondary-save-then-kill, mouse-drag-secondary):
	Use mouse-secondary-click-count, not mouse-selection-click-count.

	* server.el (server-switch-buffer): Don't go to an invisible frame.
	Move to a non-dedicated window if possible.
	Otherwise, make the window non-dedicated.

	* subr.el (add-hook, remove-hook): If the hook was made local
	in the old way, always modify the local value.

	* ispell.el (ispell-init-process): Add missing arg in error msg.

	* finder.el (finder-mode-map): Change key bindings:
	RET or f to select, d to go back to directory.
	(finder-summary): Fix the help summary.

1994-09-30  Jan-Hein Buhrman  <J.H.Buhrman@ns-nl.att.com>

	* env.el (setenv): Provide history, completion for envvar.
	(read-envvar-name-history): New variable.
	(read-envvar-name): New function.

1994-09-30  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el (Man-init-defvars, Man-cleanup-manpage,
	Man-fontify-manpage): fix previous fix.

1994-09-30  Michael Ernst  <mernst@research.microsoft.com>

	* fill.el (fill-region, fill-region-as-paragraph):
	If specified region ends before a newline, include that newline.

1994-09-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* edmacro.el (edmacro-format-keys): Cope if local keymap is nil.

	* faces.el (modify-face): New function.

	* files.el (save-buffers-kill-emacs):
	Use run-hook-with-args-until-failure.
	(find-file-noselect): Use run-hook-with-args-until-success.
	(after-find-file): Use run-hooks for find-file-hooks.
	(basic-save-buffer): Use run-hook-with-args-until-success.

	* subr.el (add-hook): Initialize default value and local value.
	(run-hook-with-args-until-success): New function.
	(run-hook-with-args-until-failure): New function.

	* dired-aux.el (dired-do-print): Put spaces between lpr switches.

1994-09-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lpr.el (print-region-1): Use them instead of just pr.
	(lpr-page-header-program, lpr-page-header-switches): New variables.

	* abbrev.el (add-abbrev, inverse-add-abbrev):
	Clear text properties from NAME.

	* scheme.el (scheme-mode-variables): Make parse-sexp-ignore-comments t.

	* texinfmt.el (texinfo-format-region, texinfo-format-buffer-1):
	Search back for the @include.

1994-09-29  Francesco Potorti`  (pot@cnuce.cnr.it)

	* man.el
	(Man-init-defvars, Man-cleanup-manpage, Man-fontify-manpage):
	added support for the big cross present in the ksh manpage.

1994-09-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* frame.el (handle-delete-frame): New function.

1994-09-28  Ake Stenhoff  <etxaksf@aom.ericsson.se>

	* imenu.el (imenu--cleanup): Changed 'mapc' to 'mapcar'.

1994-09-28  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* subr.el (run-hooks): t as hook list element means run the global
	value of the variable as well as the local value.
	(run-hook-with-args): Likewise.
	(make-local-hook): New function.
	(add-hook, remove-hook): New arg LOCAL means modify local value.
	Test default-boundp as well as boundp.

1994-09-28  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* startup.el (command-line): Recognize --longopt synonyms for all
	options handled here.

1994-09-27  Michael Ernst  <mernst@research.microsoft.com>

	* paragraphs.el (backward-kill-sentence): Work in read-only buffers.
	(kill-sentence): Work in read-only buffers.

1994-09-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (command-apropos): Pass t for no-header to apropos.

	* apropos.el (apropos-print-matches): Add newline after
	Function: or Variable: if line doesn't fit with it.
	New arg no-header inhibits them entirely.
	(apropos): New arg no-header.  Pass it to apropos-print-matches.

	* sendmail.el (mail): Doc fix.

1994-09-27  Christopher J. Madsen  <ac608@yfn.ysu.edu>

        * files.el (hack-one-local-variable):
	Support safe-local-variable property.
	(compile-command): Add safe-local-variable property.

1994-09-27  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (etags-tags-completion-table): Allow ? and : in guessed
        tag names.

1994-09-26  Joe Ramey  <ramey@csc.ti.com>

        * rmailsum.el (rmail-summary-delete-forward): Regexp for
	recognizing deleted message should not require a space at the
	beginning of the line.

1994-09-26  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* gud.el (gud-overload-functions): Function deleted.
	(gud-massage-args, gud-marker-filter, gud-find-file): New vars.
	Mark them as permanent locals.
	(gud-massage-args, gud-marker-filter, gud-find-file):
	In these functions, use those variables.
	(gud-common-init): 3 new args give values for those variables.
	(gdb, sdb, dbx, xdb, perldb): Pass new args to gud-common-init.
	(gud-gdb-complete-command): Bind gud-marker-filter.
	(gud-find-file): Condense multiple slashes to single slashes.

1994-09-26  Lennart Staflin  <lenst@lysator.liu.se>

	* dired.el (dired-re-perms): Accept various file type letters.

1994-09-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* flow-ctrl.el (enable-flow-control):
	Never make keyboard-translate-table shorter.

1994-09-27  Barry A. Warsaw  (warsaw@anthem.nlm.nih.gov)

	* Installed version 4.85.

	* cc-mode.el (c-mode-fsf-menu, c-mode-map, c++-mode-map, objc-mode-map):
	Use a better feature test to figure out how to set the menu title
	string.

	* cc-mode.el (c-search-uplist-for-classkey): In `class' keyword
	verification section, only skip forward for ?> template char if a
	matching ?< char was found previous to search-start.

	* cc-mode.el (c-submit-bug-report): Updated var list.

	* cc-mode.el (c-search-uplist-for-classkey): Lele patch for objc-mode.

	* cc-mode.el (c-search-uplist-for-classkey):
	Avoid "invalid search bound" error.

	* cc-mode.el (c-beginning-of-statement-1):
	Skip special modifier chars in all cases.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 9: generalize and collect common code for finding position
	after conditional statements, and check for `while' statement of a
	`do' loop.  In that case, skip over the trailing semi.

	* cc-mode.el (c-progress-info, c-progress-init)
	(c-progress-update, c-progress-fini):
	New vars/defuns for better long indentation progress reporting
	(c-indent-exp, c-indent-region): Use them.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 6F, go forward 1 char from b-o-s of containing-sexp bufpos to
	find proper relpos of an arglist-cont.

	* cc-mode.el (c-offset-alist-default):
	statement-case-open default offset is zero
	(c-skip-case-statement-forward): New function.
	(c-guess-basic-syntax): CASE 15: use c-skip-case-statement-forward in
	proper places to find the real relpos of statement's inside switch
	case/default bodies.  CASE 15D: remove special handling when looking
	at c-conditional-key.

	* cc-mode.el (c-offsets-alist, c-cleanup-list, c-mode-menu)
	(c-mode-map, c-symbol-key, c-indent-line, c-popup-menu): Doc fixes.

	* cc-mode.el (c-least-enclosing-brace): New function.
	(c-most-enclosing-brace): Renamed from c-enclosing-brace.
	(c-indent-defun): Handle opening braces not in column 1.

	* cc-mode.el (c-beginning-of-statement-1): Skip over statement mod
	characters that don't precede an open paren.

	* cc-mode.el (c-guess-basic-syntax):
	Check for c-access-key non-nil before using it.

	* cc-mode.el (c-beginning-of-statement-1): Swapped CASE 3 and 4,
	so that conditional statements are picked up properly.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 15D, calculate relpos from boi of beginning of statement
	prior to indent-point, unless we're looking at a conditional key.

	* cc-mode.el (c-mode-map, c++-mode-map, objc-mode-map):
	Change test of 'FSF in c-emacs-features to specific features
	based tests.

	* cc-mode.el (c-just-after-func-arglist-p)
	(c-guess-basic-syntax, c-lineup-objc-method-args-2):
	More objc patches from Lele

	* cc-mode.el (c-indent-command):
	With optional arg, shift-amt had wrong sign.

	* cc-mode.el (c-lineup-arglist):
	Better handling of comments preceding arg lists.

	* cc-mode.el (c-guess-basic-syntax): Swapped CASE 6A and 6B to
	recognize empty arglists with close paren on separate line.

	* cc-mode.el (c-mode-menu, c-emacs-features, c-mode-map)

	(c-common-init): Remove dependency on string "Lucid" in
	emacs-version.  Use features to distinguish.

	* cc-mode.el (c-fill-paragraph):
	Merge with 19.25's c-mode.el--uses fill-region-as-paragraph.

	* cc-mode.el (c-offsets-alist-default, c-offsets-alist)
	(c-hanging-braces-alist, c-electric-brace, c-guess-basic-syntax):
	Added syntactic symbol statement-case-open for
	statement-case-intro's that contain an open brace.

	* cc-mode.el (c-lineup-math): Watch for equal signs in literals.

	* cc-mode.el (c-beginning-of-statement-1):
	CASE5 and CASE 6, better pick up of label's with potential
	embedded colons (scope operators).

	* cc-mode.el (c-hanging-comment-ender-p): New variable.
	(c-fill-paragraph): Use c-hanging-comment-ender-p.

	* cc-mode.el (c-recognize-knr-p): New variable.
	(c-common-init): Make it buffer-local.
	(c-mode, c++-mode, objc-mode): Use c-recognize-knr-p.
	(c-guess-basic-syntax): Use c-recognize-knr-p; swap
	CASE 5B.2 and 5B.3.

	* cc-mode.el (c-offsets-alist-default, c-offsets-alist)
	(c-guess-basic-syntax):
	Changed syntactic symbol c++-funcdecl-cont to ansi-funcdecl-cont

	* cc-mode.el (c-offsets-alist, c-read-offset, c-set-offset):
	Accept variable symbols as offsets.
	(c-get-offset): Accept ++ and -- symbols.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 9C: added small performance improvment to c-in-literal call.

	* cc-mode.el (c-beginning-of-statement-1): Use c-in-literal-cache,
	and limit backscanning in CASE 5 to known, non-literal position.

	* cc-mode.el (c-in-literal, c-guess-basic-syntax):
	Caching of last literal result.

	* cc-mode.el (c-guess-basic-syntax):
	CASE 15D, calculate 'statement relpos as the
	beginning-of-statement relative to indent-point.

	* cc-mode.el (c-beginning-of-statement-1):
	CASE 4, check for conditional keywords which could be followed by
	a balanced paren expr.  I.e. while(foo).

	* cc-mode.el (c++-mode-syntax-table, objc-mode-syntax-table):
	Give CR same syntax as newline, for selective-display.

	* cc-mode.el (c-electric-star):
	Fixed indentation problem when a star is not preceded by a slash.

	* cc-mode.el (c-indent-defun):
	Removed condition-case inside unwind-protect.

	* cc-mode.el (c-class-key, c-search-uplist-for-classkey):
	Greatly simplified, this constant now contains a regexp that only
	matches valid `class' keywords, in the C++ sense.

1994-09-25  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* info.el (Info-scroll-down, Info-scroll-up): Doc fixes.

	* rmail.el (rmail-forward): Simplify insertion of forwarded msg.
	Don't use exchange-point-and-mark.

	* rmail.el (rmail-msg-number-after-expunge): New function.
	(rmail-reply, rmail-forward): Use separate local variables
	rmail-send-actions-rmail-msg-number, rmail-send-actions-rmail-buffer
	to record which message to mark as answered or forwarded.
	(rmail-only-expunge): Update msg numbers stored in those variables.

1994-09-24  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* rmail.el (rmail-construct-io-menu): Don't print a message
	about no matching files.

1994-09-24  Lennart Staflin  <lenst@lysator.liu.se>

	* dired.el (dired-re-perms): Accept directories and symbolic links
	also, not only plain files.

1994-09-24  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* buff-menu.el (Buffer-menu-delete): Handle prefix arg.
	(Buffer-menu-delete-backwards): Handle prefix; use Buffer-menu-delete.

	* dired-x.el (dired-virtual-mode): Doc fix.

	* sh-script.el (auto-mode-alist): Use \' in auto-mode-alist regexps.

	* mlsupport.el (auto-execute): Use \' in auto-mode-alist regexps.

	* icon.el (icon-mode): Add autoload cookie.

	* ada.el (ada-mode): Add autoload cookie.
	(auto-mode-alist): Don't alter it here.

	* files.el (auto-mode-alist): Handle ada-mode and icon-mode.

1994-09-24  Jan-Hein Buhrman  (J.H.Buhrman@ns-nl.att.com)

	* ange-ftp.el (ange-ftp-start-process): Add use-smart-ftp code.
	(ange-ftp-get-process): Use ange-ftp-normal-login if
	ange-ftp-gateway-host is nil.

1994-09-24  Michael D. Ernst  <mernst@research.microsoft.com>

	* simple.el (shell-command, shell-command-on-region):
	Make "*Shell Command Output*" non-read-only.

1994-09-24  Erik Naggum  <erik@naggum.no>

	* comint.el (comint-input-chunk-size): Variable deleted.
	(comint-send-string): Make it an alias for process-send-string.
	(comint-send-region): Make it an alias for process-send-region.

	* nntp.el (nntp-send-region-to-server): Call process-send-region
	just once, for the whole string.

	* rmail.el (rmail-reformat-message): Run mail-message-filter
	before calling rmail-clear-headers.

1994-09-23  Richard Stallman  <rms@churchy.gnu.ai.mit.edu>

	* isearch.el (isearch-mode): Don't set deactivate-mark here.
	(isearch-done): In Transient Mark mode, don't set mark if is active.

	* vc.el (vc-finish-steal): Do vc-resynch-window in the right buffer.
	(vc-steal-lock): Delete spurious reference to `configuration'.

	* vc.el (vc-backend-checkout): Add if-statements to the shell cmds
	to discard the extra arg some shells make.

1994-09-23  Jonathan I. Kamens  (jik@gza-client1)

        * files.el (find-alternate-file): Confirm killing buffer
	only if it is visiting a file.

1994-09-23  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tag-symbol-match-p): New function.
	(etags-recognize-tags-table): Add that second in find-tag-tag-order,
	after tag-exact-match-p.

	* etags.el (tags-table-check-computed-list): Call
	tags-verify-table on existing buffers.

1994-09-23  Boris Goldowsky  <boris@cs.rochester.edu>

	* fill.el (justify-current-line): Inherit props when inserting spaces.

1994-09-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (vc-rename-file): Add autoload cookie.

	* mail-extr.el (mail-extr-all-top-level-domains):
	Fix formal name of Hungary.

1994-09-22  Tom Tromey  <tromey@drip.colorado.edu>

	* add-log.el (add-change-log-entry): Set add-log-full-name and
	add-log-mailing-address here.
	(add-log-mailing-address, add-log-full-name): Initialize to nil.

1994-09-22  Stephen Gildea  (gildea@stop.mail-abuse.org)

	* time-stamp.el (time-stamp-mail-host-name): Use mail-host-address.
	(time-stamp-mail-host): Variable deleted.

1994-09-22  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* sendmail.el (sendmail-synch-aliases): Renamed from
	synch-mail-aliases.  All callers changed.

1994-09-22  Francesco Potorti`  <pot@cnuce.cnr.it>

	* man.el (Man-notify-method): New name for old Man-notify-flag
	user options.  All functions using it updated.

	* ispell.el (check-ispell-version): Suggest to try ispell4.el if
	version does not match.

1994-09-22  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* faces.el (x-create-frame-with-faces): Delete the frame if get error.

	* rmailsum.el (rmail-summary-goto-msg): Simply the regexp
	for finding the message number.  Check that a non-digit follows it.

	* help.el (print-help-return-message): Handle cons cells
	in special-display-regexps and special-display-buffer-names.

	* startup.el (mail-host-address): New variable.
	(normal-top-level): Use mail-host-address to init user-mail-address.

	* files.el (file-ownership-preserved-p): New function.

1994-09-21  Jonathan I. Kamens  (jik@gza-client1)

	* rmail.el (rmail-retry-ignored-headers): New variable,
	specifying the headers that should be removed by
	rmail-retry-failure.
	(rmail-retry-setup-hook): Obsolete variable (see below), deleted.
	(rmail-clear-headers): New optional arg is list of headers to clear.
	(rmail-retry-failure): Copy the whole block of headers from the message
	and then discard those in rmail-retry-ignored-headers.  Delete
	usage of rmail-retry-setup-hook.  Bind mail-signature and
	mail-setup-hook to nil when composing retry buffer.
	Handle mail-self-blind.

	* vc.el (vc-steal-lock): (1) Function should be
	non-interactive, because it doesn't work when called directly
	by the user. (2) Don't display revision "nil" when stealing
	lock if revision is unknown.  (3) Put "Stolen lock on <file>"
	instead of just the file name in the Subject of the
	notification message.

	* rmail.el (rmail-ignored-headers): Add resent-message-id.

        * simple.el (insert-buffer): Default to first other buffer,
        not first non-visible buffer.

1994-09-21  Erik Naggum  <erik@naggum.no>

	* lisp.el (insert-parentheses): Don't insert spaces at beginning
	and end of buffer.

1994-09-21  Per Abrahamsen  <abraham@iesd.auc.dk>

	* frame.el (special-display-popup-frame): Rename new arg to ARGS.
	Allow (FUNCTION OTHER-ARGS...) as the value of ARGS.

	* frame.el (special-display-popup-frame): New argument PARAMS.
	Use it as well as `special-display-frame-alist'.

1994-09-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* mail-extr.el (mail-extr-all-top-level-domains): Update domain list.

	* emerge.el (emerge-recenter, emerge-operate-on-windows):
	Use `visible' when calling get-buffer-window.

	* etags.el (find-tag-noselect): Simplify.
	Always run find-tag-hook at the tag's location.

	* sendmail.el (mail-default-reply-to): Initialize to t.
	(mail-setup): If it's t, set it from envvar REPLYTO.

1994-09-19  Francesco Potorti`  <pot@cnuce.cnr.it>

	* man.el (Man-notify-flag): replaces the old Man-notify
	variable, use the old one if it is bound as initial value.
	(Man-reuse-okay-flag): replaces Man-reuse-okay.
	(Man-downcase-section-letters-flag): replaces
	Man-downcase-section-letters.
	(Man-circular-pages-flag): replaces Man-circular-pages.
	(Man-auto-section-alist): variable deleted.
	(Man-section-translations-alist): removed the "3x" translation.
	(Man-untabify-command, Man-untabify-command-args): new vars.
	(Man-sed-command, Man-awk-command): new variables.
	(Man-sysv-sed-script, Man-berkeley-sed-script): new constants.
	(Man-name-regexp, Man-page-header-regexp): new variable.
	(Man-heading-regexp): changed default value.
	(Man-reference-regexp): now refers to previous regexps.
	(Man-arguments): new buffer-local variable.
	(Man-page-mode-string): changed default value.
	(Man-mode-map): changed the meanings of ",", ".", "q".  Added new
	keys ">", "<", "k".
	(Man-page-mode-string): function deleted.
	(Man-init-defvars): New function used for initialising the system
	and environment dependent variables Man-fontify-manpage-flag,
	Man-uses-untabify, Man-sed-script, Man-filter-list.
	(Man-delete-trailing-newlines): function deleted.
	(Man-make-page-mode-string): new subst.
	(Man-build-man-command): now subst instead of function.  Modified
	to comply with the new format of Man-filter-list.
	(Man-downcase): function deleted.
	(Man-translate-references): complete rewrite.
	(Man-linepos): function deleted.
	(Man-match-substring): new function.
	(Man-default-man-args): function deleted.
	(Man-default-man-entry): complete rewrite.
	(man, manual-entry): function-alias relationship reversed.
	(man): prompt changed, prompt using interactive, call
	Man-init-defvars, set Man-arguments.
	(Man-notify-when-ready): manage the 'pushy value.
	(Man-fontify-manpage): substitute Man-set-fonts.
	(Man-cleanup-manpage): new function.
	(Man-bgproc-sentinel): cleanup, call Man-fontify-manpage and
	Man-cleanup-page when necessary.
	(Man-mode): call Man-strip-page-headers and Man-unindent.
	(Man-build-section-alist, Man-build-references-alist,
	Man-build-page-list): substs instead of functions.
	(Man-build-references-alist): cleanup.
	(Man-build-page-list): new algorithm.
	(Man-strip-page-headers, Man-unindent): new substs.
	(Man-find-section): assume section names start in column 1.
	(Man-quit): bury the buffer instead of killing it, delete the
	frame when necessary.
	(Man-kill): new function.
	(Man-goto-page): do the right thing when the manpage is not found,
	do not assume that Man-build-references-alist is broken.

1994-09-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* menu-bar.el (vc-menu-map): New menu.
	(menu-bar-file-menu): Put the VC map under the File map.

	* vc-hooks.el (vc-menu-map): Set up menu items.

	* rmail.el (rmail-mode-kill-summary): New function.
	(rmail-variables): Put that on kill-buffer-hook locally.

	* subr.el (remove-hook, add-hook): Copy existing list before modifying.

1994-09-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* sendmail.el (mail-bury-selects-summary): New variable.
	(mail-bury): Test it.

1994-09-20  Francesco Potorti`  <pot@cnuce.cnr.it>

	* vc-hooks.el (vc-status): Use vc-path when calling prs.

1994-09-20  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc-hooks.el (vc-status): New arg vc-type.

	* window.el (shrink-window-if-larger-than-buffer): Use WINDOW's frame
	for all actions that operate on a frame.  Set WINDOW to selected
	window if it was nil.

1994-09-19  Boris Goldowsky  <boris@cs.rochester.edu>

	* add-log.el (add-log-current-defun): Deal with
	lisp-interaction-mode like lisp-mode.

	* facemenu.el (facemenu-update): Make menu separators all dashes.

1994-09-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* subr.el (add-hook): Doc fix.

1994-09-19  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* emacsbug.el (report-emacs-bug): system-configuration-options was
	misspelled as system-configure-options.

1994-09-19  Jim Blandy  <jimb@geech.gnu.ai.mit.edu>

	* disp-table.el: Add support for new window border display table
	element.
	(describe-display-table): Describe the window border glyph.
	(display-table-len): New constant.
	(make-display-table, standard-display-8bit,
        standard-display-default, standard-display-ascii,
        standard-display-g1, standard-display-graphic,
        standard-display-underline): Use display-table-len, instead of
        hard-coding the display table length.

1994-09-19  Francesco Potorti`  <pot@cnuce.cnr.it>

	* rlogin.el (rlogin): recognise the `-l user' option to rlogin and
	let comint and ange-ftp know about the correct home directory.

1994-09-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* picture.el (picture-yank-at-click): New function.

	* hideif.el: Handle ==, !=, + and -.
	(hif-tokenize): Handle ==, !=, + and -.
	(hif-token-regexp): Handle ==, !=, + and -.
	(hif-notequal, hif-plus, hif-minus, hif-mathify): New functions.
	(hif-math, hif-eq-expr): New functions.
	(hif-term): Call hif-eq-expr.
	(hide-ifdef-define): Pass 1 to hif-set-var.

	* files.el (file-name-sans-extension): New function.

	* files.el (basic-save-buffer-1): If writing temp file fails
	or a precious file, restore the old visited file modtime.

	* replace.el (query-replace-interactive): New user option.
	(query-replace-read-args): Obey that option--fetch from
	search-ring or regexp-search-ring.  New arg regexp-flag.
	(query-replace, query-replace-regexp, replace-string)
	(replace-regexp): Pass new arg to query-replace-read-args.
	(map-query-replace-regexp): Obey query-replace-interactive.

1994-09-18  Vincent Del Vecchio  (vdelvecc@dsd.camb.inmet.com)

	* info.el (Info-insert-dir): Insert newlines before rather than
	after nodes copied from other files, for consistency.

1994-09-18  Frederic Pierresteguy  <F.Pierresteguy@frcl.bull.fr>

	* rmail.el: Build proper keymap for the "Input (menu)" and
	"Output (menu)" submenus.
	(rmail-find-all-files, rmail-list-to-menu): New functions.
	(rmail-construct-io-menu): New functions.
	(rmail-input-menu): Function deleted.
	(rmail). Call rmail-construct-io-menu.
	(rmail-mode-map): 'Input Rmail file (menu)' renamed to
	'Input Rmail file'. 'Output (Rmail menu)' renamed to
	'Output Rmail file'.
	* rmailout.el (rmail-output-menu): Function deleted.
	* rmailsum.el (rmail-summary-construct-io-menu): New function.
	(rmail-new-summary): Call rmail-summary-construct-io-menu.
	(rmail-summary-mode-map): New menu items 'Input Rmail File' and
	'Output Rmail File'.
	(rmail-summary-output-to-rmail-file): New arg 'file-name'. If it
	non-nil, call rmail-output-to-rmail-file.

1994-09-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* tex-mode.el (tex-start-shell): Inherit comint-mode-map, don't copy.

	* shell.el (shell-mode-map): Inherit comint-mode-map,
	and copy only the completion menu.

	* telnet.el (telnet-mode-map): Inherit comint-mode-map, don't copy.

	* vc-hooks.el (vc-file-not-found-hook): Use save-excursion.

1994-09-18  Kenneth Manheimer  (klm@coil.nist.gov)

	* icomplete.el: Major rewrite to behave more like a minor mode.
	Doc fixes.
	(icomplete-mode): New function and var.
	(icomplete-minibuffer-setup-hook): New hook.
	(icomplete-inhibit): Defunct.  Using icomplete-pre-command-hook,
	icomplete-post-command-hook as real hook functions.
	(icomplete-simple-completing-p): Subsumes
	icomplete-window-minibuffer-p plus other stuff, determines whether
	simple completion is active.
	(icomplete-window-minibuffer-p): Defunct, see above.
	(icomplete-minibuffer-setup): Use icomplete-simple-completing-p,
	copy-sequence hooks before adding to them, run hooks properly.
	(icomplete-tidy): Changed from misnamed icomplete-pre-command-hook;
	use icomplete-simple-completing-p.
	(icomplete-exhibit): Changed from misnamed icomplete-post-command-hook;
	use icomplete-simple-completing-p.
	(icomplete-completions): Changed from old, misnamed icomplete-exhibit;
	combined with old misnamed icomplete-prompt.

1994-09-18  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff.el (ediff-submit-report, ediff-revision)
	(ediff-find-file-name-handler, vc-ediff-internal, rcs-ediff-internal):
	New functions.
	(ediff-version-control-package): New variable.
	(vc-ediff, rcs-ediff): Functions deleted.

	* ediff.el (ediff-submit-report): New function.

	* ediff.el (ediff-toggle-read-only, ediff-patch-file): Check out
	version controlled files before their buffers are modified.
	(ediff-local-checkout-flag, ediff-toggle-read-only-function):
	 New variables.

	* ediff.el (ediff-find-file, ediff-patch-file): Were getting
	confused by symbolic links.  Fixed.

1994-09-18  Lawrence R. Dodd  <dodd@roebling.poly.edu>

	* rmail.el (rmail-forward): Insert separator before and after message.

1994-09-18  Francesco Potorti`  <pot@cnuce.cnr.it>

	* vc-hooks.el (vc-status): Renamed from vc-rcs-status.  Handle SCCS.
	(vc-display-status): Renamed from vc-rcs-status.
	(vc-mode-line): Call vc-status for SCCS files too.

1994-09-18  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* telnet.el (telnet): Use name *telnet-HOST*, not *HOST-telnet*.

	* lmenu.el (make-lucid-menu-keymap-disable): New variable.
	(make-lucid-menu-keymap): Use that when disabling item unconditionally.

1994-09-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help.el (describe-variable): Report whether var is local in this buf.

	* terminal.el (terminal-map): Define switch-frame.

1994-09-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* facemenu.el (facemenu-update): Reverse the menu order again.

	* compile.el (compile-internal): Set EMACS=t in process-environment.

	* ispell.el (ispell-highlight-spelling-error): Test window-system.

1994-09-16  Karl Heuer  <kwzh@churchy.gnu.ai.mit.edu>

	* emacsbug.el: (report-emacs-bug): Insert configuration options.

	* ispell.el (ispell-menu-map): Order menu items by size:
	buffer > region > word.
	* ispell4.el (ispell-menu-map): Likewise.

	* register.el (insert-register): Add `*' interactive spec.

	* menu-bar.el (complex-buffers-menu-p): Delete; obsolete variable.

	* info.el (Info-edit): Move the customary mode-initialization
	calls out of here.
	(Info-edit-mode): Put them here.  Also enable undo, and call
	Info-edit-mode-hook.

	* time.el: (display-time-24hr-format): Doc fix.
	(display-time-filter): Reenable code that got deleted during a
	mispatch.

	* sendmail.el (mail-alias-modtime): New variable.
	(synch-mail-aliases): New function.
	(mail-setup, sendmail-send-it): Synchronize cached list with file.
	* mailalias.el: Require sendmail.  Delete redundant defvar.
	(expand-mail-aliases, define-mail-alias): Synchronize cached list
	with file.

	* compile.el (compilation-sentinel): Include exit status in modeline.

1994-09-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* dired.el (dired-buffers-for-dir): Delete debugging code.
	(dired-in-this-tree): Likewise.

1994-09-16  Michael Ernst  <mernst@research.microsoft.com>

	* dired.el, dired-aux.el, dired-x.el: Make directories in
	dired-buffers and dired-subdir-alist be expanded; adjust calls
	accordingly.
	* dired-aux.el (dired-fun-in-all-buffers): Expand dir at start.
	(dired-rename-subdir, dired-rename-subdir-1, dired-kill-tree): Likewise.
	* dired-x.el (dired-clean-up-after-deletion): Expand fn.
	(dired-find-buffer-nocreate): Expand dir at beginning.
	* dired.el (dired-buffers-for-dir): Assume dirs are preexpanded.
	(dired-in-this-tree): Likewise.
	(dired-advertise, dired-unadvertise): Expand default-directory.

1994-09-16  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* window.el (shrink-window-if-larger-than-buffer):
	Do nothing in minibuffer-only frame.

	* menu-bar.el (menu-bar-file-menu): Rename "Kill Buffer" menu item.

1994-09-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el (system-key-alist): Add Sun definition for mute-acute.

	* autoinsert.el (auto-insert-alist): Add entries for C++.
	(insert-auto-insert-files): Do case-sensitive match except on vms.

1994-09-15  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* simple.el (kill-new): Call menu-bar-update-yank-menu if that
	function is defined.
	New optional argument means replace most recent kill.
	(kill-append): Use that new interface.
	* mouse.el (mouse-save-then-kill, mouse-secondary-save-then-kill):
	Use the kill-new interface; don't manipulate kill-ring directly.
	* menu-bar.el (yank-menu): New variable; kill-ring in menu format.
	(menu-bar-update-yank-menu, menu-bar-select-yank): New function.

1994-09-15  Jay K. Adams  (jka@ece.cmu.edu)

	* jka-compr.el (jka-compr-compression-info-list): Expand regular
	expressions to include backup files with version numbers.

	* jka-compr.el (jka-compr-insert-file-contents): Run the
        functions in after-insert-file-functions after the
        buffer-file-name has been set, not before.

	* jka-compr.el (jka-compr-insert-file-contents): Properly
        handle the 'replace' argument for compressed files.

1994-09-15  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/x-win.el: Don't call menu-bar-mode.

	* startup.el (command-line): If initial X frame has a menu bar,
	mark menu-bar-mode as on.

	* telnet.el (telnet-program): New variable.
	(telnet): Use telnet-program.
	(rsh-program): Renamed from telnet-rsh-program.
	(rsh): Use new name.

1994-09-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* page.el (forward-page): If we find a match that ends where we
	started searching, look for another one.

	* window.el (shrink-window-if-larger-than-buffer):
	Use frame-width, not screen-width.

	* startup.el (command-line): If we can't load x-win.el, terminate.

	* facemenu.el (facemenu-update): Don't use quoted constant lists
	in define-key.  Reverse order of menu definitions.

	* autoload.el (generate-file-autoloads): Warn if we put a line
	in loaddefs.el that is long enough to cause trouble.

	* elp.el: Add autoloads.

	* c-mode.el (c-mode-map): Add "Highlight Conditionals" menu item.

	* cpp.el (cpp-highlight-buffer): Renamed from cpp-parse-buffer.

1994-09-14  Per Abrahamsen  <abraham@iesd.auc.dk>

	* cpp.el (cpp-edit-load): Only call `cpp-edit-reset' in cpp-edit-mode.

1994-09-14  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* type-break.el: New file.

	* cpp.el: New file.

	* info.el (Info-mode-map): Bind M-s like s.

	* ispell.el (ispell-check-only): New variable.
	(ispell-word): Handle ispell-check-only.
	(ispell-minor-mode): New variable.
	(ispell-minor-keymap): New map.
	(ispell-minor-mode): New function.

	* facemenu.el: New file.

	* elp.el: New file.

1994-09-14  Andreas Schwab  (schwab@ls5.informatik.uni-dortmund.de)

	* server.el (server-start): Always use pipes for communication.

1994-09-14  Boris Goldowsky  <boris@cs.rochester.edu>

	* simple.el (repeat-complex-command, next-history-element,
	previous-matching-history-element): Override print-level when
	offering command lines to edit.

1994-09-13  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* faces.el (make-face-unbold, make-face-unitalic, make-face-bold,
	make-face-italic, make-face-bold-italic): Don't try to frob font
	if it's nil.

1994-09-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.27 released.

1994-09-11  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* ispell.el: Further split the Ispell menu autoloads.

1994-09-10  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailsum.el (rmail-summary-goto-msg): Preserve the current buffer.

1994-09-09  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* window.el (shrink-window-if-larger-than-buffer): Doc fix.

1994-09-08  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (vc-do-command): Temporarily add vc-path to the end of PATH.

1994-09-08  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* bibtex.el (put-string-on-kill-ring): Delete this function.
	(bibtex-current-entry-label): Call kill-new instead.

1994-09-07  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.26 released.

1994-09-06  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmailmsc.el (set-rmail-inbox-list): Doc fix.

1994-09-05  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* help-macro.el (make-help-screen): Doc fix.

1994-09-05  Lawrence R. Dodd  <dodd@roebling.poly.edu>

	* dired-x.el: (dired-omit-expunge): Avoid setting buffer modified
	unless it was modified before and some mark is set so `%*' won't
	appear in mode-line of omitted buffers.

1994-09-05  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* saveplace.el (save-place-find-file-hook):
	Check after-find-file-from-revert-buffer.

	* cmacexp.el (c-macro-prompt-flag): Set default back to nil.

1994-09-04  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-get-new-mail): Run rmail-get-new-mail-hook.

1994-09-04  Tom Tromey  (tromey@drip.colorado.edu)

	* man.el (Man-notify-when-ready): Get Man-original-frame
	from the proper buffer.

1994-09-03  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (mark-ring): Add permanent-local prop.  Doc fix.

	* shell.el (shell-command-regexp): Use a simpler faster regexp.

	* info.el (Info-mode): Text for using x, not for make-face defined.

	* mh-e.el (mh-get-new-mail): Always use mh-inc-prog, never `inc'.

1994-09-02  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* outline.el (outline-minor-mode-prefix): Doc fix.

1994-09-02  Espen Skoglund  (espensk@tklab1.cs.uit.no)

	* pascal.el (pascal-auto-lineup): New variable.
	(pascal-end-of-statement): New function.
	(pascal-indent-command): Now does optional lineups of : and =.
	(pascal-indent-case): Uses pascal-end-of-statement to skip the
	case statements.

1994-09-01  Espen Skoglund  (espensk@tklab1.cs.uit.no)

	* pascal.el (pascal-indent-declaration): Indent correctly
	when record blocks are used within parameterlists.
	(pascal-declaration-beg): Strange -0 argument removed.
	(pascal-type-completion): Fix typo in regexp.
	(pascal-get-lineup-indent): Use match-end instead of end-of-line.

1994-09-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* compile.el (grep-command): Doc fix.

	* tcl-mode.el: Call provide.

1994-09-01  Francesco Potorti`  (pot@cnuce.cnr.it)

	* cmacexp.el (c-macro-prompt-flag): set default to t.
	(c-macro-expand): buffer-flush-undo is outdated.
	(c-macro-expansion): make exit-status a local variable.

1994-09-01  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* completion.el (completion-before-command): Don't call get
	on a non-symbol.

1994-08-30  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* window.el (shrink-window-if-larger-than-buffer):
	Don't make the window shorter than window-min-height.

	* calendar.el (exit-calendar): Don't restore window config.
	(calendar): Don't save one.

	* isearch.el (isearch-edit-string): Use isearch-text-char-description.

	* ispell.el (ispell-dictionary-alist-1):
	For English, remove hyphen from the OTHERCHARS.

	* isearch.el (isearch-edit-string): In the isearch-recursive-edit case,
	don't end the recursive edit and don't start another one.
	(isearch-done): New arg EDIT.
	(isearch-mode): Return t if search succeeded.

1994-08-29  Tom Tromey  (tromey@creche.colorado.edu)

	* replace.el (perform-replace): Restore match data before highlighting.

1994-08-29  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* help-macro.el (make-help-screen): Don't call window-frame
	in a non-multi-frame Emacs.

1994-08-29  Lennart Staflin  <lenst@lysator.liu.se>

	* diary-ins.el: Require diary-lib, not diary.
	* diary-lib.el: Provide diary-lib not diary.

1994-08-28  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (after-find-file-from-revert-buffer): Add defvar.

	* gud.el (dbx): Use newline, not semicolon, between file and stop cmds.

1994-08-27  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* outline.el (outline-mode-prefix-map): New variable.
	Define all the C-c commands here.
	(outline-mode-menu-bar-map): New variable, holds local menu-bar keymap.
	(outline-mode-map): Bind C-c and menu-bar to those maps.
	(outline-minor-mode-map): Likewise use those submaps for the prefixes.

	* indent.el (indent-rigidly): Insert new indent, then delete old.

	* comint.el (comint-arguments): Treat \n and \t like space.

1994-08-26  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (set-mark): When POS is nil, always clear mark-active.

	* rmailsum.el (rmail-summary-output-menu): New command.
	(rmail-summary-mode-map): Add Output and Input with menu of files.

1994-08-25  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* vc.el (vc-backend-checkout): Don't use -G for SCCS.

	* rot13.el (toggle-rot13-mode): New function.

	* rmailsum.el (rmail-summary-rmail-update):
	Check whether rmail-buffer is dead.

1994-08-24  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* etags.el (tags-table-extend-computed-list): In loop processing
	list of included tables to incorporate it, advance TABLES to its
	cdr at end of loop.

1994-08-24  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* files.el (find-file-noselect): Improve "file changed" message.

	* comint.el (comint-arguments): Rewrite for speed.
	Don't keep parsing once we have enough args.

	* ispell.el (ispell-buffer-local-words): Don't treat doublequote
	specially when splitting the line into words.

	* mouse-sel.el (mouse-extend): In Transient Mark mode, use the region
	whenever it is active.

1994-08-23  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* simple.el (shell-command-on-region): Don't delete current buffer.

1994-08-23  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* simple.el (backward-delete-char-untabify): Doc fix.

	* lpr.el (lpr-headers-switches): Don't use -p on dgux, irix.

	* edebug.el (edebug-read-and-maybe-wrap-form): Increment
        max-specpdl-size by 2000.

	* jka-compr.el (jka-compr-insert-file-contents): Run the
	after-insert-file-functions.

	* rmail.el (rmail-ignored-headers): Split string constant into lines.

1994-08-21  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* term/news.el (news-fkey-prefix): Use kp-decimal, not kp-period.

	* rnews.el (news-select-message): Do most of the work
	even for nonexistent article.  (Code copied from 18.59).

1994-08-19  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* rmail.el (rmail-retry-failure, mail-unsent-separator): Doc fix.

	* rnews.el (news-mode): Don't set mode-name to a list.
	Use mode-line-process instead.

	* rot13.el (rot13-other-window): Doc fix.

	* lpr.el (lpr-command, lpr-headers-switches): Undo previous change.

1994-08-18  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* window.el (split-window-horizontally): If size is negative,
	measure from the right.

1994-08-17  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info.el (Info-mode): Doc fix.

	* lpr.el (lpr-command, lpr-headers-switches): Treat Solaris like BSD.

	* paren.el (show-paren-command-hook): Set the face of an overlay
	each time we move it somewhere.

	* files.el (after-find-file):
	New arg after-find-file-from-revert-buffer.
	(revert-buffer): Pass t for that.

	* simple.el (choose-completion-string): Use plain exit-minibuffer,
	not minibuffer-complete-and-exit.  And do so only if the minibuffer
